unit expJob;

interface

uses
  Classes, windows;

type
  expJobThread = class(TThread)
  private
    counter:integer;
    { Private 錾 }
  protected
    procedure Execute; override;

  public
    allFinished:boolean;
    jobFinished:boolean;
    err_str:string;
    expFiles:TStrings;
    interval:integer;

    constructor Create(fns:TStrings);overload; virtual;
    constructor Create(fns:TStrings; ival:integer); overload; virtual;
    destructor Free;

    procedure updateJobList;

    procedure loadJob;
    procedure runJob;
    procedure selectJobItem;
    procedure stopButtonEnable;
    procedure finish;

end;

implementation

uses main;

constructor expJobThread.Create(fns: TStrings);
var k:integer;
begin
  inherited Create(False);
  FreeOnTerminate := True;
  expFiles:=TStringList.Create;
  for k:=0 to fns.Count-1 do expFiles.Add(fns[k]);
  counter:=0;
  jobFinished:=false;
  allfinished:=false;
  interval:=10000;
end;

constructor expJobThread.Create(fns:TStrings; ival:integer);
var k:integer;
begin
  inherited Create(False);
  FreeOnTerminate := True;
  expFiles:=TStringList.Create;
  for k:=0 to fns.Count-1 do expFiles.Add(fns[k]);
  counter:=0;
  jobFinished:=false;
  allfinished:=false;
  interval:=ival;
end;



destructor expJobThread.Free;
begin
  expFiles.Free;
end;


procedure expJobThread.updateJobList;
var k:integer;
begin
  if MainForm.jobListBox.Items.Count>expFiles.Count then begin
    for k := expFiles.Count to MainForm.jobListBox.Items.Count - 1 do
      expFiles.Add(MainForm.jobListBox.Items[k]);
  end;
end;


procedure expJobThread.finish;
begin
  MainForm.jobImplementButton.Enabled:=true;
end;

procedure expJobThread.stopButtonEnable;
begin
  MainForm.runStopButton.Enabled:=true;
end;

procedure expJobThread.loadJob;
begin
  expConditionLoad(expFiles[counter], err_str);

end;

procedure expJobThread.runJob;
begin
    runPPG;
end;

procedure expJobThread.selectJobItem;
begin
  MainForm.jobListBox.Selected[counter]:=true;
end;

procedure expJobThread.Execute;
begin
  counter:=0;

  while ((not terminated) and (not allFinished)) do begin

    jobfinished:=false;
    repeat sleep(1) until not runQ;

    Sleep(2000);
    synchronize(selectJobItem);
    sleep(2000);

    repeat sleep(1) until not runQ;
    sleep(2000);

    synchronize(loadJob);
    repeat sleep(1) until usbTxBusy=false;

    sleep(interval);
    synchronize(stopButtonEnable);
    synchronize(runJob);
    repeat sleep(1) until runQ;

    repeat sleep(1) until (terminated) or (jobFinished);

    synchronize(updateJobList);

    inc(counter);
    allFinished:=counter>expFiles.Count-1;

  end;

  jobCreated:=false;
  synchronize(finish);

end;

end.
