unit noise;

interface

function randomPh:single;
function randomAmp(sigma:single; alpha:single):single;
procedure noiseGen(var re:single; var im:single; sigmaAmp:single);

implementation

function randomPh:single;
var s:single;
begin
  s:=Random;
  randomPh:=3.1415926535*(2.0*s-1.0);
end;


function randomAmp(sigma:single;alpha:single):single;
var x,y:single;
    fRayleigh:single; // Rayleigh distribution
    ok:boolean;
begin
  ok:=false;
  repeat
    x:=alpha*Random*sigma;
    fRayleigh:=(x/(sigma*sigma))*exp(-(x*x)/(2.0*sigma*sigma));
     // normalized Layleigh distribution
    y:=Random;
    if y<fRayleigh then ok:=true;
  until ok;
  result:=x;
end;

procedure noiseGen(var re:single; var im:single; sigmaAmp:single);
var ph:single;
    amplitude:single;
begin
  amplitude:=randomAmp(sigmaAmp,5);
  ph:=randomPh;
  re:=amplitude*cos(ph);
  im:=amplitude*sin(ph);
end;

end.
