unit styleSetting;

interface

uses
  System.UITypes,
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ComCtrls;

type
  TstyleSettingForm = class(TForm)
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    backgroundColorPanel: TPanel;
    ColorDialog: TColorDialog;
    Panel2: TPanel;
    acqRadioButton: TRadioButton;
    procRadioButton: TRadioButton;
    realColorPanel: TPanel;
    imagColorPanel: TPanel;
    absColorPanel: TPanel;
    polarPlotColorPanel: TPanel;
    axisColorPanel: TPanel;
    Label2: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    FontDialog: TFontDialog;
    axisFontEdit: TEdit;
    Label9: TLabel;
    Label3: TLabel;
    canvasFontEdit: TEdit;
    axisWidthEdit: TEdit;
    Label8: TLabel;
    UpDown1: TUpDown;
    Label10: TLabel;
    penWidthEdit: TEdit;
    UpDown2: TUpDown;
    procedure FormCreate(Sender: TObject);
    procedure backgroundColorPanelClick(Sender: TObject);
    procedure acqRadioButtonClick(Sender: TObject);
    procedure procRadioButtonClick(Sender: TObject);
    procedure axisFontEditClick(Sender: TObject);
    procedure realColorPanelClick(Sender: TObject);
    procedure imagColorPanelClick(Sender: TObject);
    procedure absColorPanelClick(Sender: TObject);
    procedure polarPlotColorPanelClick(Sender: TObject);
    procedure axisColorPanelClick(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure UpDown2Click(Sender: TObject; Button: TUDBtnType);
    procedure canvasFontEditClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
    procedure readFIDStyle;
    procedure readProcFIDStyle;
  end;



var
  styleSettingForm: TstyleSettingForm;

implementation

uses main;

{$R *.dfm}

procedure TstyleSettingForm.readFIDStyle;
begin
  BackGroundColorPanel.Color:=FIDBackgroundColor;
  RealColorPanel.Color:=FIDRealColor;
  ImagColorPanel.Color:=FIDImagColor;
  AbsColorPanel.Color:=FIDAbsColor;
  polarPlotColorPanel.Color:=FIDpolarPlotColor;
  AxisColorPanel.Color:=FIDAxisColor;

  AxisFontEdit.Color:=FIDBackgroundColor;
  AxisFontEdit.Text:=FIDAxisFontName +
                ' ('+ IntToStr(FIDAxisFontSize)+' pt)';
  CanvasFontEdit.Color:=FIDBackgroundColor;
  CanvasFontEdit.Text:=FIDCanvasFontName +
                ' ('+ IntToStr(FIDCanvasFontSize)+' pt)';

  upDown2.Position:=FIDPenWidth;
  upDown1.Position:=FIDAxisWidth;

end;


procedure TstyleSettingForm.readProcFIDStyle;
begin
  BackGroundColorPanel.Color:=ProcFIDBackgroundColor;
  RealColorPanel.Color:=procFIDRealColor;
  ImagColorPanel.Color:=procFIDImagColor;
  AbsColorPanel.Color:=procFIDAbsColor;
  polarPlotColorPanel.Color:=procFIDpolarPlotColor;
  AxisColorPanel.Color:=procFIDAxisColor;

  AxisFontEdit.Color:=procFIDBackgroundColor;
  AxisFontEdit.Text:=ProcFIDAxisFontName +
                ' ('+ IntToStr(ProcFIDAxisFontSize)+' pt)';
  CanvasFontEdit.Color:=procFIDBackgroundColor;
  CanvasFontEdit.Text:=ProcFIDCanvasFontName +
                ' ('+ IntToStr(ProcFIDCanvasFontSize)+' pt)';

  upDown2.Position:=procFIDPenWidth;
  upDown1.Position:=procFIDAxisWidth;

end;

procedure TstyleSettingForm.realColorPanelClick(Sender: TObject);
begin
ColorDialog.Color:=realColorPanel.Color;
if acqRadioButton.Checked then begin
  if ColorDialog.execute then begin
    realColorPanel.Color:=ColorDialog.Color;
    FIDrealColor:=realColorPanel.Color;
    setFIDStyle;
  end;
end else begin
  if ColorDialog.execute then begin
    realColorPanel.Color:=ColorDialog.Color;
    ProcFIDrealColor:=realColorPanel.Color;
    setProcFIDStyle;
  end;
end;

end;

procedure TstyleSettingForm.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  if acqRadioButton.Checked then begin
    FIDAxisWidth:=strToInt(AxisWidthEdit.Text);
    setFIDStyle;
  end else begin
    procFIDAxisWidth:=strToInt(AxisWidthEdit.Text);
    setProcFIDStyle;
  end;
end;

procedure TstyleSettingForm.UpDown2Click(Sender: TObject; Button: TUDBtnType);
begin
  if acqRadioButton.Checked then begin
    FIDPenWidth:=strToInt(PenWidthEdit.Text);
    setFIDStyle;
  end else begin
    procFIDPenWidth:=strToInt(PenWidthEdit.Text);
    setProcFIDStyle;
  end;
end;

procedure TstyleSettingForm.absColorPanelClick(Sender: TObject);
begin
ColorDialog.Color:=absColorPanel.Color;
if acqRadioButton.Checked then begin
  if ColorDialog.execute then begin
    absColorPanel.Color:=ColorDialog.Color;
    FIDabsColor:=absColorPanel.Color;
    setFIDStyle;
  end;
end else begin
  if ColorDialog.execute then begin
    absColorPanel.Color:=ColorDialog.Color;
    ProcFIDabsColor:=absColorPanel.Color;
    setProcFIDStyle;
  end;
end;

end;

procedure TstyleSettingForm.acqRadioButtonClick(Sender: TObject);
begin
  if acqRadioButton.Checked then readFIDStyle;

end;

procedure TstyleSettingForm.axisColorPanelClick(Sender: TObject);
begin
ColorDialog.Color:=axisColorPanel.Color;
if acqRadioButton.Checked then begin
  if ColorDialog.execute then begin
    axisColorPanel.Color:=ColorDialog.Color;
    FIDaxisColor:=axisColorPanel.Color;
    setFIDStyle;
  end;
end else begin
  if ColorDialog.execute then begin
    axisColorPanel.Color:=ColorDialog.Color;
    ProcFIDaxisColor:=axisColorPanel.Color;
    setProcFIDStyle;
  end;
end;

end;

procedure TstyleSettingForm.backgroundColorPanelClick(Sender: TObject);
begin
ColorDialog.Color:=backgroundColorPanel.Color;
if acqRadioButton.Checked then begin
  if ColorDialog.execute then begin
    backgroundColorPanel.Color:=ColorDialog.Color;
    FIDBackgroundColor:=backgroundColorPanel.Color;
    AxisFontEdit.Color:=FIDBackgroundColor;
    CanvasFontEdit.Color:=FIDBackgroundColor;
    setFIDStyle;
  end;
end else begin
  if ColorDialog.execute then begin
    backgroundColorPanel.Color:=ColorDialog.Color;
    ProcFIDBackgroundColor:=backgroundColorPanel.Color;
    AxisFontEdit.Color:=procFIDBackgroundColor;
    CanvasFontEdit.Color:=procFIDBackgroundColor;
    setProcFIDStyle;
  end;
end;
end;



procedure TstyleSettingForm.canvasFontEditClick(Sender: TObject);
begin
if acqRadioButton.Checked then begin
  FontDialog.Font.Name:=FIDCanvasFontName;
  FontDialog.Font.Style:=FIDCanvasFontStyle;
  FontDialog.Font.Size:=FIDCanvasFontSize;
  FontDialog.Font.Color:=FIDCanvasFontColor;
  if FontDialog.Execute then begin
    FIDCanvasFontName:=FontDialog.Font.Name;
    FIDCanvasFontStyle:=FontDialog.Font.Style;
    FIDCanvasFontSize:=FontDialog.Font.Size;
    FIDCanvasFontColor:=FontDialog.Font.Color;
    CanvasFontEdit.Color:=FIDBackgroundColor;
    CanvasFontEdit.Font.Name:=FIDCanvasFontName;
    CanvasFontEdit.Font.Style:=FIDCanvasFontStyle;
    CanvasFontEdit.Font.Size:=FIDCanvasFontSize;
    CanvasFontEdit.Font.Color:=FIDCanvasFontColor;
    CanvasFontEdit.Text:=FIDCanvasFontName +
                ' ('+ IntToStr(FIDCanvasFontSize)+' pt)';
    setFIDStyle;
  end;
end else begin
  FontDialog.Font.Name:=ProcFIDCanvasFontName;
  FontDialog.Font.Style:=ProcFIDCanvasFontStyle;
  FontDialog.Font.Size:=ProcFIDCanvasFontSize;
  FontDialog.Font.Color:=ProcFIDCanvasFontColor;
  if FontDialog.Execute then begin
    ProcFIDCanvasFontName:=FontDialog.Font.Name;
    procFIDCanvasFontStyle:=FontDialog.Font.Style;
    ProcFIDCanvasFontSize:=FontDialog.Font.Size;
    ProcFIDCanvasFontColor:=FontDialog.Font.Color;
    CanvasFontEdit.Color:=procFIDBackgroundColor;
    CanvasFontEdit.Font.Name:=procFIDCanvasFontName;
    CanvasFontEdit.Font.Style:=procFIDCanvasFontStyle;
    CanvasFontEdit.Font.Size:=procFIDCanvasFontSize;
    CanvasFontEdit.Font.Color:=procFIDCanvasFontColor;
    CanvasFontEdit.Text:=procFIDCanvasFontName +
                ' ('+ IntToStr(procFIDCanvasFontSize)+' pt)';
    setProcFIDStyle;
  end;
end;

end;

procedure TstyleSettingForm.axisFontEditClick(Sender: TObject);
begin
if acqRadioButton.Checked then begin
  FontDialog.Font.Name:=FIDAxisFontName;
  FontDialog.Font.Style:=FIDAxisFontStyle;
  FontDialog.Font.Size:=FIDAxisFontSize;
  FontDialog.Font.Color:=FIDAxisFontColor;
  if FontDialog.Execute then begin
    FIDAxisFontName:=FontDialog.Font.Name;
    FIDAxisFontStyle:=FontDialog.Font.Style;
    FIDaxisFontSize:=FontDialog.Font.Size;
    FIDAxisFontColor:=FontDialog.Font.Color;
    axisFontEdit.Color:=FIDBackgroundColor;
    axisFontEdit.Font.Name:=FIDAxisFontName;
    axisFontEdit.Font.Style:=FIDAxisFontStyle;
    axisFontEdit.Font.Size:=FIDCanvasFontSize;
    axisFontEdit.Font.Color:=FIDAxisFontColor;
    axisFontEdit.Text:=FIDAxisFontName +
                ' ('+ IntToStr(FIDAxisFontSize)+' pt)';
    setFIDStyle;
  end;
end else begin
  FontDialog.Font.Name:=ProcFIDCanvasFontName;
  FontDialog.Font.Style:=ProcFIDCanvasFontStyle;
  FontDialog.Font.Size:=ProcFIDCanvasFontSize;
  FontDialog.Font.Color:=ProcFIDCanvasFontColor;
  if FontDialog.Execute then begin
    ProcFIDAxisFontName:=FontDialog.Font.Name;
    procFIDAxisFontStyle:=FontDialog.Font.Style;
    ProcFIDaxisFontSize:=FontDialog.Font.Size;
    ProcFIDAxisFontColor:=FontDialog.Font.Color;
    axisFontEdit.Color:=procFIDBackgroundColor;
    axisFontEdit.Font.Name:=procFIDAxisFontName;
    axisFontEdit.Font.Style:=procFIDAxisFontStyle;
    axisFontEdit.Font.Size:=procFIDCanvasFontSize;
    axisFontEdit.Font.Color:=procFIDAxisFontColor;
    axisFontEdit.Text:=procFIDAxisFontName +
                ' ('+ IntToStr(procFIDAxisFontSize)+' pt)';
    setProcFIDStyle;
  end;
end;
end;

procedure TstyleSettingForm.FormCreate(Sender: TObject);
begin
  if acqRadioButton.Checked then readFIDStyle
  else readProcFIDStyle;

end;

procedure TstyleSettingForm.imagColorPanelClick(Sender: TObject);
begin
ColorDialog.Color:=imagColorPanel.Color;
if acqRadioButton.Checked then begin
  if ColorDialog.execute then begin
    imagColorPanel.Color:=ColorDialog.Color;
    FIDimagColor:=imagColorPanel.Color;
    setFIDStyle;
  end;
end else begin
  if ColorDialog.execute then begin
    imagColorPanel.Color:=ColorDialog.Color;
    ProcFIDimagColor:=imagColorPanel.Color;
    setProcFIDStyle;
  end;
end;

end;

procedure TstyleSettingForm.polarPlotColorPanelClick(Sender: TObject);
begin
ColorDialog.Color:=polarPlotColorPanel.Color;
if acqRadioButton.Checked then begin
  if ColorDialog.execute then begin
    polarPlotColorPanel.Color:=ColorDialog.Color;
    FIDpolarPlotColor:=polarPlotColorPanel.Color;
    setFIDStyle;
  end;
end else begin
  if ColorDialog.execute then begin
    polarPlotColorPanel.Color:=ColorDialog.Color;
    ProcFIDpolarPlotColor:=polarPlotColorPanel.Color;
    setProcFIDStyle;
  end;
end;

end;

procedure TstyleSettingForm.procRadioButtonClick(Sender: TObject);
begin
  if procRadioButton.Checked then readProcFIDStyle;

end;

end.
