unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls, Buttons, IniFiles,
  gates, ppgCompiler, ToolWin, Menus, USBRxThread, USBTxThread,
  modifiedD2XXUnit,
  noise, styleSetting, expJob,
  Grids, ValEdit, ReceiveFIDThread, FIDUnit, digitalFilter, math, process,
  Contnrs, {TObjectListĝɕKv}
  gpib// GPIB version ( for cryogen-free magnet)
  ;


type
  TMainForm = class(TForm)
    OpenDialog1: TOpenDialog;
    fieldSaveDialog: TSaveDialog;
    FIDSaveDialog: TSaveDialog;
    ReadFIDOpenDialog: TOpenDialog;
    EditorHistoryPopupMenu: TPopupMenu;
    ClosePopup: TMenuItem;
    modParamsOpenDialog: TOpenDialog;
    modSeqSaveDialog: TSaveDialog;
    TextFIDDataOpenDialog: TOpenDialog;
    AmpPhaseExportSaveDialog: TSaveDialog;
    importAvanceOpenDialog: TOpenDialog;
    compiledPPGSaveDialog: TSaveDialog;
    LoadExpOpenDialog: TOpenDialog;
    ProcFIDSaveDialog: TSaveDialog;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    Splitter3: TSplitter;
    Panel3: TPanel;
    PageControl7: TPageControl;
    TabSheet18: TTabSheet;
    EditorHistoryListBox: TListBox;
    TabSheet23: TTabSheet;
    Label47: TLabel;
    modParamsMemo: TMemo;
    modSeqMemo: TMemo;
    openModParamsButton: TButton;
    clearModParamsButton: TButton;
    mapModParamsButton: TButton;
    clearModSeqMemoButton: TButton;
    seqEdit: TEdit;
    modSeqSaveButton: TButton;
    Panel25: TPanel;
    Panel23: TPanel;
    EditorStatusBar: TStatusBar;
    EditorFileNamePanel: TPanel;
    currentFileNameLabel: TLabel;
    ToolBar1: TToolBar;
    SpeedButton3: TSpeedButton;
    SpeedButton1: TSpeedButton;
    ppgSaveBtn: TSpeedButton;
    SpeedButton2: TSpeedButton;
    compileButton: TButton;
    compileAndTransferButton: TButton;
    Panel36: TPanel;
    Panel35: TPanel;
    PPGMemo: TMemo;
    Panel37: TPanel;
    PageControl3: TPageControl;
    TabSheet24: TTabSheet;
    errorMessageMemo: TMemo;
    TabSheet25: TTabSheet;
    WarningsMemo: TMemo;
    TabSheet2: TTabSheet;
    Panel4: TPanel;
    Panel10: TPanel;
    transferButton: TButton;
    compiledPPGExportButton: TButton;
    CHListView: TListView;
    Memo6: TMemo;
    compiledPPGMemo: TMemo;
    TabSheet3: TTabSheet;
    Panel5: TPanel;
    Panel7: TPanel;
    Panel30: TPanel;
    Panel34: TPanel;
    vOffsetScrollBar: TScrollBar;
    Panel31: TPanel;
    Panel32: TPanel;
    iniTrackBar: TTrackBar;
    finTrackBar: TTrackBar;
    fixPlotRangeCheckBox: TCheckBox;
    currentPPGNameEdit: TEdit;
    Panel33: TPanel;
    FIDPaintBox: TPaintBox;
    USBTxProgressBar: TProgressBar;
    InterfacePanel: TPanel;
    PageControl2: TPageControl;
    TabSheet5: TTabSheet;
    infoMemo2: TMemo;
    TabSheet22: TTabSheet;
    VariableInfoMemo: TMemo;
    InterfacePageControl: TPageControl;
    TabSheet8: TTabSheet;
    TerminalMemo: TMemo;
    TabSheet17: TTabSheet;
    RCVRTerminalMemo: TMemo;
    GPIBTabSheet: TTabSheet;
    GPIBTerminalMemo: TMemo;
    Panel16: TPanel;
    Label20: TLabel;
    AcqPhaseUpDown: TUpDown;
    AcqPhaseEdit: TEdit;
    ShowHideInterfaceButton: TButton;
    FIDScaleGroupBox: TGroupBox;
    FIDScaleDownButton: TButton;
    FIDScaleUpButton: TButton;
    FIDReceiverScaleRadioButton: TRadioButton;
    FIDDataScaleRadioButton: TRadioButton;
    FIDManualScaleRadioButton: TRadioButton;
    FIDDisplayOptionGroupBox: TGroupBox;
    AbsCheckBox: TCheckBox;
    ImagCheckBox: TCheckBox;
    RealCheckBox: TCheckBox;
    PolarPlotCheckBox: TCheckBox;
    styleSetButton: TButton;
    Panel26: TPanel;
    runPanel2: TPanel;
    Panel17: TPanel;
    Label9: TLabel;
    Label23: TLabel;
    currentDirectoryEdit: TEdit;
    carrierFrequencyEdit: TEdit;
    dataSaveButton: TButton;
    autoSaveCheckBox: TCheckBox;
    asciSaveCheckBox: TCheckBox;
    subDirectoryCheckBox: TCheckBox;
    setPathButton: TButton;
    runPanel: TPanel;
    runStopButton: TSpeedButton;
    clearButton: TBitBtn;
    RepeatScanCheckBox: TCheckBox;
    acqCountEdit: TEdit;
    arrayCountEdit: TEdit;
    Panel6: TPanel;
    PageControl4: TPageControl;
    experimentsTabSheet: TTabSheet;
    GroupBox9: TGroupBox;
    loadExpButton: TButton;
    GroupBox10: TGroupBox;
    Memo4: TMemo;
    variablesTabSheet: TTabSheet;
    Panel8: TPanel;
    Label1: TLabel;
    applyButton: TButton;
    timeUnitComboBox: TComboBox;
    VariableEdit: TEdit;
    Panel9: TPanel;
    VariableListView: TListView;
    TabSheet6: TTabSheet;
    Panel13: TPanel;
    Label21: TLabel;
    Label7: TLabel;
    enableArrayCheckBox: TCheckBox;
    arrayVariableGroupBox: TGroupBox;
    randomArrayPanel: TPanel;
    randomArrayApplyButton: TButton;
    randomArrayMemo: TMemo;
    linearArrayPanel: TPanel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    arrayApplyButton: TButton;
    arrayIncEdit: TEdit;
    arrayIncTimeUnitComboBox: TComboBox;
    arrayIniEdit: TEdit;
    arrayIniTimeUnitComboBox: TComboBox;
    NOfArrayEdit: TEdit;
    randomArrayManualMemo: TMemo;
    variableComboBox: TComboBox;
    ArrayVariableListBox: TListBox;
    linearArrayRadioButton: TRadioButton;
    randomArrayRadioButton: TRadioButton;
    NSTComboBox: TComboBox;
    TabSheet7: TTabSheet;
    digitalFilterGroupBox: TGroupBox;
    Label26: TLabel;
    cutoffFreqLabel: TLabel;
    dFilterRadioButton1: TRadioButton;
    dFilterRadioButton2: TRadioButton;
    dfTrackBar1: TTrackBar;
    dfResponsePageControl: TPageControl;
    TabSheet15: TTabSheet;
    ResponsePaintBox: TPaintBox;
    TabSheet14: TTabSheet;
    FIRPaintBox: TPaintBox;
    TabSheet16: TTabSheet;
    Memo1: TMemo;
    Panel38: TPanel;
    dfOnRadioButton: TRadioButton;
    dfOffRadioButton: TRadioButton;
    TabSheet11: TTabSheet;
    dataTransferGroupBox: TGroupBox;
    Label13: TLabel;
    Label14: TLabel;
    stepRadioButton2: TRadioButton;
    stepRadioButton1: TRadioButton;
    stepComboBox: TComboBox;
    Panel22: TPanel;
    Label24: TLabel;
    spinNoiseCheckBox: TCheckBox;
    NAcqRadioGroup: TRadioGroup;
    nacqRadioButton1: TRadioButton;
    nacqRadioButton2: TRadioButton;
    nacqComboBox: TComboBox;
    spectrometerGroupBox: TGroupBox;
    Label10: TLabel;
    Label50: TLabel;
    Label51: TLabel;
    Label52: TLabel;
    ppgOpenCloseButton: TButton;
    getCLKFreqButton: TButton;
    CLKFreqEdit: TEdit;
    getBuildNumberButton: TButton;
    buildNumberEdit: TEdit;
    TabSheet13: TTabSheet;
    Panel14: TPanel;
    Panel18: TPanel;
    Panel19: TPanel;
    Panel24: TPanel;
    Panel1: TPanel;
    procVOffsetScrollBar: TScrollBar;
    Panel28: TPanel;
    Panel2: TPanel;
    Panel12: TPanel;
    ProcFIDFileNameLabel: TLabel;
    ProcIniTrackBar: TTrackBar;
    ProcFinTrackBar: TTrackBar;
    proc_FixPlotRangeCheckBox: TCheckBox;
    Panel27: TPanel;
    FIDProcPaintBox: TPaintBox;
    dataReadProgressBar: TProgressBar;
    Panel21: TPanel;
    GroupBox2: TGroupBox;
    Proc_RealCheckBox: TCheckBox;
    Proc_ImagCheckBox: TCheckBox;
    Proc_AbsCheckBox: TCheckBox;
    ProcPolarPlotCheckBox: TCheckBox;
    procFIDStyleSetButton: TButton;
    GroupBox3: TGroupBox;
    ProcAutoScaleCheckBox: TCheckBox;
    ProcFIDScaleDownButton: TButton;
    ProcFIDScaleUpButton: TButton;
    GroupBox4: TGroupBox;
    currentFIDLabel: TLabel;
    prevFIDButton: TButton;
    nextFIDButton: TButton;
    currentFIDEdit: TEdit;
    Panel20: TPanel;
    ProcessPageControl: TPageControl;
    TabSheet12: TTabSheet;
    readFIDButton: TButton;
    getCurrentFIDButton: TButton;
    GroupBox1: TGroupBox;
    Label19: TLabel;
    AddFIDButton: TButton;
    JoinFIDButton: TButton;
    SubtractFIDButton: TButton;
    weightingFactorEdit: TEdit;
    AutoProcessCheckBox: TCheckBox;
    SaveGroupBox: TGroupBox;
    Button1: TButton;
    procAsciSaveCheckBox: TCheckBox;
    exportAmpAndPhaseButton: TButton;
    reversePhaseCheckBox: TCheckBox;
    Button3: TButton;
    MultiplyFIDButton: TButton;
    DivideFIDButton: TButton;
    importAvanceButton: TButton;
    FIDManipulateTabSheet: TTabSheet;
    ZeroFillGroupBox: TGroupBox;
    Label29: TLabel;
    Label30: TLabel;
    Label31: TLabel;
    Label32: TLabel;
    ZeroFillComboBox: TComboBox;
    ZeroFillEdit: TEdit;
    UpDown1: TUpDown;
    ZeroFillApplyButton: TButton;
    CutGroupBox: TGroupBox;
    Label17: TLabel;
    Label2: TLabel;
    Label22: TLabel;
    Label27: TLabel;
    cutHeadApplyButton: TButton;
    CutHeadEdit: TEdit;
    CutHeadUpDown: TUpDown;
    CutTailApplyButton: TButton;
    CutTailEdit: TEdit;
    CutTailUpDown: TUpDown;
    ExtrapolationGroupBox: TGroupBox;
    Label36: TLabel;
    Label37: TLabel;
    Label38: TLabel;
    Label39: TLabel;
    extrapolateAddEdit: TEdit;
    extrapolateAverageEdit: TEdit;
    extrapolateApplyButton: TButton;
    UpDown3: TUpDown;
    UpDown4: TUpDown;
    FlattenGroupBox: TGroupBox;
    FlattenApplyButton: TButton;
    TabSheet19: TTabSheet;
    ApodizationGroupBox: TGroupBox;
    Label42: TLabel;
    Label43: TLabel;
    Label44: TLabel;
    GaussianRadioButton: TRadioButton;
    LorenzianRadioButton: TRadioButton;
    apodizationWidthEdit: TEdit;
    apodizationApplyButton: TButton;
    sincRadioButton: TRadioButton;
    GroupBox8: TGroupBox;
    Label57: TLabel;
    Label59: TLabel;
    Label60: TLabel;
    Label61: TLabel;
    Label62: TLabel;
    Label63: TLabel;
    Label64: TLabel;
    Label65: TLabel;
    lbcX1Edit: TEdit;
    lbcX2Edit: TEdit;
    lbcY1ReEdit: TEdit;
    lbcY1ImEdit: TEdit;
    lbcY2ReEdit: TEdit;
    lbcY2ImEdit: TEdit;
    linearBaselineCorrectionApplyButton: TButton;
    TabSheet21: TTabSheet;
    FourierGroupBox: TGroupBox;
    FFTButton: TButton;
    IFFTButton: TButton;
    LaplaceGroupBox: TGroupBox;
    Label35: TLabel;
    LTButton: TButton;
    ILTButton: TButton;
    LaplaceAEdit: TEdit;
    DCOffsetCutGroupBox: TGroupBox;
    Label33: TLabel;
    Label34: TLabel;
    DCOffsetCutEdit: TEdit;
    UpDown2: TUpDown;
    DCOffsetApplyButton: TButton;
    TabSheet20: TTabSheet;
    ZerothPhaseGroupBox: TGroupBox;
    Label12: TLabel;
    phase_p1: TButton;
    phase_pz1: TButton;
    phase_p10: TButton;
    phase_mz1: TButton;
    phase_m10: TButton;
    phase_m1: TButton;
    FirstPhaseGroupBox: TGroupBox;
    SetPivotLabel: TLabel;
    Label58: TLabel;
    PivotApplyButton: TButton;
    SetPivotEdit: TEdit;
    SetPivotCheckBox: TCheckBox;
    phase1_p10: TButton;
    phase1_p1: TButton;
    phase1_m10: TButton;
    phase1_m1: TButton;
    phase1Edit: TEdit;
    ProcessArrayTabSheet: TTabSheet;
    FIGManipulationGroupBox: TGroupBox;
    appendFIDButton: TButton;
    reverseFIDOrderButton: TButton;
    divideAndStackEdit: TEdit;
    divideAndStackButton: TButton;
    Button2: TButton;
    mriProcessButton: TButton;
    CovarianceGroupBox: TGroupBox;
    covarianceApplyButton: TButton;
    crossCorrelationApplyButton: TButton;
    arrayManipulationGroupBox: TGroupBox;
    Label18: TLabel;
    transposeApplyButton: TButton;
    miscTabSheet: TTabSheet;
    appendGroupBox: TGroupBox;
    Label45: TLabel;
    Label46: TLabel;
    prependRadioButton: TRadioButton;
    appendRadioButton: TRadioButton;
    appendRealEdit: TEdit;
    appendImagEdit: TEdit;
    appendApplyButton: TButton;
    scalarGroupBox: TGroupBox;
    multiplyScalarEdit: TEdit;
    divideScalarEdit: TEdit;
    multiplyScalarButton: TButton;
    divideScalarButton: TButton;
    createFIDFromTextGroupBox: TGroupBox;
    Label48: TLabel;
    Label49: TLabel;
    createFIDFromTextMemo: TMemo;
    createFIDFromTextButton: TButton;
    createFIDFromTextsf1Edit: TEdit;
    createFIDFromTextDwEdit: TEdit;
    Button5: TButton;
    createFIDFromTextMemoClearButton: TButton;
    TabSheet4: TTabSheet;
    GroupBox6: TGroupBox;
    Label54: TLabel;
    Label55: TLabel;
    Label56: TLabel;
    noiseALEdit: TEdit;
    noiseAL2Edit: TEdit;
    noiseAmplitudeEdit: TEdit;
    noiseGenerateButton: TButton;
    sigmaNButton: TButton;
    aliasButton: TButton;
    aliasNumberEdit: TEdit;
    Memo3: TMemo;
    sqrtButton: TButton;
    GroupBox7: TGroupBox;
    toggleTimeFrequencyButton: TButton;
    Statictics: TTabSheet;
    averageGroupBox: TGroupBox;
    averageApplyButton: TButton;
    Memo2: TMemo;
    PCWGroupBox: TGroupBox;
    phaseCovarianceLabel1: TLabel;
    phaseCovarianceLabel2: TLabel;
    pcwApplyButton: TButton;
    pcwManualRotationCheckBox: TCheckBox;
    PCWphaseIncrementEdit: TEdit;
    snrButton: TButton;
    SNRMemo: TMemo;
    returnValueTabSheet: TTabSheet;
    returnValueMemo: TMemo;
    returnValueArrayButton: TButton;
    returnValueArrayMemo: TMemo;
    Panel11: TPanel;
    Label28: TLabel;
    ProcessListBox: TListBox;
    jobListBox: TListBox;
    addJobButton: TButton;
    clearJobButton: TButton;
    jobImplementButton: TButton;
    jobListPopupMenu: TPopupMenu;
    Delete1: TMenuItem;
    fft_RepeatScanCheckBox: TCheckBox;
    absMaxButton: TButton;
    tentative: TTabSheet;
    fmCarrierFreqEdit: TEdit;
    fmGyromagneticRatioEdit: TEdit;
    Label6: TLabel;
    Label8: TLabel;
    fmMemo: TMemo;
    cvHyperComplexCheckBox: TCheckBox;
    saveReImCheckBox: TCheckBox;
    rootMatrixApplyButton: TButton;
    sqrTestButton: TButton;
    rootProgressBar: TProgressBar;
    rootMatrixInfoEdit: TEdit;
    fieldSaveButton: TButton;
    SaveDialog1: TSaveDialog;
    jobIntervalEdit: TEdit;
    UpDown5: TUpDown;
    Label11: TLabel;
    Label15: TLabel;
    cvInnerProductCheckBox: TCheckBox;
    zeroFillPrependRadioButton: TRadioButton;
    zeroFillAppendRadioButton: TRadioButton;
    procedure compileButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TerminalMemoChange(Sender: TObject);
    procedure transferButtonClick(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure PPGMemoChange(Sender: TObject);
    procedure TerminalMemoKeyPress(Sender: TObject; var Key: Char);
    procedure clearButtonClick(Sender: TObject);
    procedure runStopButtonClick(Sender: TObject);
 //   procedure stopButtonClick(Sender: TObject);
    procedure VariableInfoMemoChange(Sender: TObject);
    procedure timeUnitComboBoxChange(Sender: TObject);
    procedure VariableEditChange(Sender: TObject);
    procedure applyButtonClick(Sender: TObject);
    procedure VariableListViewSelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);

    procedure VariableEditKeyPress(Sender: TObject; var Key: Char);
    procedure IFFTButtonClick(Sender: TObject);
    procedure CHListViewSelectItem(Sender: TObject; Item: TListItem;
      Selected: Boolean);
    procedure enableArrayCheckBoxClick(Sender: TObject);
    procedure variableComboBoxSelect(Sender: TObject);
    procedure arrayApplyButtonClick(Sender: TObject);

    procedure dataFileSpecifyButtonClick(Sender: TObject);
    procedure dataSaveButtonClick(Sender: TObject);
    procedure infoMemo2Change(Sender: TObject);
    procedure compileAndTransferButtonClick(Sender: TObject);
    procedure scaleUpButtonClick(Sender: TObject);
    procedure scaleDownButtonClick(Sender: TObject);


    procedure stepRadioButton2Click(Sender: TObject);
    procedure stepRadioButton1Click(Sender: TObject);
    procedure dFilterRadioButton1Click(Sender: TObject);
    procedure dFilterRadioButton2Click(Sender: TObject);
    procedure FIDPaintBoxPaint(Sender: TObject);
    procedure PolarPlotCheckBoxClick(Sender: TObject);
    procedure FIDPaintBoxMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);

    procedure ppgSaveBtnClick(Sender: TObject);
    procedure NSTComboBoxChange(Sender: TObject);
    procedure TabSheet6Exit(Sender: TObject);
    procedure RCVRTerminalMemoChange(Sender: TObject);
    procedure RCVRTerminalMemoKeyPress(Sender: TObject; var Key: Char);
    procedure ResponsePaintBoxPaint(Sender: TObject);
    procedure FIRPaintBoxPaint(Sender: TObject);
    procedure iniTrackBarChange(Sender: TObject);
    procedure finTrackBarChange(Sender: TObject);
    procedure RealCheckBoxClick(Sender: TObject);
    procedure ImagCheckBoxClick(Sender: TObject);
    procedure AbsCheckBoxClick(Sender: TObject);
    procedure readFIDButtonClick(Sender: TObject);
    procedure FIDProcPaintBoxPaint(Sender: TObject);
    procedure FIDProcPaintBoxMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure asciSaveCheckBoxClick(Sender: TObject);
    procedure ProcIniTrackBarChange(Sender: TObject);
    procedure ProcFinTrackBarChange(Sender: TObject);
    procedure FFTButtonClick(Sender: TObject);
    procedure spinNoiseCheckBoxClick(Sender: TObject);
    procedure phase_p10Click(Sender: TObject);
    procedure phase_m10Click(Sender: TObject);
    procedure mriProcessButtonClick(Sender: TObject);
    procedure Proc_RealCheckBoxClick(Sender: TObject);
    procedure Proc_ImagCheckBoxClick(Sender: TObject);
    procedure Proc_AbsCheckBoxClick(Sender: TObject);
    procedure nextFIDButtonClick(Sender: TObject);
    procedure prevFIDButtonClick(Sender: TObject);
    procedure appendFIDButtonClick(Sender: TObject);
    procedure reverseFIDOrderButtonClick(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure divideAndStackButtonClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure phase_p1Click(Sender: TObject);
    procedure phase_m1Click(Sender: TObject);
    procedure phase_pz1Click(Sender: TObject);
    procedure phase_mz1Click(Sender: TObject);
    procedure LTButtonClick(Sender: TObject);
    procedure ILTButtonClick(Sender: TObject);
    procedure getCurrentFIDButtonClick(Sender: TObject);
    procedure cutHeadApplyButtonClick(Sender: TObject);
    procedure CutHeadEditKeyPress(Sender: TObject; var Key: Char);
    procedure CutTailEditKeyPress(Sender: TObject; var Key: Char);
    procedure CutTailApplyButtonClick(Sender: TObject);
    procedure ZeroFillEditKeyPress(Sender: TObject; var Key: Char);
    procedure ZeroFillComboBoxKeyPress(Sender: TObject; var Key: Char);
    procedure ZeroFillComboBoxDropDown(Sender: TObject);
    procedure ZeroFillApplyButtonClick(Sender: TObject);
    procedure ZeroFillEditChange(Sender: TObject);
    procedure ZeroFillComboBoxChange(Sender: TObject);
    procedure ProcessListBoxClick(Sender: TObject);
    procedure SetPivotCheckBoxClick(Sender: TObject);
    procedure SetPivotEditKeyPress(Sender: TObject; var Key: Char);
    procedure PivotApplyButtonClick(Sender: TObject);
    procedure phase1_p10Click(Sender: TObject);
    procedure phase1_p1Click(Sender: TObject);
    procedure phase1_m10Click(Sender: TObject);
    procedure phase1_m1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure EditorHistoryListBoxClick(Sender: TObject);
    procedure ClosePopupClick(Sender: TObject);
    procedure DCOffsetCutEditKeyPress(Sender: TObject; var Key: Char);
    procedure DCOffsetApplyButtonClick(Sender: TObject);
    procedure ProcAutoScaleCheckBoxClick(Sender: TObject);
    procedure PPGMemoClick(Sender: TObject);
    procedure PPGMemoKeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure extrapolateAddEditKeyPress(Sender: TObject; var Key: Char);
    procedure extrapolateAverageEditKeyPress(Sender: TObject; var Key: Char);
    procedure extrapolateApplyButtonClick(Sender: TObject);
    procedure AddFIDButtonClick(Sender: TObject);
    procedure SubtractFIDButtonClick(Sender: TObject);
    procedure MultiplyFIDButtonClick(Sender: TObject);
    procedure DivideFIDButtonClick(Sender: TObject);
    procedure covarianceApplyButtonClick(Sender: TObject);
    procedure crossCorrelationApplyButtonClick(Sender: TObject);
    procedure apodizationWidthEditKeyPress(Sender: TObject; var Key: Char);
    procedure apodizationApplyButtonClick(Sender: TObject);
    procedure currentFIDEditKeyPress(Sender: TObject; var Key: Char);
    procedure Button3Click(Sender: TObject);
    procedure ProcPolarPlotCheckBoxClick(Sender: TObject);
    procedure AcqPhaseEditKeyPress(Sender: TObject; var Key: Char);
    procedure AcqPhaseUpDownClick(Sender: TObject; Button: TUDBtnType);
    procedure nacqRadioButton1Click(Sender: TObject);
    procedure nacqRadioButton2Click(Sender: TObject);
    procedure linearArrayRadioButtonClick(Sender: TObject);
    procedure randomArrayRadioButtonClick(Sender: TObject);
    procedure randomArrayApplyButtonClick(Sender: TObject);
    procedure appendApplyButtonClick(Sender: TObject);
    procedure clearModParamsButtonClick(Sender: TObject);
    procedure openModParamsButtonClick(Sender: TObject);
    procedure clearModSeqMemoButtonClick(Sender: TObject);
    procedure mapModParamsButtonClick(Sender: TObject);
    procedure modSeqSaveButtonClick(Sender: TObject);
    procedure multiplyScalarButtonClick(Sender: TObject);
    procedure divideScalarButtonClick(Sender: TObject);
    procedure createFIDFromTextButtonClick(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure createFIDFromTextMemoClearButtonClick(Sender: TObject);
    procedure exportAmpAndPhaseButtonClick(Sender: TObject);
    procedure GPIBTerminalMemoKeyPress(Sender: TObject; var Key: Char);
    procedure GPIBTerminalMemoChange(Sender: TObject);
    procedure Panel6Click(Sender: TObject);
    procedure stepComboBoxKeyPress(Sender: TObject; var Key: Char);
    procedure ppgOpenCloseButtonClick(Sender: TObject);
    procedure getCLKFreqButtonClick(Sender: TObject);
    procedure getBuildNumberButtonClick(Sender: TObject);
    procedure JoinFIDButtonClick(Sender: TObject);
    procedure procVOffsetScrollBarChange(Sender: TObject);
    procedure vOffsetScrollBarChange(Sender: TObject);
    procedure FlattenApplyButtonClick(Sender: TObject);
    procedure transposeApplyButtonClick(Sender: TObject);
    procedure averageApplyButtonClick(Sender: TObject);
    procedure pcwApplyButtonClick(Sender: TObject);
    procedure weightingFactorEditKeyPress(Sender: TObject; var Key: Char);
    procedure noiseGenerateButtonClick(Sender: TObject);
    procedure sigmaNButtonClick(Sender: TObject);
    procedure aliasButtonClick(Sender: TObject);
    procedure snrButtonClick(Sender: TObject);
    procedure sqrtButtonClick(Sender: TObject);
    procedure pcwManualRotationCheckBoxClick(Sender: TObject);
    procedure FIDProcPaintBoxMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure returnValueMemoChange(Sender: TObject);
    procedure returnValueArrayButtonClick(Sender: TObject);
    procedure importAvanceButtonClick(Sender: TObject);
    procedure phase1EditKeyPress(Sender: TObject; var Key: Char);
    procedure FIDPaintBoxMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure ProcFIDScaleUpButtonClick(Sender: TObject);
    procedure ProcFIDScaleDownButtonClick(Sender: TObject);
    procedure FIDScaleUpButtonClick(Sender: TObject);
    procedure FIDScaleDownButtonClick(Sender: TObject);
    procedure compiledPPGExportButtonClick(Sender: TObject);
    procedure toggleTimeFrequencyButtonClick(Sender: TObject);
    procedure linearBaselineCorrectionApplyButtonClick(Sender: TObject);
    procedure setPathButtonClick(Sender: TObject);
    procedure RepeatScanCheckBoxClick(Sender: TObject);
    procedure dfTrackBar1Change(Sender: TObject);
    procedure dfOffRadioButtonClick(Sender: TObject);
    procedure dfOnRadioButtonClick(Sender: TObject);
    procedure ShowHideInterfaceButtonClick(Sender: TObject);
    procedure FIDManualScaleRadioButtonClick(Sender: TObject);
    procedure FIDDataScaleRadioButtonClick(Sender: TObject);
    procedure FIDReceiverScaleRadioButtonClick(Sender: TObject);
    procedure loadExpButtonClick(Sender: TObject);
    procedure styleSetButtonClick(Sender: TObject);
    procedure procFIDStyleSetButtonClick(Sender: TObject);
    procedure clearJobButtonClick(Sender: TObject);
    procedure addJobButtonClick(Sender: TObject);
    procedure jobImplementButtonClick(Sender: TObject);
    procedure Delete1Click(Sender: TObject);
    procedure fft_RepeatScanCheckBoxClick(Sender: TObject);
    procedure absMaxButtonClick(Sender: TObject);
    procedure rootMatrixApplyButtonClick(Sender: TObject);
    procedure sqrTestButtonClick(Sender: TObject);
    procedure fieldSaveButtonClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

  procedure restoreVariable(q:integer);
  procedure displayVariableList;

  procedure updateVariable(q:integer; d: double; ut:TunitOfTime);

  procedure sendRCVRCommand(a:string);
  procedure updateAL;
  procedure updateDWN;
  procedure updateNA;
  procedure updateSTEP;
  procedure updateAF;
  procedure updateCO;

  procedure updateRCVRParams;
  procedure setHyperComplex;  // 2HyperComplexp (States Method)
                              // NA{ɂ茳ɖ߂


  procedure run;
  procedure arrayOperation;
  procedure arrayOperation_old;

  procedure setPlotProcFIDOption;  // process data@\p
  procedure autosetDigitalFilter;
  procedure displayCutoffFreq;

  procedure FIDProcInit;

  procedure phase0(ph_deg:double);
  procedure phase1(ph_deg:double);


  // GPIB for Cryogenics magnet power supply
  //  VF versions only
  procedure GPIB_OpenDevice;
  procedure GPIB_WriteCommand (CommandStr:string);
  procedure GPIB_ReadValue;


  procedure openPPG;
  procedure closePPG;


  procedure usbTransfer(deviceHandle:DWord; mode:integer; sl:TStrings);

  procedure clearRCVR;
  procedure runPPG;
  procedure stopPPG;

  procedure ppgLoad(fn:string);

  procedure allSave; // calls dataSave and ...
    procedure dataSave(path:string);
    procedure logSave(path:string);
    procedure upToDatePPGSave(path:string);

    procedure expConditionSave(path:string);

  procedure expConditionLoad(path:string; var err:string);

 // procedure openReceiver_commandMode;
 // procedure closeReceiver_commandMode;
 // procedure openReceiver_commandMode;
 // procedure closeReceiver_commandMode;

  procedure setFIDStyle;
  procedure setProcFIDStyle;

type TDigitalFilterOption = (dfAuto, dfManual);
type TRunStopMode = (standby,running);



const
  VERSION:single=1.00;

  MAXFILEHISTORY:integer=20;

  acqCountText: string = ' scans';
  nch:word=3;

    // GPIB for Cryogenics magnet power supply
    // VF versions only

  GPIB_DEV_PAD = 4;                 { Pad for device }
    // }}OlbǵAftHgłSB
    // dwʂDIPXCb`0-30ɕύX
  GPIB_DEV_SAD = 0;                 { Sad for device }
  GPIB_BOARD_NUM = 0;

var
  MainForm: TMainForm;

  FIDBackgroundColor:TColor;
  FIDrealColor:TColor;
  FIDimagColor:TColor;
  FIDabsColor:TColor;
  FIDPolarPlotColor:TColor;
  FIDCursorColor:TColor;
  FIDAxisWidth:Integer;
  FIDAxisColor:TColor;
  FIDPenWidth:Integer;
  FIDCursorPenWidth:Integer;
  FIDCanvasFontName:string;
  FIDCanvasFontStyle:TFontStyles;
  FIDCanvasFontSize:integer;
  FIDCanvasFontColor:TColor;
  FIDAxisFontName:string;
  FIDAxisFontStyle:TFontStyles;
  FIDAxisFontSize:integer;
  FIDAxisFontColor:TColor;
  //  FIDPenStyle:FPenStyle;

  procFIDBackgroundColor:TColor;
  procFIDrealColor:TColor;
  procFIDimagColor:TColor;
  procFIDabsColor:TColor;
  procFIDPolarPlotColor:TColor;
  procFIDCursorColor:TColor;
  procFIDAxisWidth:Integer;
  procFIDAxisColor:TColor;
  procFIDPenWidth:Integer;
  procFIDCursorPenWidth:Integer;
  procFIDCanvasFontName:string;
  procFIDCanvasFontStyle:TFontStyles;
  procFIDCanvasFontSize:integer;
  procFIDCanvasFontColor:TColor;
  procFIDAxisFontName:string;
  procFIDAxisFontStyle:TFontStyles;
  procFIDAxisFontSize:integer;
  procFIDAxisFontColor:TColor;
  //  FIDPenStyle:FPenStyle;



    // GPIB for Cryogenics magnet power supply
  useGPIB: word;
  GPIB_DevHandle:Integer;
  GPIBCallInProgress:Boolean;

    {***** Boolean֌W *****}
  USBQ: boolean;
  PPG_Modified, Compiled : Boolean;
  Comm_OK:Boolean;

  USBRxLineReceived:boolean;

  arrayQ:boolean;   // array邩ǂ
  array_OK:boolean; // array̐ݒɃG[Ȃǂ

  FID_2D_Created:boolean; // FID_2DNXCreateꂽH
                          // \tgNfalse;

  dataSaveBusy:boolean;

  {***** Directoryt@C *****}
  dataFilePath, ppgFilePath: string;
  dataFileName:string;
  appIniFileName:string;   // ini file

  currentPPGFilename: string;


  FileHistory:TStrings;

  {֌W}
  Present: TDateTime;
  Year, Month, Day, Hour, Min, Sec, Msec: Word;

  ppg: TnmrPPG;

  NABuffer: integer; // repeat scanɂƂƂNALĂ̂Ɏg


  rsopenQ:boolean=false;
  compiledQ:boolean=false;

  USBRx: TUSBRxThread;
//   USBRx2: TUSBRxThread;
//  USBTx, USBTx2:TUSBTxThread;
  USBTxBusy:boolean;

  FIDTransfer: TReceiveFIDThread;

  expJob: expJobThread;
  jobCreated:boolean;

  pulserHandle: DWord;
  receiverHandle: DWord;

  Que: DWord;
  WR,RR: integer;

  inBuffer, outBuffer: array[0..7] of byte;

  runQ: boolean;
  abortedQ: boolean;

  al:cardinal;
  na,step,dwn:cardinal;
  dw:single;
  nst:word;

  nacq:cardinal;  // number of acquisitions per sequence
                  // may be useful for RELOAD or some other sequences

  //sigR,sigI: array[0..8191] of integer;
  FID_2D:TFID_2D;
  FID_Proc:TFID_2D;

  latestXPosition: cardinal;


  currentArray: integer;




  cursorX:word;  // J[\xWB}[WllB
                 // FIDPaintBoxMouseDown Őݒ肳B

  digitalFilterOption: TDigitalFilterOption; // dfAuto or dfManual
  runStopMode: TRunStopMode; //

  ppgFileNameDefined: boolean;

  DFilter: TdigitalFilter;


  FIDProcess: TProcessOperations;

  AcqPhaseProc:TFIDPhase0;

implementation

//uses ;

{$R *.dfm}

//------------------------------------------------------------------------------
procedure setProcFIDStyle;
begin
  FID_Proc.backgroundColor:=procFIDBackgroundColor;
  FID_Proc.realColor := procFIDrealColor;
  FID_Proc.imagColor := procFIDimagColor;
  FID_Proc.absColor := procFIDabsColor;
  FID_Proc.polarPlotColor := procFIDPolarPlotColor;
  FID_Proc.cursorColor := procFIDCursorColor;
  FID_Proc.AxisWidth := procFIDAxisWidth;
  FID_Proc.axisColor := procFIDAxisColor;
  FID_Proc.polarPlotColor := procFIDpolarPlotColor;
  FID_Proc.penWidth := procFIDPenWidth;
//  FID_Proc.cursorPenWidth := procFIDCursorPenWidth;
  FID_Proc.canvasFontName := procFIDCanvasFontName;
  FID_Proc.canvasFontStyle := procFIDCanvasFontStyle;
  FID_Proc.canvasFontSize := procFIDCanvasFontSize;
  FID_Proc.canvasFontColor := procFIDCanvasFontColor;
  FID_Proc.axisFontName := procFIDAxisFontName;
  FID_Proc.axisFontStyle := procFIDAxisFontStyle;
  FID_Proc.axisFontSize := procFIDAxisFontSize;
  FID_Proc.axisFontColor := procFIDAxisFontColor;


  if FID_Proc.length_2D>0 then
    FID_Proc.draw(MainForm.FIDProcPaintBox,FID_Proc.currentFID);

end;
//------------------------------------------------------------------------------
procedure setFIDStyle;
begin

  FID_2D.backgroundColor:=FIDBackgroundColor;
  FID_2D.realColor := FIDrealColor;
  FID_2D.imagColor := FIDimagColor;
  FID_2D.absColor := FIDabsColor;
  FID_2D.polarPlotColor := FIDPolarPlotColor;
  FID_2D.cursorColor := FIDCursorColor;
  FID_2D.AxisWidth := FIDAxisWidth;
  FID_2D.axisColor := FIDAxisColor;
  FID_2D.polarPlotColor := FIDpolarPlotColor;
  FID_2D.penWidth := FIDPenWidth;
//  FID_2D.cursorPenWidth := FIDCursorPenWidth;
  FID_2D.canvasFontName := FIDCanvasFontName;
  FID_2D.canvasFontStyle:=FIDCanvasFontStyle;
  FID_2D.canvasFontSize := FIDCanvasFontSize;
  FID_2D.canvasFontColor := FIDCanvasFontColor;
  FID_2D.axisFontName := FIDAxisFontName;
  FID_2D.axisFontStyle := FIDAxisFontStyle;
  FID_2D.axisFontSize := FIDAxisFontSize;
  FID_2D.axisFontColor := FIDAxisFontColor;

  if FID_2D.length_2D>0 then FID_2D.draw(MainForm.FIDPaintBox,FID_2D.length_2D-1);

end;
//------------------------------------------------------------------------------
procedure GPIB_OpenDevice;

begin

   GPIB_DevHandle :=
     ibdev(GPIB_BOARD_NUM,GPIB_Dev_Pad,GPIB_DEV_SAD,11,0,0); { Open the device }

   if ((GPIB_DevHandle < 0) and (ibsta and ERR <> 0)) then
      begin
      MainForm.GPIBTerminalMemo.Lines.add ('IBDEV Couldn''t open a handle to the device ');
      MainForm.GPIBTerminalMemo.Lines.add ('   Please verify the board number and Pad for the device ');
      MainForm.GPIBTerminalMemo.Lines.add ('');
      end
   else
     begin

       MainForm.GPIBTerminalMemo.Lines.Add('GPIB Device Handle: '+IntToStr(GPIB_DevHandle));
       MainForm.GPIBTerminalMemo.Lines.Add('$');

     end;
end;
//------------------------------------------------------------------------------
procedure GPIB_WriteCommand (CommandStr:string);
var
  k,StrLen:integer;
  ok: boolean;
begin
   StrLen := length(CommandStr);
   ok:=true;
   for k:=1 to StrLen do begin
     ibwrt(GPIB_DevHandle, Commandstr[k], 1);
     if (ibcnt<>1) or (ibsta and ERR <> 0) then ok:=false;
   end;

   if not ok then begin { Check for errors }
      MainForm.GPIBTerminalMemo.Lines.Add('IBWRT failed while writing ' +CommandStr);
      MainForm.GPIBTerminalMemo.Lines.Add('$');
   end;
end;
//------------------------------------------------------------------------------
procedure GPIB_ReadValue;
const  READ_BUF_SIZE = 2000;
var
  ReadBuf: array[0..READ_BUF_SIZE] of AnsiChar;
  ReadStr:string;
begin
   if (GPIB_DevHandle = 0) then
      //Meter.Caption := '---'
   else
       begin;
       ibrd (GPIB_DevHandle, ReadBuf, READ_BUF_SIZE);     { Read from GPIB }
       if (ibcnt = 0) or (ibsta and ERR <> 0) then { Check for errors }
          begin
          //Meter.Caption := '---';
         // MainForm.GPIBTerminalMemo.Lines.Add ('IBRD failed');
         // timer1.Enabled := False;
          end
       else
           ReadBuf[ibcnt] := #0;
           ReadStr := string( StrPas (ReadBuf));
       end;
   MainForm.GPIBTerminalMemo.Lines.Add(ReadStr);
   MainForm.GPIBTerminalMemo.Lines[MainForm.GPIBTerminalMemo.Lines.Count-1]:='$';

end;


procedure TMainForm.compileButtonClick(Sender: TObject);
var i:integer;
begin

  if (ppgFileNameDefined=false) or (ppgSaveBtn.Enabled) then begin
    // ppg̃t@Cm肵ĂȂI
    ShowMessage('Please save the pulse program before compiling');
    exit;
  end; // if ppgFileNameDefined=false


  errorMessageMemo.Clear;
  errorMessageMemo.Font.Color:=clRed;
  infomemo2.Clear;
  WarningsMemo.Clear;

  ppg.Free;
  ppg:=TnmrPPG.Create(nch,currentPPGFileName);

 // ppg.ppgFileName:=currentPPGFileName;
 // ppg.gateDefFileDir:=ExtractFilePath(currentPPGFileName);

  ppg.ppgLines.Clear;
  ppg.ppgLines.loadFromFile(currentPPGFileName);

  nst:=1; // ftHgł1D exp
  NSTCombobox.ItemIndex:=0;   // [ԖڂP

  ppg.compile;

  for i:=0 to ppg.info.Count-1 do begin
    infoMemo2.Lines.Add(ppg.info[i]);
  end;

  for i:=0 to ppg.Warnings.Count-1 do begin
    WarningsMemo.Lines.Add(ppg.Warnings[i]);
  end;

  if not ppg.erra then begin
    errorMessageMemo.Font.Color:=clGreen;
    if ppg.Warnings.Count=0 then begin
      errorMessageMemo.Lines.Add('Compilation has been successful.');
    end else if ppg.Warnings.Count=1 then begin
      errorMessageMemo.Lines.Add('Compilation has been successful, '
                         + 'but please watch a warning message.')
    end else begin
      errorMessageMemo.Lines.Add('Compilation has been successful, '
                         + 'but please watch '
                         + IntToStr(ppg.Warnings.Count)
                         + ' warning messages.')
    end;
    PageControl1.ActivePageIndex:=1;

    compiledPPGMemo.Lines.Clear;
    CHListView.Items.Clear;
    for i:=0 to ppg.NOFChannels-1 do begin
      CHListView.Items.Add;
      CHListView.Items.Item[i].Caption:='CH'+IntToStr(i+1);
    end;

//    CHListView.Items.Item[0].Selected:=true;

    compiledQ:=true;
    transferButton.Enabled:=true;

    al:=round(ppg.Variables.variable[ppg.Variables.index('AL')].value);
    dw:=round(ppg.Variables.variable[ppg.Variables.index('DW')].value);


    //********************************************

    if useGPIB=1 then begin
      ppg.Variables.add('Magnet Current',ampVariable);
      ppg.Variables.Variable[ppg.Variables.index('Magnet Current')].Value:=0.0;
    end;
    //********************************************

  end
  else begin
   // ShowMessage('Error occured.');
    PageControl3.ActivePageIndex:=0;  {G[bZ[W^uO}
    compiledQ:=false;
    errorMessagememo.Lines.Assign(ppg.Messages);
  end;

end;

procedure TMainForm.compiledPPGExportButtonClick(Sender: TObject);
var fn:string;
    k:integer;
begin
  if not ppg.compiled then exit;
  if compiledPPGSaveDialog.Execute then begin
    fn:=compiledPPGSaveDialog.FileName;
    for k := 0 to ppg.NOFChannels - 1 do
      ppg.compiledPPG[k].SaveToFile(ChangeFileExt(fn,'.ch'+intToStr(k+1)));
  end;

end;

procedure TMainForm.covarianceApplyButtonClick(Sender: TObject);
var newProc:TCovariance;
begin
  if FID_Proc.length_2D<1 then exit;

  newProc:=TCovariance.create;
  if cvHyperComplexCheckbox.Checked then
    newProc.covarianceMode:=cvHyperComplex
  else
    newProc.covarianceMode:=cvReal;

  newProc.innerProductQ:=cvInnerProductCheckbox.Checked;


  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(Covariance);
  TCovariance(FIDProcess.Items[FIDProcess.Count-1]).covarianceMode:=newProc.covarianceMode;


  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  newProc.Free;

end;

procedure TMainForm.crossCorrelationApplyButtonClick(Sender: TObject);
var newProc:TCrossCorrelation;
begin
  if FID_Proc.length_2D<1 then exit;

  newProc:=TCrossCorrelation.create;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(CrossCorrelation);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  newProc.Free;

end;

//------------------------------------------------------------------------------

procedure TMainForm.FormCreate(Sender: TObject);
var
  ini:TIniFile;
  sList:TStrings;
  k,c:integer;
  s:string;
  FStyle:TFontStyles;
  Fs :Byte absolute FStyle;

begin
     {vOJnɂ}
  appIniFileName:=ExtractFilePath(application.ExeName)+'nmr.ini';
  ini:=TIniFile.Create(appIniFileName);

  FileHistory:=TStringList.Create;

  with ini do begin

    useGPIB:=ReadInteger('MISC','useGPIB',0);

    ppgFilePath:=ReadString('FILE','ppgFilePath', 'C:\');
    dataFilePath:=ReadString('FILE','DataFilePath','C:\');

    MainForm.Left:=ReadInteger('WINDOW','left',194);
    MainForm.Top:=ReadInteger('WINDOW','top',110);
    MainForm.Width:=ReadInteger('WINDOW','width',1046);
    MainForm.Height:=ReadInteger('WINDOW','height',838);

    c:=ReadInteger('HISTORY','count',0);
    for k:= 0 to c - 1 do begin
      s:=readString('HISTORY','filename_'+IntToStr(k),'');
      if FileExists(s) then begin
        FileHistory.Add(s);
        EditorHistoryListBox.Items.Add(
          ExtractFileName(s) + '  ('+ ExtractFilePath(s) + ')' );
      end;
    end;

{ default values
  realColor:=$000000FF;
  imagColor:=$0000FF00;
  absColor:=$0000FFFF;
  polarPlotColor:=$00FFFF00;

  cursorColor:=$00FFFFFF;
  axisWidth:=1;
  axisColor:=$00555555;

  penWidth:=2;
  cursorPenWidth:=1;
  canvasFontName:='Tahoma';
  canvasFontSize:=8;
  canvasFontColor:=$00FFFF00;
  axisFontSize:=11;

}
  FIDBackgroundColor:=readInteger('STYLE_ACQ','backgroundColor',$00000000);
  FIDrealColor:=readInteger('STYLE_ACQ','realColor',$000000FF);
  FIDimagColor:=readInteger('STYLE_ACQ','imagColor',$0000FF00);
  FIDabsColor:=readInteger('STYLE_ACQ','absColor',$0000FFFF);
  FIDpolarPlotColor:=readInteger('STYLE_ACQ','polarPlotColor',$00FFFF00);
  FIDcursorColor:=readInteger('STYLE_ACQ','cursorColor',$00FFFFFF);
  FIDaxisWidth:=readInteger('STYLE_ACQ','axisWidth',1);
  FIDaxisColor:=readInteger('STYLE_ACQ','axisColor',$00555555);
  FIDpenWidth:=readInteger('STYLE_ACQ','penWidth',2);
  FIDcursorPenWidth:=readInteger('STYLE_ACQ','cursorPenWidth',2);
  FIDcanvasFontName:=readString('STYLE_ACQ','canvasFontName','Tahoma');
  FIDcanvasFontSize:=readInteger('STYLE_ACQ','canvasFontSize',8);
  FIDcanvasFontColor:=readInteger('STYLE_ACQ','canvasFontColor',$00FFFF00);
  Fs:=ReadInteger('STYLE_ACQ','canvasFontStyle',0);
  if Fs<>0 then FIDCanvasFontStyle:=FStyle;

  FIDaxisFontName:=readString('STYLE_ACQ','axisFontName','Tahoma');
  FIDaxisFontSize:=readInteger('STYLE_ACQ','axisFontSize',11);
  FIDaxisFontColor:=readInteger('STYLE_ACQ','axisFontColor',$00FFFF00);
  Fs:=ReadInteger('STYLE_ACQ','axisFontStyle',0);
  if Fs<>0 then FIDAxisFontStyle:=FStyle;

  ProcFIDBackgroundColor:=readInteger('STYLE_PROC','backgroundColor',$00000000);
  ProcFIDrealColor:=readInteger('STYLE_PROC','realColor',$000000FF);
  ProcFIDimagColor:=readInteger('STYLE_PROC','imagColor',$0000FF00);
  ProcFIDabsColor:=readInteger('STYLE_PROC','absColor',$0000FFFF);
  ProcFIDpolarPlotColor:=readInteger('STYLE_PROC','polarPlotColor',$00FFFF00);
  ProcFIDcursorColor:=readInteger('STYLE_PROC','cursorColor',$00FFFFFF);
  ProcFIDaxisWidth:=readInteger('STYLE_PROC','axisWidth',1);
  ProcFIDaxisColor:=readInteger('STYLE_PROC','axisColor',$00555555);
  ProcFIDpenWidth:=readInteger('STYLE_PROC','penWidth',2);
  ProcFIDcursorPenWidth:=readInteger('STYLE_PROC','cursorPenWidth',1);

  ProcFIDcanvasFontName:=readString('STYLE_PROC','canvasFontName','Tahoma');
  ProcFIDcanvasFontSize:=readInteger('STYLE_PROC','canvasFontSize',8);
  ProcFIDcanvasFontColor:=readInteger('STYLE_PROC','canvasFontColor',$00FFFF00);
  Fs:=ReadInteger('STYLE_PROC','canvasFontStyle',0);
  if Fs<>0 then procFIDCanvasFontStyle:=FStyle;

  ProcFIDaxisFontName:=readString('STYLE_PROC','axisFontName','Tahoma');
  ProcFIDaxisFontSize:=readInteger('STYLE_PROC','axisFontSize',11);
  ProcFIDaxisFontColor:=readInteger('STYLE_PROC','axisFontColor',$00FFFF00);
  Fs:=ReadInteger('STYLE_PROC','axisFontStyle',0);
  if Fs<>0 then procFIDAxisFontStyle:=FStyle;


  end;

  ini.Free;

  currentPPGFilename:='';
  currentDirectoryEdit.Text:=dataFilePath;
 // currentFilenameEdit.Text:='Untitled';

  dataFileName:='';
  k:=length(dataFilePath);
  while dataFilePath[k]<>'\' do begin
    dataFileName:=dataFilePath[k]+dataFileName;
    Dec(k);
  end;


  OpenPPG;           {pulserƂ̒ʐMI[v}

  ppg:=TnmrPPG.Create(nch);       {NXTnmrPPG𐶐}
  ppg.Variables.NOfArray:=0;  // ̃p[^array邩Hŏ͂O

  DFilter:=TdigitalFilter.Create; {NXTDigitalFilter𐶐}
  DFilter.BitLength:=10;

  PageControl1.ActivePageIndex:=2;  {PPG editor\}
  PageControl2.ActivePageIndex:=0;

  clearButton.Click;         {pulserƂ̒ʐMfBXvCNA}

  runQ:=false;               {stOinactive}
  runStopMode:=standby;
  runStopButton.Enabled:=false;

  arrayQ:=false;    {array͖ݒ}
  currentArray:=1;  {arrayJE^1ɁB}

  jobCreated:=false;

  dataSaveBusy:=false;

  VariableListView.Columns.Add;
  VariableListView.Columns.Add;
  VariableListView.Columns.Add;

  VariableListView.Column[0].Caption := 'Variable';
  VariableListView.Column[0].Width := 100;
  VariableListView.Column[1].Caption := 'Caption';
  VariableListView.Column[1].Width := 100;
  VariableListView.Column[2].Caption := 'Value';
  VariableListView.Column[2].Width := 100;

  timeUnitComboBox.Visible:=false;

  digitalFilterOption:=dfAuto; // Ndigital filterIvVauto
  dfTrackBar1.Enabled:=false;  // manualptrackbar𓮂ȂĂB
//  dfCoarseTrackBar.Enabled:=false;  //
//  dfFineTrackBar.Enabled:=false;    //


  FID_2D:=TFID_2D.create(1.0,1); // _~[Create(KvI)
  FID_2D_Created:=false;

  FID_Proc:=TFID_2D.create(1.0,1);

  setFIDStyle;
  setProcFIDstyle;


  FID_2D.receiverScale:=FIDReceiverScaleRadioButton.Checked;
  FID_2D.autoscale:=FIDDataScaleRadioButton.Checked;


  nst:=1; // ftHgł1D exp
  NSTCombobox.ItemIndex:=0;   // [ԖڂP

  nacq:=1; // ftHgł1 sequence 1 scan
           // 1 sequence ɕXL΁AB


  RCVRTerminalMemo.Lines.Add('');
  RCVRTerminalMemo.Lines[RCVRTerminalMemo.Lines.Count-1]:='[RCVR]>';

  ppgFileNameDefined:=false;

  // --- ُIAppgςȂ̉\邵
  // ---     ƂɂppgƂ߂B
  //        buildo[W\
  if rsOpenQ then begin
    sList:=TStringList.Create;
    sList.Add('i');
    sList.Add('v');
    usbTransfer(pulserHandle,0,sList);
  //  USBTx := TUSBTxThread.Create(pulserHandle,0,sList);
  //  repeat until USBTx.finished;
  //  USBTx.Free;

    sList.Free;
  end;

  FIDProcess:=TProcessOperations.Create;

  AcqPhaseProc:=TFIDPhase0.Create;

  // GPIB  for Cryogenics magnet power supply  2008.12.02 K.T
  if useGPIB=1 then begin
    GPIBCallInProgress := FALSE;
    GPIB_DevHandle := 0;

    GPIB_OpenDevice;
    GPIB_WriteCommand(#10);
    GPIB_ReadValue;

  end else begin // GPIBgȂȂInterface tabshheet
    InterfacePageControl.Pages[2].free;
  end;


end;

//------------------------------------------------------------------------------

procedure TMainForm.FormClose(Sender: TObject; var Action: TCloseAction);
var
  Ini: TIniFile;

  FStyle:TFontStyles;
  Fs :Byte absolute FStyle;

  k:integer;
begin{vOIɂ}
  if runQ then begin  {PPG running}
    if MessageDlg('The pulse program is still running. Exit anyway?', mtConfirmation,
      [mbYes, mbNo], 0) = mrYes then begin
      stopPPG;; {isȂ΁jPPGXgbv}
      ppg.Free;         {NXppgJ}
      USBRx.Terminate;
      closePPG;
      FID_2D.free;
      FID_Proc.free;
      Action := caFree;
    end else
      Action := caNone;
  end else begin

    ppg.Free;         {NXppgJ}
    DFilter.Free;
    if USBQ then USBRx.Terminate;
    closePPG;
    FID_2D.free;
    FID_Proc.free;


    {ini file }
    //try
      ini:=TIniFile.Create(appIniFileName);

      ini.WriteInteger('MISC','useGPIB',useGPIB);

      ini.WriteString('FILE','DataFilePath', dataFilePath);
      ini.WriteString('FILE','ppgFilePath', ppgFilePath);

      ini.WriteInteger('WINDOW','left',MainForm.Left);
      ini.WriteInteger('WINDOW','top',MainForm.top);
      ini.WriteInteger('WINDOW','width',MainForm.width);
      ini.WriteInteger('WINDOW','height',MainForm.height);


      ini.WriteInteger('HISTORY','count',FileHistory.Count);
      for k:= 0 to FileHistory.Count-1 do
        ini.WriteString('HISTORY','filename_'+IntToStr(k),FileHistory[k]);

      ini.WriteInteger('STYLE_ACQ','backgroundColor',FIDBackgroundColor);
      ini.WriteInteger('STYLE_ACQ','realColor',FIDrealColor);
      ini.WriteInteger('STYLE_ACQ','imagColor',FIDimagColor);
      ini.WriteInteger('STYLE_ACQ','absColor',FIDabsColor);
      ini.WriteInteger('STYLE_ACQ','polarPlotColor',FIDpolarPlotColor);
      ini.WriteInteger('STYLE_ACQ','cursorColor',FIDcursorColor);
      ini.WriteInteger('STYLE_ACQ','axisWidth',FIDAxisWidth);
      ini.WriteInteger('STYLE_ACQ','axisColor',FIDAxisColor);
      ini.WriteInteger('STYLE_ACQ','penWidth',FIDpenWidth);
      ini.WriteInteger('STYLE_ACQ','cursorPenWidth',FIDcursorPenWidth);

      ini.WriteString('STYLE_ACQ','canvasFontName',FIDCanvasFontName);
      ini.WriteInteger('STYLE_ACQ','canvasFontSize',FIDCanvasFontSize);
      ini.WriteInteger('STYLE_ACQ','canvasFontColor',FIDCanvasFontColor);
      FStyle:=FIDCanvasFontStyle;
      ini.WriteInteger('STYLE_ACQ','canvasFontStyle',FS);
      ini.WriteString('STYLE_ACQ','axisFontName',FIDAxisFontName);
      ini.WriteInteger('STYLE_ACQ','axisFontSize',FIDAxisFontSize);
      ini.WriteInteger('STYLE_ACQ','axisFontColor',FIDAxisFontColor);
      FStyle:=FIDAxisFontStyle;
      ini.WriteInteger('STYLE_ACQ','axisFontStyle',FS);

      ini.WriteInteger('STYLE_PROC','backgroundColor',procFIDBackgroundColor);
      ini.WriteInteger('STYLE_PROC','realColor',procFIDrealColor);
      ini.WriteInteger('STYLE_PROC','imagColor',procFIDimagColor);
      ini.WriteInteger('STYLE_PROC','absColor',procFIDabsColor);
      ini.WriteInteger('STYLE_PROC','polarPlotColor',procFIDpolarPlotColor);
      ini.WriteInteger('STYLE_PROC','cursorColor',procFIDcursorColor);
      ini.WriteInteger('STYLE_PROC','axisWidth',procFIDAxisWidth);
      ini.WriteInteger('STYLE_PROC','axisColor',procFIDAxisColor);
      ini.WriteInteger('STYLE_PROC','penWidth',procFIDpenWidth);
      ini.WriteInteger('STYLE_PROC','cursorPenWidth',procFIDcursorPenWidth);

      ini.WriteString('STYLE_PROC','canvasFontName',procFIDCanvasFontName);
      ini.WriteInteger('STYLE_PROC','canvasFontSize',procFIDCanvasFontSize);
      ini.WriteInteger('STYLE_PROC','canvasFontColor',procFIDCanvasFontColor);
      FStyle:=procFIDCanvasFontStyle;
      ini.WriteInteger('STYLE_PROC','canvasFontStyle',FS);

      ini.WriteString('STYLE_PROC','axisFontName',procFIDAxisFontName);
      ini.WriteInteger('STYLE_PROC','axisFontSize',procFIDAxisFontSize);
      ini.WriteInteger('STYLE_PROC','axisFontColor',procFIDAxisFontColor);
      FStyle:=procFIDAxisFontStyle;
      ini.WriteInteger('STYLE_Proc','axisFontStyle',FS);

      {

  FIDBackgroundColor:TColor;
  FIDrealColor:TColor;
  FIDimagColor:TColor;
  FIDabsColor:TColor;
  FIDPolarPlotColor:TColor;
  FIDCursorColor:TColor;
  FIDAxisWidth:Integer;
  FIDAxisColor:TColor;
  FIDPenWidth:Integer;
  FIDCursorPenWidth:Integer;
  FIDCanvasFontName:string;
  FIDCanvasFontSize:integer;
  FIDCavnasFontColor:TColor;
  FIDAxisFontSize:integer;
  //  FIDPenStyle:FPenStyle;

  procFIDBackgroundColor:TColor;
  procFIDrealColor:TColor;
  procFIDimagColor:TColor;
  procFIDabsColor:TColor;
  procFIDPolarPlotColor:TColor;
  procFIDCursorColor:TColor;
  procFIDAxisWidth:Integer;
  procFIDAxisColor:TColor;
  procFIDPenWidth:Integer;
  procFIDCursorPenWidth:Integer;
  procFIDCanvasFontName:string;
  procFIDCanvasFontSize:integer;
  procFIDCanvasFontColor:TColor;
  procFIDAxisFontSize:integer;
  //  FIDPenStyle:FPenStyle;
}

    //finally
      ini.Free;
    //end;

    FIDProcess.free;
    AcqPhaseProc.Free;
    FileHistory.Free;

  end;
end;

//------------------------------------------------------------------------------
procedure OpenPPG;
var s1,s2:string;

begin
  USBQ:=true;

with MainForm do begin
  GetFTDeviceCount;
  if FT_Device_Count < 2 then begin
    ShowMessage('USB connection failed.');
    USBQ:=false;
    exit;
  end;

  GetFTDeviceDescription(0);
  s1:=FT_Device_String;
  GetFTDeviceDescription(1);
  s2:=FT_Device_String;

  SetDeviceString(s1);
  if FT_OpenEx(@FT_Device_String_Buffer,FT_OPEN_BY_DESCRIPTION,@pulserHandle)
      <> FT_OK then begin
      showmessage('Failed to Open USB A');
      USBQ:=false;
      end;

  FT_Current_Baud:=FT_BAUD_38400;
//  FT_Current_Baud:=FT_BAUD_115200;
  if FT_SetBaudRate(pulserHandle,FT_Current_Baud)
     <> FT_OK then begin
     showmessage('Failed to set baud rate');
     USBQ:=false;
     end;

  SetDeviceString(s2);
  if FT_OpenEx(@FT_Device_String_Buffer,FT_OPEN_BY_DESCRIPTION,@receiverHandle)
      <> FT_OK then begin
        showmessage('Failed to Open USB B');
        USBQ:=false;
  end;

  if USBQ then begin
    rsOpenQ:=true;
    ppgOpenCloseButton.caption:='Close';
    USBRx:=TUSBRxThread.Create(pulserHandle, TerminalMemo);
                    {pulser̎MXbh𐶐}
  end; // USBQ

end; // with
end;
//---------------------------------------------------------------------
procedure ClosePPG;
begin
  if not rsOpenQ then exit;

  USBRx.Terminate;  //pulser̎MXbh~

  with MainForm do begin
   if FT_Close(pulserHandle) <> FT_OK then
       showmessage('Failed to close USB A');

   if FT_Close(receiverHandle) <> FT_OK then
       showmessage('Failed to close USB B');

  rsOpenQ:=false;
  ppgOpenCloseButton.caption:='Open';

  end; // with MainForm
end;



//------------------------------------------------------------------------------

procedure TMainForm.TerminalMemoChange(Sender: TObject);
begin
  if TerminalMemo.Lines.Count=200 then TerminalMemo.Lines.Delete(0);
  TerminalMemo.Perform(EM_LINESCROLL, 0, 200)
end;

//------------------------------------------------------------------------------

procedure TMainForm.transferButtonClick(Sender: TObject);
var j,k: integer;
  //  moji:char;
    sList:TStrings;
begin
  if compiledQ=false then begin
    showMessage('Please do this after compiling PPG.'); exit; end
  else if rsOpenQ=false then begin
    showMessage('Please do this after opening'
                + 'USB communication with the pulser.'); exit; end
  else if runQ then begin
    showMessage('Cannot transfer, because the pulse program is running.'); exit; end
  else begin

    compileButton.enabled:=false;
    TerminalMemo.Clear;
    label1.Caption:='Edit Variable';
    variableEdit.Text:='';
       // onChangeCxgapplyButtonIEnabledɂȂ̂ŁA
       // applyButton.Enabled:=falseĂB
    applyButton.Enabled:=false;
    timeUnitComboBox.Visible:=false;
    repeatScanCheckBox.Checked:=false;

    if digitalFilterOption=dfAuto then autosetDigitalFilter;

    PageControl1.ActivePageIndex:=2;

    ArrayVariableListBox.Clear;
    enableArrayCheckBox.Checked:=false;
    arrayVariableGroupBox.Visible:=false;
    displayVariableList;
    PageControl4.ActivePageIndex:=1;


    currentPPGNameEdit.Text:=
      'Current pulse program: ' + ExtractFileName(ppg.ppgFileName);

    sList:=TStringList.Create;

    for j:=1 to ppg.NOFChannels do begin
      sList.Add('CH'+IntToStr(j));
      for k:=0 to ppg.compiledPPG[j-1].Count-1 do begin
        sList.Add(ppg.compiledPPG[j-1][k]);
      end; //k
    end; // j

    sList.Add('CH1');

    runStopButton.Enabled:=true;

    usbTransfer(pulserHandle,0,sList);
   // USBTx := TUSBTxThread.Create(pulserHandle,0,sList);
   // repeat until USBTxBusy=false;

    sList.Free;

   // recentPlotScale:=FID_2D.plotScale; // ÕXP[L
    FID_2D.free;
    FID_2D:=TFID_2D.create(dw, al);
   // FID_2D.plotScale:=recentPlotScale;

   dataSaveButton.Enabled:=true;

  end;
end;

//------------------------------------------------------------------------------
procedure TMainForm.transposeApplyButtonClick(Sender: TObject);
var newProc:TTranspose;
begin
  if FID_Proc.length_2D<1 then exit;

  newProc:=TTranspose.create;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FID_Proc.currentFID:=0;

  FIDProcess.Add(Transpose);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  ProcFinTrackBar.Max:=FID_Proc.al-1;
  ProcFinTrackBar.Position:=ProcFinTrackBar.Max;
  ProcIniTrackBar.Max:=FID_Proc.al-1;
  ProcIniTrackBar.Position:=0;

  currentFIDEdit.Text:='1';
  currentFIDLabel.Caption:='/'+IntToStr(FID_Proc.length_2D);

  newProc.Free;

end;
//------------------------------------------------------------------------------
procedure ppgLoad(fn:string);
var k:integer;
    found:boolean;
begin
  with MainForm do begin
    PPGMemo.lines.LoadFromFile(fn);
    compileButton.Enabled:=true;
    ppgFilePath:=ExtractFilePath(fn);
    currentPPGFilename:=fn; // path included
    ppgFileNameDefined:=true;
    ppgSaveBtn.Enabled:=false;

    found:=false;
    for k := 0 to FileHistory.Count - 1 do
      if FileHistory[k]=currentPPGFilename then found:=true;


    if not found then begin
      FileHistory.Insert(0,currentPPGFileName);
      EditorHistoryListBox.Items.insert(0,
        ExtractFileName(currentPPGFilename) + '  ('+
        ExtractFilePath(currentPPGFileName) + ')' );

      if FileHistory.Count>MAXFILEHISTORY then begin
        FileHistory.Delete(FileHistory.Count-1);
        EditorHistoryListBox.Items.Delete(EditorHistoryListBox.Items.Count-1);
      end;

      EditorHistoryListBox.ItemIndex:=0;
    end;

    currentFileNameLabel.Caption:=currentPPGFileName;

  end; // with
end;
//------------------------------------------------------------------------------
procedure TMainForm.SpeedButton1Click(Sender: TObject);
//var k:integer;
//    found:boolean;
begin

  if PPGMemo.Modified then begin
    if MessageDlg('Are you sure to discard the current texts without saving?',
         mtConfirmation, [mbYes, mbNo], 0) = mrNo then exit;
  end;

  OpenDialog1.InitialDir:=ppgFilePath;
  OpenDialog1.FileName:=currentPPGFilename;
  if OpenDialog1.Execute then ppgLoad(OpenDialog1.FileName);

  {begin
    PPGMemo.lines.LoadFromFile(OpenDialog1.FileName);
    compileButton.Enabled:=true;
    ppgFilePath:=ExtractFilePath(OpenDialog1.FileName);
    currentPPGFilename:=OpenDialog1.FileName; // path included
    ppgFileNameDefined:=true;
    ppgSaveBtn.Enabled:=false;

    found:=false;
    for k := 0 to FileHistory.Count - 1 do
      if FileHistory[k]=currentPPGFilename then found:=true;


    if not found then begin
      FileHistory.Insert(0,currentPPGFileName);
      EditorHistoryListBox.Items.insert(0,
        ExtractFileName(currentPPGFilename) + '  ('+
        ExtractFilePath(currentPPGFileName) + ')' );

      if FileHistory.Count>MAXFILEHISTORY then begin
        FileHistory.Delete(FileHistory.Count-1);
        EditorHistoryListBox.Items.Delete(EditorHistoryListBox.Items.Count-1);
      end;

      EditorHistoryListBox.ItemIndex:=0;
    end;



    currentFileNameLabel.Caption:=currentPPGFileName;

  end;
       }
end;
//------------------------------------------------------------------------------
procedure TMainForm.SpeedButton2Click(Sender: TObject);
begin
  SaveDialog1.InitialDir:=ppgFilePath;
  SaveDialog1.FileName:=currentPPGFilename;
  if SaveDialog1.Execute then begin
    if FileExists(SaveDialog1.FileName) then begin
      if MessageDlg('Are you sure to overwrite the existing file'
                          +ExtractFileName(SaveDialog1.FileName)+'?',
         mtConfirmation, [mbYes, mbNo], 0) = mrNo then exit;
    end;

    PPGMemo.lines.savetofile(SaveDialog1.FileName);
    ppgFilePath:=ExtractFilePath(SaveDialog1.FileName);
    currentPPGFileName:=SaveDialog1.FileName;    // path included (2007.5.31)
    ppgFileNameDefined:=true;
    ppgSaveBtn.Enabled:=false;


    FileHistory.insert(0,currentPPGFileName);
    EditorHistoryListBox.Items.insert(0,
        ExtractFileName(currentPPGFilename) + '  ('+
        ExtractFilePath(currentPPGFileName) + ')' );
    EditorHistoryListBox.Selected[0]:=true;

    if FileHistory.Count>MAXFILEHISTORY then begin
      FileHistory.Delete(FileHistory.Count-1);
      EditorHistoryListBox.Items.Delete(EditorHistoryListBox.Items.Count-1);
    end;

    currentFileNameLabel.Caption:=currentPPGFileName;

  end;
end;
//------------------------------------------------------------------------------
procedure TMainForm.ppgOpenCloseButtonClick(Sender: TObject);
begin
  if not rsOpenQ then openPPG else closePPG;

end;

procedure TMainForm.ppgSaveBtnClick(Sender: TObject);
begin
  PPGMemo.lines.savetofile(currentPPGFilename);
  PPGMemo.Modified:=false;
  ppgSaveBtn.Enabled:=false;

  // ۑ烊Xg̃gbvɈړ
  with EditorHistoryListBox do begin
    if ItemIndex=0 then exit; // ƂƈԏȂ牽ȂĂ悢

    FileHistory.Delete(ItemIndex);
    Items.Delete(ItemIndex);
    FileHistory.Insert(0,currentPPGFilename);
    Items.Insert(0,ExtractFileName(currentPPGFilename) + '  ('+
            ExtractFilePath(currentPPGFileName) + ')' );
    ItemIndex:=0;
  end;



end;
//------------------------------------------------------------------------------

procedure TMainForm.PPGMemoChange(Sender: TObject);

begin
  compileButton.Enabled:=true;
  if currentPPGFilename<>'' then ppgSaveBtn.Enabled:=true;

end;

procedure TMainForm.PPGMemoClick(Sender: TObject);
var row,col:integer;
begin
  row:=PPGMemo.Perform(EM_LINEFROMCHAR,PPGMemo.SelStart,0);
  col:=PPGMemo.SelStart-PPGMemo.Perform(EM_LINEINDEX, UINT(-1), 0);

  EditorStatusBar.Panels[0].text:=IntToStr(row+1)+' : ' + IntToStr(col+1);

end;

procedure TMainForm.PPGMemoKeyUp(Sender: TObject; var Key: Word;
  Shift: TShiftState);
var
  row,col:integer;
begin
  row:=PPGMemo.Perform(EM_LINEFROMCHAR,PPGMemo.SelStart,0);
  col:=PPGMemo.SelStart-PPGMemo.Perform(EM_LINEINDEX, UINT(-1), 0);

  EditorStatusBar.Panels[0].text:=IntToStr(row+1)+' : ' + IntToStr(col+1);

end;

//------------------------------------------------------------------------------

procedure TMainForm.ClosePopupClick(Sender: TObject);
var k:integer;
begin
  if EditorHistoryListBox.ItemIndex=-1 then exit;

  if PPGMemo.Modified then begin
    if MessageDlg(ExtractFileName(currentPPGfilename)+
     ' has been modified. Are you sure to discard it?',
         mtConfirmation, [mbYes, mbNo], 0) = mrNo then exit;
  end;

  with EditorHistoryListBox do begin
    k:=ItemIndex;
    FileHistory.Delete(ItemIndex);
    Items.Delete(ItemIndex);
    if Items.Count=0 then ItemIndex:=-1
    else if k=0 then ItemIndex:=0
    else ItemIndex:=k-1;
  end;


  if EditorHistoryListBox.Count=0 then begin
    currentPPGFilename:='';
    currentFileNameLabel.Caption:='';
    PPGMemo.Clear;
    PPGMemo.Modified:=false;
    PPGFileNameDefined:=false;
  end else begin
    currentPPGFilename:=FileHistory[EditorHistoryListBox.ItemIndex]; // path included
    PPGMemo.lines.LoadFromFile(currentPPGFileName);
    compileButton.Enabled:=true;
    ppgFilePath:=ExtractFilePath(currentPPGFileName);
    ppgFileNameDefined:=true;
    ppgSaveBtn.Enabled:=false;

    currentFileNameLabel.Caption:=currentPPGFileName;
  end;

end;

//------------------------------------------------------------------------------

procedure TMainForm.TerminalMemoKeyPress(Sender: TObject; var Key: Char);
var t: string;
    k,n: integer;
begin
  with TerminalMemo do begin
    t:=Lines[Lines.Count-1];
    n:=Length(t);
    if key=#13 then begin

      if Trim(Copy(Uppercase(t),2,Length(t)))='G' then begin
        Lines[Lines.Count-1]:=t[1];
        ShowMessage('Please click the RUN button to start PPG.');
        exit;
      end;

    //  if Trim(Copy(Uppercase(t),2,Length(t)))='I' then begin
    //    Lines[Lines.Count-1]:=t[1];
    //    ShowMessage('Please click the STOP button to abort PPG.');
    //    exit;
    //  end;


      if rsOpenQ then begin
        for k:=2 to n do begin {t[1]*#΂}
          outBuffer[0]:=Byte(t[k]);
          FT_Write(pulserHandle,@outBuffer,1,@WR);
        end;
        outBuffer[0]:=Byte(#13);
        FT_Write(pulserHandle,@outBuffer,1,@WR);
      end; // if rsOpenQ
   //   Lines.Add('');
    end
    else if key=#08 then begin
      if n>1 then Lines[Lines.Count-1]:=Copy(t,1,n-1);
    end
    else Lines[Lines.Count-1]:=Lines[Lines.Count-1]+key;
  end;
end;

//------------------------------------------------------------------------------

procedure TMainForm.clearButtonClick(Sender: TObject);
begin
   TerminalMemo.Lines.Clear;
   if rsOpenQ then begin
     outBuffer[0]:=Byte(#13);
     FT_Write(pulserHandle,@outBuffer,1,@WR);
   end;
end;

procedure TMainForm.clearModParamsButtonClick(Sender: TObject);
begin
  ModParamsMemo.Lines.Clear;
end;

procedure TMainForm.clearModSeqMemoButtonClick(Sender: TObject);
begin
  ModSeqMemo.Lines.Clear;
end;

//------------------------------------------------------------------------------
procedure run;
var FT_Q:DWord;
    FFT_In_Buffer: array[0..$10-1] of byte;
    FRead_Result: integer;
    buffer: string;
  //  k: integer;
begin

  //k:=0;
  buffer:='';

  with MainForm do begin
  if rsOpenQ then begin
    runQ:=true;
    runStopMode:=running;
    abortedQ:=false;
    runStopButton.Caption:='Stop';
//    stopButton.Enabled:=true;
    variableEdit.Enabled:=false;
    MainForm.VariableListView.Enabled:=false;

      clearRCVR;
      {
      FT_GetQueueStatus(receiverHandle, @FT_Q);

      if FT_Q>0 then begin
        infoMemo2.Lines.Add(IntToStr(FT_Q)+ ' character(s) are left in RCVR.');
        infoMemo2.Lines.Add('Please stand by for a moment to remove them.');
      end;

      while(FT_Q>0) do begin
        FT_Read(receiverHandle,@FFT_In_Buffer,1,@FRead_Result);
        buffer:=buffer+Char(FFT_In_Buffer[0]);
        MainForm.infoMemo2.Lines.Add('Discarding garbage data in the buffer: '+Char(FFT_In_Buffer[0]));
        sleep(1);
        FT_GetQueueStatus(receiverHandle, @FT_Q);
      end; // while

      }

      FT_GetQueueStatus(pulserHandle, @FT_Q);
      while(FT_Q>0) do begin
       // ShowMessage(IntToStr(FT_Q));
        FT_Read(pulserHandle,@FFT_In_Buffer,1,@FRead_Result);
       // ShowMessage(Char(FFT_In_Buffer[0]));
        FT_GetQueueStatus(pulserHandle, @FT_Q);
      end; // while

    with TerminalMemo do begin
      Lines[Lines.Count-1]:=Lines[Lines.Count-1]+'G';
    end;


    digitalFilterGroupBox.Enabled:=false;
    dataTransferGroupBox.Enabled:=false;
    transferButton.Enabled:=false;
    timeUnitComboBox.Enabled:=false;
    VariableEdit.Enabled:=false;

//    runPanel.Color:=runColor;
    acqCountEdit.Visible:=true;
    acqCountEdit.Text:='0' + acqCountText;


    outBuffer[0]:=Byte('G');
    FT_Write(pulserHandle,@outBuffer,1,@WR);
    outBuffer[0]:=Byte(#13);
    FT_Write(pulserHandle,@outBuffer,1,@WR);


//    sleep(10);

    //sendRCVRCommand('G')
    outBuffer[0]:=Byte('G');
    FT_Write(receiverHandle,@outBuffer,1,@WR);
    outBuffer[0]:=Byte(#13);
    FT_Write(receiverHandle,@outBuffer,1,@WR);


    FIDTransfer:=TReceiveFIDThread.Create(receiverHandle,
                         {al}al,
                         {na}na,
                         {step}step);

    if dFilter.Taps=0 then // digital filter off!
      FIDTransfer.dfScaleCorrection:=1.0
    else if (digitalFilterOption=dfManual) and (dfTrackBar1.Position=0) then
      FIDTransfer.dfScaleCorrection:=1.0
    else FIDTransfer.dfScaleCorrection:=1.6/512;//2.5*dFilter.CutOff/512; // 2^9

    FIDTransfer.repeatScan:=repeatScanCheckBox.Checked;
    FIDTransfer.fft_repeatScan:=fft_repeatScanCheckBox.Checked;
    FIDTransfer.spinNoise:=spinNoiseCheckBox.Checked;


  end;

  if ((not arrayQ) or (currentArray=1)) then begin

    infoMemo2.Lines.Clear;

    Present:= Now;
    DecodeDate(Present, Year, Month, Day);
    DecodeTime(Present, Hour, Min, Sec, MSec);

    PageControl2.ActivePageIndex:=0;
    infoMemo2.Lines.Add('');
    infoMemo2.Lines.Add('Sequence started at '
                      + IntToStr(Year) + '/' + IntToStr(Month) + '/'
                      + IntToStr(Day) + ' '
                      + IntToStr(Hour) + ':' + IntToStr(Min) + ':'
                      + IntToStr(Sec) + '.'
                      );
  end;


  end; //with MainForm
end;

//------------------------------------------------------------------------------
procedure TMainForm.runStopButtonClick(Sender: TObject);
begin
  if not ppg.compiled then exit;

  if runQ then stopPPG else runPPG;
end;
//------------------------------------------------------------------------------
procedure runPPG;
//procedure TMainForm.runStopButtonClick(Sender: TObject);
var recentPlotScale:single;
    opt:TPlotFIDOption;
    s:string;
    k:integer;
begin
with MainForm do begin
  {f[^ۑꍇA炩߃t@C݂̑mFĂ}
  if autoSaveCheckBox.Checked then begin
     {f[^t@Cɑ݂Ƃ}

    if (not subDirectoryCheckBox.Checked)
        and (FileExists(dataFilePath+'\'+changeFileExt(dataFileName,'.sm2d'))) then
      if MessageDlg(dataFilePath+ ' already exists. Overwrite?',
                  mtConfirmation, [mbYes, mbNo], 0) = mrNo then exit;


  end;

  clearRCVR;
  updateRCVRParams;
 // setHyperComplex;

  // arrayɃ`FbNĂĂϐIĂȂꍇA
  // `FbNOB
  if (enableArrayCheckBox.Checked) and
           (ppg.Variables.NOfArray=0) then begin
    enableArrayCheckBox.Checked:=false;
    arrayQ:=false;
  end;

  if arrayQ then begin

    s:='(';
    for k:=0 to ppg.Variables.NOfArray-2 do
      s:=s+ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[k]].Name + ', ';
    s:=s+ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[ppg.Variables.NOfArray-1]].Name;
    arrayCountEdit.Visible:=true;
    arrayCountEdit.Text:='Array '
                     + s
                     +') '+ IntToStr(1)+'/'
                     +IntToStr(ppg.Variables.ArrayLength);

  end else begin
    arrayCountEdit.Visible:=false;
  end;


//  MainForm.FIDPaintBox.Canvas.FillRect(
//           Rect(0,0,MainForm.FIDPaintBox.Width,MainForm.FIDPaintBox.Height));
  recentPlotScale:=FID_2D.plotScale; // ÕXP[L
  FID_2D.free;
  FID_2D:=TFID_2D.create(dw, al);
  FID_2D.plotScale:=recentPlotScale;
  FID_2D.repeatScan:=repeatScanCheckBox.Checked;

  setFIDStyle;


  FID_2D.acqPhase:=StrToFloat(AcqPhaseEdit.Text);

  FID_2D_Created:=true;
    // J[\`ʂ̑OɁAFIDvbg`FbN邽߂̃tO
  FID_2D.xPointLeft:=latestXPosition;  // J[\̈ʒuŐV̒l
//  FID_2D.draw(MainForm.FIDPaintBox,0);

  if asciSaveCheckBox.Checked then FID_2D.saveMode:=smBoth
                              else FID_2D.saveMode:=smBinary;

  if al>2 then iniTrackBar.Max:=al-2 else iniTrackBar.Max:=0;
  finTrackBar.Max:=al-1;
 // iniTrackBar.Position:=0;
 // finTrackBar.Position:=al-1;

  FID_2D.xini:=iniTrackBar.Position;
  FID_2D.xfin:=finTrackBar.Position;

  FID_2D.plotScale:=recentPlotScale;  // ȌcXP[
  FID_2D.receiverScale:=FIDReceiverScaleRadioButton.Checked;
  FID_2D.autoscale:=FIDDataScaleRadioButton.Checked;

    opt:=[];
    if RealCheckBox.Checked then opt:=opt+[FIDReal];
    if ImagCheckBox.Checked then opt:=opt+[FIDImag];
    if AbsCheckBox.Checked then opt:=opt+[FIDAbs];
    FID_2D.plotOption:=opt;
    if FID_2D.length_2D>0 then FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);

  if PolarPlotCheckBox.checked then FID_2D.plotMode:=pmPolar else FID_2D.plotMode:=pmNormal;

  sleep(100);

  runQ:=true;
  runStopMode:=running;
  runStopButton.Caption:='Stop';
  abortedQ:=false;
 // FID.initialize;

  dataSaveButton.Enabled:=true;

  repeatScanCheckBox.Enabled:=false;

  // I[gZ[ȕꍇAt@C̏㏑`FbN̂
  // 蒆t@C̕ύX֎~B
  if autoSaveCheckBox.Checked then setPathButton.Enabled:=false;

  // RŁA蒆̓I[gZ[u̐ݒ̕ύXoȂB
  autoSaveCheckBox.Enabled:=false;

  // array̐ݒȂ悤ɂB
  enableArrayCheckBox.Enabled:=false;
  variableCombobox.Enabled:=false;
  arrayVariableGroupBox.Enabled:=false;

  // acq phase 蒆͂܂(repeat scanOK)
  if not repeatScanCheckBox.checked then begin
    AcqPhaseEdit.ReadOnly:=true;
    AcqPhaseUpDown.Enabled:=false;
  end;

  run;

  end; // with MainForm
end;

//------------------------------------------------------------------------------

procedure clearRCVR;
var FT_Q:DWord;
    FFT_In_Buffer: array[0..65535] of byte;
    FRead_Result: integer;
  //  q:integer; s:string;
begin
      // V[o낤ƂĂăf[^cĂ΂ׂĎM
      // obt@ɂB
    FT_GetQueueStatus(receiverHandle, @FT_Q);
    while(FT_Q>0) do begin

//      showMessage(intToStr(FT_Q));
//      FT_Read(receiverHandle,@FFT_In_Buffer,1,@FRead_Result);
      FT_Read(receiverHandle,@FFT_In_Buffer,FT_Q,@FRead_Result);

    //  s:='';
    //  for q := 0 to FRead_Result-1 do s:=s+Char(FFT_IN_Buffer[q]);

      MainForm.infoMemo2.Lines.Add('Garbage data in the buffer discarded ('
        + intToStr(FT_Q)+'/' +intToStr(FRead_Result)+ ').');

      sleep(200);
      FT_GetQueueStatus(receiverHandle, @FT_Q);
    end; // while
      //
      // V[oɃ_~[R}h𑗐MB
    outBuffer[0]:=Byte(#13);
    FT_Write(receiverHandle,@outBuffer,1,@WR);

end;
//------------------------------------------------------------------------------
procedure stopPPG;
var k:integer;
begin
with MainForm do begin

  if rsOpenQ then begin

    runQ:=false;
    runStopMode:=standby;
    abortedQ:=true;
    runStopButton.Caption:='Run';
   // stopButton.Enabled:=false;
    variableEdit.Enabled:=false;

    if jobCreated then expJob.Terminate;

    timeUnitComboBox.Enabled:=true;
    VariableEdit.Enabled:=true;

    MainForm.VariableListView.Enabled:=true;


    FIDTransfer.Terminate; // f[^̎MXbh~
    sleep(100);

   // clearRCVR;

    if arrayQ then begin
      for k:=0 to ppg.Variables.NOfArray-1 do
        with ppg.Variables do
          updateVariable(arrayedVariableIndex[k],
           Variable[arrayedVariableIndex[k]].ArrayedValues[0],microSeconds);
      sleep(200);
      currentArray:=1;
    end;

  end;


    autoSaveCheckBox.Enabled:=true;
    setPathButton.Enabled:=true;

    // array̐ݒύXo悤ɁB
    enableArrayCheckBox.Enabled:=true;
    variableCombobox.Enabled:=true;
    arrayVariableGroupBox.Enabled:=true;

    digitalFilterGroupBox.Enabled:=true;
    dataTransferGroupBox.Enabled:=true;

    AcqPhaseEdit.ReadOnly:=false;
    AcqPhaseUpDown.Enabled:=true;


    repeatScanCheckBox.Enabled:=true;

  Present:= Now;
  DecodeDate(Present, Year, Month, Day);
  DecodeTime(Present, Hour, Min, Sec, MSec);

  PageControl2.ActivePageIndex:=0;
  infoMemo2.Lines.Add('Sequence aborted ('
                      + MainForm.acqCountEdit.Text
                      +') at '
                      + IntToStr(Year) + '/' + IntToStr(Month) + '/'
                      + IntToStr(Day) + ' '
                      + IntToStr(Hour) + ':' + IntToStr(Min) + ':'
                      + IntToStr(Sec) + '.'
                      );


    with TerminalMemo do begin
      Lines[Lines.Count-1]:=Lines[Lines.Count-1]+'I';
    end;
    outBuffer[0]:=Byte('I');
    FT_Write(pulserHandle,@outBuffer,1,@WR);
    outBuffer[0]:=Byte(#13);
    FT_Write(pulserHandle,@outBuffer,1,@WR);


end; // with Mainform
end;
//------------------------------------------------------------------------------
procedure TMainForm.SubtractFIDButtonClick(Sender: TObject);
var newProc:TFIDSubtractFID;
    weight:single;
    errorPos:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //

  Val(weightingFactorEdit.Text,weight,errorPos);
  if errorPos<>0 then begin
    ShowMessage('Invalid expression for the weighting factor');
    exit;
  end;
  if weight=0 then exit;

  if ReadFIDOpenDialog.Execute then begin

    newProc:=TFIDSubtractFID.create(weight);
    newProc.parFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2p');
    newProc.datFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2d');

    if newProc.Process(FID_Proc)<>0 then begin // error
      ShowMessage(newProc.errorMessage);
      newProc.Free;
      exit;
    end;

    FIDProcess.Add(SubtractFID);
    TFIDSubtractFID(FIDProcess.Items[FIDProcess.Count-1]).parFilename:=newProc.parFilename;
    TFIDSubtractFID(FIDProcess.Items[FIDProcess.Count-1]).datFilename:=newProc.datFilename;
    TFIDSubtractFID(FIDProcess.Items[FIDProcess.Count-1]).weight:=newProc.weight;
    ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  //  FID_Proc.drawCursor(FIDProcPaintBox);

    newProc.Free;

  end;
end;

//------------------------------------------------------------------------------
procedure TMainForm.VariableInfoMemoChange(Sender: TObject);
begin
  if VariableInfoMemo.Lines.Count=200 then VariableInfoMemo.Lines.Delete(0);
  VariableInfoMemo.Perform(EM_LINESCROLL, 0, 200)
end;
//------------------------------------------------------------------------------
procedure TMainForm.timeUnitComboBoxChange(Sender: TObject);
begin
  if not runQ then applyButton.Enabled:=true;
end;
procedure TMainForm.toggleTimeFrequencyButtonClick(Sender: TObject);
var k:integer;
begin
  if FID_Proc.length_2D<1 then exit;
  for k := 0 to FID_Proc.length_2D - 1 do begin
    if FID_Proc.FID[k].domain=dmTime then FID_Proc.FID[k].domain:=dmFrequency;
    if FID_Proc.FID[k].domain=dmFrequency then FID_Proc.FID[k].domain:=dmTime;
  end;
  FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
//  FID_Proc.drawCursor(FIDProcPaintBox);

end;

//------------------------------------------------------------------------------
procedure TMainForm.VariableEditChange(Sender: TObject);
begin
  if not runQ then applyButton.Enabled:=true;
end;
//------------------------------------------------------------------------------
procedure TMainForm.applyButtonClick(Sender: TObject);
var q,p:integer;
    s:string;
    d: double;
    ut: TUnitOfTime;
begin
  q:=VariableListView.ItemIndex;
  if q=-1 then begin ShowMessage('Variable not selected.'); exit; end;

  s:=Trim(VariableEdit.Text);

  Val(s,d,p);
  if p<>0 then begin
    ShowMessage('Invalid expression.');
    restoreVariable(q);
    applyButton.Enabled:=false;
    exit;
  end;

  if ppg.Variables.Variable[q].typeOfVar=TimeVariable then
    ut:=TUnitOfTime(timeUnitComboBox.ItemIndex)
  else ut:=noUnit; // time variableȊÔƂA


  updateVariable(q,d,ut);


  VariableListView.ItemIndex:=q;
  transferButton.Enabled:=false;

  if ppg.Variables.Variable[q].Name='DW' then autosetDigitalFilter;
  if ppg.Variables.Variable[q].Name='NA' then setHyperComplex; // 20120118 Takeda


end;
//-----------------------------------------------------------------------------
procedure restoreVariable(q:integer);
begin
  with MainForm do begin
    VariableEdit.Text:=FloatToStr(ppg.Variables.Variable[q].Numeric);
    timeUnitComboBox.ItemIndex:=Ord(ppg.Variables.Variable[q].unitOfTime);
  end; // with MainForm
end;
//-----------------------------------------------------------------------------
procedure displayVariableList;
var k:integer;
    s:string;
begin

    MainForm.VariableListView.Clear;

    for k:=0 to ppg.Variables.count-1 do begin
      MainForm.VariableListView.Items.Add;
      MainForm.VariableListView.Items.Item[k].Caption:=ppg.Variables.variable[k].Name;

      if ppg.Variables.Variable[k].typeOfVar=TimeVariable then
        s := FloatToStr(ppg.Variables.variable[k].Numeric)
           + ppg.Variables.variable[k].unitOfTimeString
      else {LoopVariable}
        s := FloatToStr(ppg.Variables.variable[k].value);

      MainForm.VariableListView.Items.item[k].subitems.Add(ppg.Variables.variable[k].Caption);
      MainForm.VariableListView.Items.item[k].subitems.Add(s);

    end;

end;
//-----------------------------------------------------------------------------
procedure updateVariable(q:integer; d: double; ut:TunitOfTime);
var k:integer;
//
//    time variableȊO̎ut͉ł\ȂB
//           ƂmicroSecondsƂłĂB
//
dummyStrings: TStrings;
begin
  // ݂̎擾
  // Present:= Now;
  // DecodeDate(Present, Year, Month, Day);
  // DecodeTime(Present, Hour, Min, Sec, MSec);

  if not ppg.compiled then begin
    ShowMessage('Pulse program has not been compiled yet.');
    exit;
  end;

  if (q<0) or (q>ppg.Variables.count-1) then begin
    ShowMessage('Invalid number.');
    exit;
  end;





  if ppg.Variables.Variable[q].Name='Magnet Current' then begin
    dummyStrings:=TStringList.Create;

    GPIBCallInProgress := TRUE;
    GPIB_WriteCommand ('set mid '+FloatToStr(d)+#13+#10);
    GPIB_WriteCommand (#10);
    MainForm.GPIBTerminalMemo.Lines[MainForm.GPIBTerminalMemo.Lines.Count-1]:=
               '$set mid '+FloatToStr(d);
    MainForm.GPIBTerminalMemo.Lines.Add('');
    MainForm.GPIBTerminalMemo.Lines[MainForm.GPIBTerminalMemo.Lines.Count-1]:='$';
    GPIBCallInProgress := FALSE;

    ppg.Variables.Variable[q].Value:=d;
    displayVariableList;
    MainForm.applyButton.Enabled:=false;

    dummyStrings.Add('i');

    USBTransfer(pulserHandle,0,dummyStrings);
  //  USBTx := TUSBTxThread.Create(pulserHandle,0,dummyStrings);
  //  repeat until MainForm.runStopButton.Enabled;
    sleep(100);

    dummyStrings.Free;

    exit;
  end;



  case ppg.Variables.Variable[q].typeOfVar of
    timeVariable: ppg.updateVariable(ppg.Variables.Variable[q].Name,d,ut);
  else ppg.updateVariable(ppg.Variables.Variable[q].Name,d);
  end; //case;

  if ppg.erra=true then begin // error!
    for k:=0 to ppg.Messages.Count-1 do begin
      MainForm.VariableInfoMemo.Lines.Add(ppg.Messages[k]);
    end;
    ShowMessage('Cannot update variable.');
    restoreVariable(q);
    exit;
  end;

  displayVariableList;
  MainForm.applyButton.Enabled:=false;

  USBTransfer(pulserHandle,0,ppg.updateCommand);
  //USBTx := TUSBTxThread.Create(pulserHandle,0,ppg.updateCommand);
  //repeat until MainForm.runStopButton.Enabled;
  sleep(100);

  for k:=0 to ppg.Messages.Count-1 do begin
    MainForm.VariableInfoMemo.Lines.Add(ppg.Messages[k]);
  end;

end;

//-----------------------------------------------------------------------------
procedure TMainForm.VariableListViewSelectItem(Sender: TObject;
  Item: TListItem; Selected: Boolean);
var ad,m,q,k,gateIndex,c: integer;
    s1,s2: string;
begin
  q:=VariableListView.ItemIndex;
  if q<>-1 then begin

    VariableEdit.Text:=FloatToStr(ppg.Variables.Variable[q].Numeric);
    applyButton.Enabled:=false;

    case ppg.Variables.Variable[q].typeOfVar of
    TimeVariable:
      begin
        s1:='a time variable';
        timeUnitComboBox.Visible:=true;
        timeUnitComboBox.ItemIndex:=Ord(ppg.Variables.Variable[q].unitOfTime);
      end;
    loopVariable:
      begin
        s1:='a loop variable';
        timeUnitComboBox.Visible:=false;
      end;
    NAVariable:
      begin
        s1:='a loop variable (Number of accumulations)';
        timeUnitComboBox.Visible:=false;
      end;
    ampVariable:
      begin
        s1:='an amplitude variable';
        timeUnitComboBox.Visible:=false;
      end;

    phaseVariable:
      begin
        s1:='a phase variable';
        timeUnitComboBox.Visible:=false;
      end;

    intVariable:
      begin
        s1:='an integer variable';
        timeUnitComboBox.Visible:=false;
      end;

    freqVariable:
      begin
        s1:='a frequency variabe';
        timeUnitComboBox.Visible:=false;
      end;

    end;// case


    if ppg.Variables.Variable[q].Name='ACQTIME' then begin
      label1.Caption:='ACQTIME=DW*AL';
      timeUnitComboBox.Enabled:=false;
      VariableEdit.Enabled:=false;
    end else begin
      label1.Caption:='Edit ' + ppg.Variables.Variable[q].Name;
      timeUnitComboBox.Enabled:=true;
      VariableEdit.Enabled:=true;
    end;

    PageControl2.ActivePageIndex:=1;

    VariableInfoMemo.Lines.Add(ppg.Variables.Variable[q].Name
       + ' (' + ppg.Variables.Variable[q].caption + ') is ' + s1
       + ' used at the following address(es):'
       );


    for c:=0 to ppg.NOFChannels-1 do begin
      s1:='  CH' + IntToStr(c+1) + ': ';
      for m:=0 to ppg.Variables.Variable[q].Count(c)-2 do begin
        ad:=ppg.Variables.Variable[q].whereIs(c,m);

        gateIndex:=ppg.Variables.Variable[q].gateIndex(c,m);
        if gateIndex=-1 then s2:='' else s2:=' (' + ppg.gates.gate[gateIndex].name + '), ';
        s1:=s1+Hex(ad,3) + s2;
      end;
      k:=ppg.Variables.Variable[q].Count(c);
      if k>0 then begin
        ad:=ppg.Variables.Variable[q].whereIs(c,k-1);
        gateIndex:=ppg.Variables.Variable[q].gateIndex(c,k-1);
        if gateIndex=-1 then s2:='' else s2:=' (' + ppg.gates.gate[gateIndex].name + '), ';
        s1:=s1+Hex(ad,3) + s2;
      end;
      VariableInfoMemo.Lines.Add(s1);
    end;  // c


  end;
end;

procedure TMainForm.vOffsetScrollBarChange(Sender: TObject);
begin
  if FID_2D.Length_2D<1 then exit;

  FID_2D.vOffset:=
    (vOffsetScrollBar.Position-500.0)/1000.0;
  FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
 // FID_2D.drawCursor(FIDPaintBox);

end;

procedure TMainForm.weightingFactorEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9','-','.','e','E',#08]) then Key:=#0;
end;
//------------------------------------------------------------------------------
procedure usbTransfer(deviceHandle:DWord; mode:integer; sl:TStrings);
var i:integer;
    counter:integer;
    s:string;

    FFT_Out_Buffer: array[0..$10000-1] of byte;
    FWrite_Result, FRead_Result: integer;

    moji: char;
    FFT_In_Buffer: array[0..1] of byte;
    FT_Q:DWord;
    msec:cardinal; // for GetTickCount


begin

  MainForm.transferButton.Enabled:=false;
  MainForm.runStopButton.Enabled:=false;
  MainForm.clearButton.Enabled:=false;
  MainForm.VariableEdit.Enabled:=false;
  MainForm.VariableListView.Enabled:=false;
  MainForm.enableArrayCheckBox.Enabled:=false;

  MainForm.USBTxProgressBar.Left:=MainForm.FidPaintBox.Width div 2
                      -MainForm.USBTxProgressBar.Width div 2;
  MainForm.USBTxProgressBar.Top:=MainForm.FIDPaintBox.Height div 2
                      -MainForm.USBTxProgressBar.Height div 2;


  MainForm.USBTxProgressBar.Min:=0;
  MainForm.USBTxProgressBar.Max:=SL.Count;
  MainForm.USBTxProgressBar.visible:=true;


  USBRx.Mode:=mode;
//  USBRx.Suspend;

  USBTxBusy:=true;

  for i:=0 to sl.Count-1 do begin

    s:=sl[i];
    counter:=1;

    while counter<=length(s) do begin
      FFT_Out_Buffer[counter-1]:=Byte(s[counter]);
      inc(counter);
    end;
    FFT_Out_Buffer[counter-1]:=Byte(#13);

//    USBRxLineReceived:=false;
    FT_Write(deviceHandle,@FFT_Out_Buffer,length(s)+1,@FWrite_Result);

//    msec:=GetTickCount;

//    repeat
      sleep(1);
//      FT_GetQueueStatus(deviceHandle, @FT_Q);
//      if FT_Q>0 then begin
//         FT_Read(deviceHandle,@FFT_In_Buffer,1,@FRead_Result);
//         moji:=Chr(FFT_In_Buffer[0]);
//         USBRxLineReceived:=true;
//      end;
//    until (USBRxLineReceived) or ((GetTickCount-msec)>2000);

//    if not USBRxLineReceived then begin
//      ShowMessage('ERROR: No reply from FPGA!');
//      exit;
//    end;

    MainForm.USBTxProgressBar.Position:=i;

  end; // i


  MainForm.runStopButton.Enabled:=true;
  MainForm.clearButton.Enabled:=true;
  MainForm.VariableEdit.Enabled:=true;
  MainForm.VariableListView.Enabled:=true;
  MainForm.enableArrayCheckBox.Enabled:=true;
  MainForm.USBTxProgressBar.visible:=false;

  USBRx.Mode:=1;
//  USBRx.Resume;

  USBTxBusy:=false;

end;
//------------------------------------------------------------------------------
procedure sendRCVRCommand(a:string);
var k,n:integer;
    FT_Q:DWord;
    FFT_In_Buffer: array[0..$10-1] of byte;
    FRead_Result: integer;
    s:string;
begin

  with MainForm.RCVRTerminalMemo do begin

  Lines[Lines.Count-1]:='[RCVR]>'+a;
  
  n:=Length(a);
  for k:=1 to n do begin
    outBuffer[0]:=Byte(UpCase(a[k]));
    FT_Write(receiverHandle,@outBuffer,1,@WR);
  end; // k

  outBuffer[0]:=Byte(#13);
  FT_Write(receiverHandle,@outBuffer,1,@WR);

  Sleep(50);


        s:='';
      FT_GetQueueStatus(receiverHandle, @FT_Q);
      while(FT_Q>0) do begin
        FT_Read(receiverHandle,@FFT_In_Buffer,1,@FRead_Result);
        s:=s+Chr(FFT_In_Buffer[0]);
        FT_GetQueueStatus(receiverHandle, @FT_Q);
      end;

      if Length(s)>0 then begin
        Lines.Add(s);
      end;

      Lines.Add('');
      Lines[Lines.Count-1]:='[RCVR]>';

  end;// with
end;
//------------------------------------------------------------------------------
procedure updateAL;
var s:string;
begin
  al:=round(ppg.Variables.variable[ppg.Variables.index('AL')].value);
  s:=hex(al-1,8);  // FPGAAL0..2^n-1܂ł̒lƂB
                   // 炱1ĂB
  sendRCVRCommand('SET AL '+s);
end;
//------------------------------------------------------------------------------
procedure updateDWN;
var s:string;
   // r:double;
begin
  dw:=ppg.Variables.variable[ppg.Variables.index('DW')].value;
  dwn:=round(dw/0.025);  // 0.025us=1/40MHz
  s:=hex(dwn,8);
  sendRCVRCommand('SET DW '+s);
end;
//------------------------------------------------------------------------------
procedure updateAF;
var s1:string;
begin
  case dFilter.Taps of
    0:
       s1:='00000000';
    135:
       s1:='00000004';
  end; // case;

  sendRCVRCommand('SET AF '+s1);

end;
//------------------------------------------------------------------------------
procedure updateCO;
begin
//  if MainForm.dfTrackBar1.Position<>0 then
    if dFilter.Taps>0 then
    sendRCVRCommand('SET CO '+ DFilter.HexCoeffArray);
end;
//------------------------------------------------------------------------------
procedure updateNA;
var s:string;
begin
  na:=round(ppg.Variables.variable[ppg.Variables.index('NA')].value);

  if MainForm.nacqComboBox.Enabled then begin
    nacq:=StrToInt(MainForm.nacqComboBox.Text);
  end else nacq:=1;

  s:=hex(na*nst*nacq,8);
  sendRCVRCommand('SET NA '+s);
end;
//------------------------------------------------------------------------------
procedure updateSTEP;
var s:string;
begin
  if MainForm.stepComboBox.Enabled then begin
    step:=StrToInt(MainForm.stepComboBox.Text);
  end else step:=1;

  s:=hex(step,8);
  sendRCVRCommand('SET ST ' + s);
end;
//------------------------------------------------------------------------------
procedure updateRCVRParams;
begin
  updateAL;
  updateNA;
  updateDWN;
  updateSTEP;
  updateAF;
  updateCO;
end;
//------------------------------------------------------------------------------
procedure TMainForm.VariableEditKeyPress(Sender: TObject; var Key: Char);
begin
  if key=#13 then begin
    key:=#0; // erase beep sound
    if applyButton.Enabled then applyButton.Click;
  end;
end;
//------------------------------------------------------------------------------
procedure TMainForm.IFFTButtonClick(Sender: TObject);
var newProc:TFIDInverseFFT;
begin
  if FID_Proc.length_2D<1 then exit;  //

  newProc:=TFIDInverseFFT.Create;
  newProc.Process(FID_Proc);

  FIDProcess.Add(IFFT);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  newProc.Free;
end;
//------------------------------------------------------------------------------
procedure TMainForm.CHListViewSelectItem(Sender: TObject; Item: TListItem;
  Selected: Boolean);
var k,n: cardinal;
    col:TColor;
begin
  if CHListView.ItemIndex>-1 then begin
    compiledPPGMemo.Clear;
    case CHListView.ItemIndex+1 of
      1: col:=clNavy;
      2: col:=clNavy;
      3: col:=clNavy;
      else col:=clBlack;
    end; // case
    compiledPPGMemo.Font.Color:=col;
    n:=ppg.compiledPPG[CHListView.ItemIndex].Count;
    for k:=0 to n-1 do begin
      compiledPPGMemo.Lines.Add(ppg.compiledPPG[CHListView.ItemIndex][k]
           + '  | ' + ppg.NOfLinesPerCommand[CHListView.ItemIndex][k]
           + ' |  ' + ppg.mnemonic[CHListView.ItemIndex][k]);
    end;
  end;
end;
//------------------------------------------------------------------------------
procedure TMainForm.enableArrayCheckBoxClick(Sender: TObject);
var k:integer;
begin
  if not ppg.compiled then begin
    enableArrayCheckBox.Checked:=false;
    exit;
  end;

  if enableArrayCheckBox.Checked then begin
    for k:=0 to ppg.Variables.count-1 do begin
      if not ((ppg.Variables.variable[k].Name='ACQTIME')
              or (ppg.Variables.variable[k].Name='NA')
              or (ppg.Variables.variable[k].Name='AL')
              or (ppg.Variables.variable[k].Name='DW')) then
      variableComboBox.Items.Add(ppg.Variables.variable[k].Name);
      variableComboBox.Text:='Select from below';
      arrayQ:=true;
      array_OK:=false;
    end;
  end
  else begin
    ArrayVariableListBox.Clear;

    variableComboBox.Items.Clear;
    variableComboBox.Text:='no array';
    arrayApplyButton.Enabled:=false;
    arrayVariableGroupBox.Visible:=false;
    linearArrayRadioButton.Visible:=false;
    randomArrayRadioButton.Visible:=false;
    arrayQ:=false;
    currentArray:=1;

    for k:=0 to ppg.Variables.NOfArray-1 do begin
      ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[k]].kindOfArray:=Fixed;
    end;

    ppg.Variables.NOfArray:=0; // ̃p[^array邩HOɃZbg
    setLength(ppg.Variables.arrayedVariableIndex,0);

  end;

end;
procedure TMainForm.exportAmpAndPhaseButtonClick(Sender: TObject);
var
    st: TStrings;
    fname: string;
    amp,ph: single;
    m, k: integer;
begin
  if FID_Proc.length_2D<1 then exit;

  if ampPhaseExportSaveDialog.Execute then begin

    st:=TStringList.Create;

    for k:=0 to FID_Proc.length_2D-1 do begin
      st.Clear;

      for m:=0 to FID_Proc.al-1 do begin

        amp:= FID_Proc.FID[k].abs.sig[m];
        if amp=0.0 then ph:=0.0 else
          ph:=ArcTan2(FID_Proc.FID[k].imag.sig[m],FID_Proc.FID[k].real.sig[m])*180.0/3.1415926535;
        if ReversePhaseCheckBox.Checked then ph:=-1.0*ph;
        st.Add( FloatToStrF(amp,ffFixed,6,2)+ '   ' + FloatToStrF(ph,ffFixed,6,2));

      end;
      if FID_Proc.length_2D=1 then fname:=ampPhaseExportSaveDialog.FileName
                              else fname:=ampPhaseExportSaveDialog.FileName+'_'+IntToStr(k+1);
      st.SaveToFile(fname);

    end; // k
    st.Free;

  end;
end;

procedure TMainForm.extrapolateAddEditKeyPress(Sender: TObject;
  var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

procedure TMainForm.extrapolateApplyButtonClick(Sender: TObject);
var newProc:TFIDExtrapolate;
    pAdd,pAve:cardinal;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if ExtrapolateAddEdit.Text='' then exit;  // ȂI
  if ExtrapolateAverageEdit.Text='' then exit;  // ȂI

  pAdd:=StrToInt(ExtrapolateAddEdit.Text);
  if pAdd=0 then exit; //
  pAve:=StrToInt(ExtrapolateAverageEdit.Text);
  if pAve=0 then exit; //


  newProc:=TFIDExtrapolate.Create;
  newProc.addPoints:=pAdd;
  newProc.averagePoints:=pAve;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(Extrapolate);
  TFIDExtrapolate(FIDProcess.Items[FIDProcess.Count-1]).addPoints:=pAdd;
  TFIDExtrapolate(FIDProcess.Items[FIDProcess.Count-1]).averagePoints:=pAve;
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  ProcIniTrackBar.Max:=FID_Proc.al-1;
  ProcFinTrackBar.Max:=FID_Proc.al-1;
  ProcFinTrackBar.Position:=ProcFinTrackBar.Max;

  ExtrapolateAddEdit.Text:='0';
  ExtrapolateAverageEdit.Text:='0';

  if FID_Proc.xfin>FID_Proc.al-1 then FID_Proc.xfin:= FID_Proc.al-1;

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);

  newProc.Free;

end;

//------------------------------------------------------------------------------
procedure TMainForm.extrapolateAverageEditKeyPress(Sender: TObject;
  var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

//------------------------------------------------------------------------------
procedure TMainForm.variableComboBoxSelect(Sender: TObject);
var k: byte;
begin

  arrayApplyButton.Enabled:=true;
  arrayVariableGroupBox.Caption:=variableComboBox.Items[variableComboBox.itemindex];
  arrayVariableGroupBox.Visible:=true;
  randomArrayPanel.Visible:=randomArrayRadioButton.Checked;

  linearArrayRadioButton.Visible:=true;
  //linearArrayRadioButton.Checked:=true;
  randomArrayRadioButton.Visible:=true;

  k:=ppg.Variables.index(variableComboBox.Items[variableComboBox.itemindex]);

  arrayIniEdit.Text:=FloatToStr(ppg.Variables.Variable[k].Numeric);
  arrayIncEdit.Text:='';
  arrayIncTimeUnitComboBox.ItemIndex:=-1;
  NOfArrayEdit.Text:='1';

  if ppg.Variables.Variable[k].typeOfVar=timeVariable then begin
    arrayIniTimeUnitComboBox.Visible:=true;
    arrayIncTimeUnitComboBox.Visible:=true;
    arrayIniTimeUnitComboBox.ItemIndex:=Ord(ppg.Variables.Variable[k].unitOfTime);
  end else begin
    arrayIniTimeUnitComboBox.Visible:=false;
    arrayIncTimeUnitComboBox.Visible:=false;
  end; // if

end;
//------------------------------------------------------------------------------
procedure TMainForm.arrayApplyButtonClick(Sender: TObject);
var s:string;
    mulIni,mulInc,curr,d:double;
    arrayLength:integer;
    i,p:integer;
    varIndex:integer;
//    OK:boolean;
    arrayIniNumeric, arrayIncNumeric: double; // PʂȂl
    arrayIniValue, arrayIncValue: double;   // in microseconds
    arrayIniUt, arrayIncUt: TUnitOfTime;
begin

  if variableComboBox.itemIndex=-1 then exit;

  Array_OK:=false;
  PageControl2.ActivePageIndex:=1;
//  VariableInfoMemo.Clear;

  // +++++++++++++++++++++++++++++++
  //  ̓`FbN -- Initial value
  // +++++++++++++++++++++++++++++++
  s:=Trim(arrayIniEdit.Text);

  // ǂ`FbN

  if s='' then begin
    ShowMessage('Initial value empty.');
    exit;
  end;

  Val(s,d,p);
  if p<>0 then begin
    ShowMessage('Invalid expression for initial value.');
    arrayIniEdit.Text:='';
    exit;
  end;

  arrayIniNumeric:=d;

  // +++++++++++++++++++++++++++++++
  //  ̓`FbN -- increment
  // +++++++++++++++++++++++++++++++
  s:=Trim(arrayIncEdit.Text);

  if s='' then begin
    ShowMessage('Increment empty.');
    exit;
  end;

  // ǂ`FbN
  Val(s,d,p);
  if p<>0 then begin
    ShowMessage('Invalid expression for increment.');
    arrayIncEdit.Text:='';
    exit;
  end;

  arrayIncNumeric:=d;

  // +++++++++++++++++++++++++++++++
  //  ̓`FbN -- Array Length
  // +++++++++++++++++++++++++++++++
  s:=Trim(NOfArrayEdit.Text);

  if s='' then begin
    ShowMessage('Array Length empty.');
    exit;
  end;

  // ǂ`FbN
  Val(s,d,p);
  if p<>0 then begin
    ShowMessage('Invalid expression for array length.');
    NOfArrayEdit.Text:='';
    exit;
  end;

  // `FbN
  if Trunc(d)-d<>0 then begin
    ShowMessage('Array length must be an integer.');
    NOfArrayEdit.Text:='';
    exit;
  end;

  // R`FbN
  if d<1 then begin
    ShowMessage('Array length must be a positive integer.');
    NOfArrayEdit.Text:='';
    exit;
  end;

  if ppg.Variables.NOfArray>0 then begin
    if ppg.Variables.arrayLength<>Trunc(d) then begin
      ShowMessage('Array length is '+ IntToStr(Trunc(d)) +
                ', but should be ' + IntToStr(ppg.Variables.arrayLength) + '.');

      exit;
    end;
  end; // if

  arrayLength:=Trunc(d);  //

  varIndex:=ppg.Variables.index(variableComboBox.Items[variableComboBox.itemindex]);

  mulIni:=1.0;
  mulInc:=1.0; // ԕϐȊȌꍇ̂߂ɁAdefault 1.0ƂĂB

  // ԕϐȂ΁AԒPʂIĂ邩H
  if ppg.Variables.Variable[varIndex].typeOfVar=timeVariable then begin
    if (arrayIniTimeUnitComboBox.ItemIndex=-1) then begin
      ShowMessage('Unit of time (n, u, m, or s) has not been selected for the initial value.');
      exit;
    end else begin //
      arrayIniUt:=TUnitOfTime(arrayIniTimeUnitComboBox.ItemIndex);
      case arrayIniUt of
        NanoSeconds: mulIni:=0.001;
        Microseconds: mulIni:=1;
        MilliSeconds: mulIni:=1000;
        Seconds: mulIni:=1000000;
      end; // case
    end;
    if (arrayIncTimeUnitComboBox.ItemIndex=-1) then begin
      ShowMessage('Unit of time (n, u, m, or s) has not been selected for the increment.');
      exit;
    end else begin //
      arrayIncUt:=TUnitOfTime(arrayIncTimeUnitComboBox.ItemIndex);
      case arrayIncUt of
        NanoSeconds: mulInc:=0.001;
        Microseconds: mulInc:=1;
        MilliSeconds: mulInc:=1000;
        Seconds: mulInc:=1000000;
      end; // case
    end;
  end;


  ppg.Variables.NOfArray:=ppg.Variables.NOfArray+1;
  if ppg.Variables.NOfArray=1 then //  Pڂ̃Gg[Ȃ
     ppg.Variables.arrayLength:=arrayLength;

  ppg.Variables.Variable[varIndex].arrayLength:=ppg.Variables.arrayLength;
         // Xarrayed variableɑ΂Ĕz񒷐ݒ
  ppg.Variables.Variable[varIndex].kindOfArray:=Linear;



  setLength(ppg.Variables.arrayedVariableIndex,ppg.Variables.NOfArray);
  ppg.Variables.arrayedVariableIndex[ppg.Variables.NOfArray-1]:=
      ppg.Variables.index(variableComboBox.Items[variableComboBox.itemindex]);

  arrayIniValue:=arrayIniNumeric*mulIni;
  arrayIncValue:=arrayIncNumeric*mulInc;
  ppg.Variables.Variable[varIndex].initialValue:=arrayIniValue;
  ppg.Variables.Variable[varIndex].increment:=arrayIncValue;

  currentArray:=1;

  // ͈̓`FbN (phase, freq variable)
  if not ((ppg.Variables.Variable[varIndex].typeOfVar=phaseVariable) or
         (ppg.Variables.Variable[varIndex].typeOfVar=freqVariable)) then begin
    for i:=0 to arrayLength-1 do begin
      curr:=arrayIniValue+(arrayIncValue*i);
      if (curr>ppg.Variables.Variable[varIndex].Max)
          or (curr<ppg.Variables.Variable[varIndex].Min) then begin
        ShowMessage('Out of range at ' + IntToStr(i+1) + 'th '
              + 'array: '
              //+
              + FloatToStr(curr)
              + '.' );

//        OK:=false;

        ppg.Variables.Variable[varIndex].kindOfArray:=Fixed;
        ppg.Variables.Variable[varIndex].arrayLength:=1;
        ppg.Variables.NOfArray:=ppg.Variables.NOfArray-1;  //ǉƂ肯II
        setLength(ppg.Variables.arrayedVariableIndex,ppg.Variables.NOfArray);

        exit;
      end;
    end;
  end;

  array_OK:=true;

  for i:=0 to ppg.Variables.arrayLength-1 do begin
    ppg.Variables.Variable[varIndex].arrayedValues[i] :=
                            arrayIniValue
                           + (arrayIncValue*i);
  end;  // i

  with ppg.Variables do updateVariable(
                  arrayedVariableIndex[NOfArray-1],
                  Variable[arrayedVariableIndex[NOfArray-1]].ArrayedValues[0], microSeconds);
    //@arrayIniValue[ppg.Variables.NOfArray-1], microSeconds);
  sleep(200);

  ArrayVariableListBox.Items.Add(
       ppg.Variables.Variable[varIndex].Name
       + ': ' + FloatToStr(arrayIniValue)
       + '+(n-1)*'+FloatToStr(arrayIncValue)
       + ' (n=1..'+ IntToStr(arrayLength) + ')'
       );

  variableComboBox.Items.Delete(
      variableComboBox.Items.IndexOf(ppg.Variables.Variable[varIndex].Name)
      );

  arrayVariableGroupBox.Visible:=false;
  linearArrayRadioButton.Visible:=false;
  randomArrayRadioButton.Visible:=false;

end;
//**************************************************
procedure arrayOperation_old;
var k:integer;
    s:string;
begin

  MainForm.runStopButton.Enabled:=false;

  if ((arrayQ) and (currentArray<ppg.Variables.arrayLength)
               and (not abortedQ)) then begin
    runQ:=false;

    inc(currentArray);
    //  currentArray:=currentArray+nst; // 1DȂ+1A2DȂ+2ɂȂB
                                        //͂ƕۗi2007.11.21j
    for k:=0 to ppg.Variables.NOfArray-1 do begin
      with ppg.Variables do
        updateVariable(arrayedVariableIndex[k],
            Variable[arrayedVariableIndex[k]].ArrayedValues[currentArray-1],
                   microseconds);
     // arrayIniValue[k] + ((currentArray-1)*arrayIncValue[k]), microSeconds);
     // sleep(200);

      repeat until usbTxBusy=false;
        //repeat until MainForm.runStopButton.Enabled;
        // USBTxThreadMainForm.runStopButtonEnabledɂ܂ő҂
    end;

    sleep(200);

    s:='(';
    for k:=0 to ppg.Variables.NOfArray-2 do
      s:=s+ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[k]].Name + ', ';
    s:=s+ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[ppg.Variables.NOfArray-1]].Name;

    MainForm.arrayCountEdit.Text:='Array'
                     +  s
                     +') '+ IntToStr(currentArray)+'/'
                     +IntToStr(ppg.Variables.arrayLength);

    MainForm.PageControl2.ActivePageIndex:=1;

    run;

  end else begin
    if arrayQ then begin
      for k:=0 to ppg.Variables.NOfArray-1 do with ppg.Variables do
        updateVariable(arrayedVariableIndex[k],
                     Variable[arrayedVariableIndex[k]].ArrayedValues[0],microSeconds);
        // p[^lɖ߂
          repeat until USBTxBusy=false;
            // repeat until MainForm.runStopButton.Enabled;
            // USBTxThreadMainForm.runStopButtonEnabledɂ܂ő҂
          sleep(200);
          currentArray:=1;
          //MainForm.arrayCountLabel.Font.Color:=clRed;
    end; // arrayQ


    MainForm.timeUnitComboBox.Enabled:=true;
    MainForm.VariableEdit.Enabled:=true;
    //  MainForm.Button1.Enabled:=true;
    MainForm.VariableListView.Enabled:=true;
    //  MainForm.runPanel.Color:=clBtnFace;
    //  MainForm.acqCountLabel.Font.Color:=clRed;
    MainForm.digitalFilterGroupBox.Enabled:=true;
    MainForm.dataTransferGroupBox.Enabled:=true;

    MainForm.AcqPhaseEdit.ReadOnly:=false;
    MainForm.AcqPhaseUpDown.Enabled:=true;

    MainForm.RepeatScanCheckBox.Enabled:=true;


    if not (abortedQ) then begin
        with MainForm do begin
          if autoSaveCheckBox.Checked then begin allSave; end;
        end;
    end;

    with MainForm do begin
        // ۑݒ̕ύX
        autoSaveCheckBox.Enabled:=true;
        setPathButton.Enabled:=true;
        // array̐ݒύXo悤ɁB
        enableArrayCheckBox.Enabled:=true;
        variableCombobox.Enabled:=true;
        arrayVariableGroupBox.Enabled:=true;

    Present:= Now;
    DecodeDate(Present, Year, Month, Day);
    DecodeTime(Present, Hour, Min, Sec, MSec);

    PageControl2.ActivePageIndex:=0;
    infoMemo2.Lines.Add('Sequence FINISHED at '
                      + IntToStr(Year) + '/' + IntToStr(Month) + '/'
                      + IntToStr(Day) + ' '
                      + IntToStr(Hour) + ':' + IntToStr(Min) + ':'
                      + IntToStr(Sec) + '.'
                      );
    end;

    runQ:=false;
    runStopMode:=standby;
    MainForm.runStopButton.Caption:='Run';

    if jobCreated then begin
      expJob.jobFinished:=true;
      //jobCreated:=false;
      //MainForm.jobImplementButton.Enabled:=true;
    end;
  end;

  MainForm.runStopButton.Enabled:=true;

end;

//**************************************************
//------------------------------------------------------------------------------
procedure arrayOperation;
var k:integer;
    s:string;
begin

  MainForm.runStopButton.Enabled:=false;

  if ((arrayQ) and (currentArray<ppg.Variables.arrayLength)
               and (not abortedQ)) then begin
    runQ:=false;

    inc(currentArray);
    //  currentArray:=currentArray+nst; // 1DȂ+1A2DȂ+2ɂȂB
                                        //͂ƕۗi2007.11.21j
    for k:=0 to ppg.Variables.NOfArray-1 do begin
      with ppg.Variables do
        updateVariable(arrayedVariableIndex[k],
            Variable[arrayedVariableIndex[k]].ArrayedValues[currentArray-1],
                   microseconds);
     // arrayIniValue[k] + ((currentArray-1)*arrayIncValue[k]), microSeconds);
     // sleep(200);

      repeat until usbTxBusy=false;
        //repeat until MainForm.runStopButton.Enabled;
        // USBTxThreadMainForm.runStopButtonEnabledɂ܂ő҂
    end;

    sleep(200);

    s:='(';
    for k:=0 to ppg.Variables.NOfArray-2 do
      s:=s+ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[k]].Name + ', ';
    s:=s+ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[ppg.Variables.NOfArray-1]].Name;

    MainForm.arrayCountEdit.Text:='Array'
                     +  s
                     +') '+ IntToStr(currentArray)+'/'
                     +IntToStr(ppg.Variables.arrayLength);

//    MainForm.PageControl2.ActivePageIndex:=1;


    Present:= Now;
    DecodeDate(Present, Year, Month, Day);
    DecodeTime(Present, Hour, Min, Sec, MSec);

    MainForm.PageControl2.ActivePageIndex:=0;
    MainForm.infoMemo2.Lines.Add('Array ('
                      + IntToStr(currentArray)+ '/'
                      + IntToStr(ppg.Variables.arrayLength)
                      +') started at '
                      + IntToStr(Year) + '/' + IntToStr(Month) + '/'
                      + IntToStr(Day) + ' '
                      + IntToStr(Hour) + ':' + IntToStr(Min) + ':'
                      + IntToStr(Sec) + '.'
                      );

    run;

  end else begin
    if arrayQ then begin
      for k:=0 to ppg.Variables.NOfArray-1 do with ppg.Variables do
        updateVariable(arrayedVariableIndex[k],
                     Variable[arrayedVariableIndex[k]].ArrayedValues[0],microSeconds);
        // p[^lɖ߂
          repeat until USBTxBusy=false;
            // repeat until MainForm.runStopButton.Enabled;
            // USBTxThreadMainForm.runStopButtonEnabledɂ܂ő҂
          sleep(200);
          currentArray:=1;
          //MainForm.arrayCountLabel.Font.Color:=clRed;
    end; // arrayQ


    MainForm.timeUnitComboBox.Enabled:=true;
    MainForm.VariableEdit.Enabled:=true;
    //  MainForm.Button1.Enabled:=true;
    MainForm.VariableListView.Enabled:=true;
    //  MainForm.runPanel.Color:=clBtnFace;
    //  MainForm.acqCountLabel.Font.Color:=clRed;
    MainForm.digitalFilterGroupBox.Enabled:=true;
    MainForm.dataTransferGroupBox.Enabled:=true;

    MainForm.AcqPhaseEdit.ReadOnly:=false;
    MainForm.AcqPhaseUpDown.Enabled:=true;

    MainForm.RepeatScanCheckBox.Enabled:=true;





    with MainForm do begin
        // ۑݒ̕ύX
        autoSaveCheckBox.Enabled:=true;
        setPathButton.Enabled:=true;
        // array̐ݒύXo悤ɁB
        enableArrayCheckBox.Enabled:=true;
        variableCombobox.Enabled:=true;
        arrayVariableGroupBox.Enabled:=true;

    Present:= Now;
    DecodeDate(Present, Year, Month, Day);
    DecodeTime(Present, Hour, Min, Sec, MSec);

    PageControl2.ActivePageIndex:=0;
    infoMemo2.Lines.Add('Sequence FINISHED at '
                      + IntToStr(Year) + '/' + IntToStr(Month) + '/'
                      + IntToStr(Day) + ' '
                      + IntToStr(Hour) + ':' + IntToStr(Min) + ':'
                      + IntToStr(Sec) + '.'
                      );
    end;


    if not (abortedQ) then begin
        with MainForm do begin
          if autoSaveCheckBox.Checked then begin allSave; end;
        end;
    end;







    runQ:=false;
    runStopMode:=standby;
    MainForm.runStopButton.Caption:='Run';

    if jobCreated then begin
      expJob.jobFinished:=true;
      //jobCreated:=false;
      //MainForm.jobImplementButton.Enabled:=true;
    end;
  end;

  MainForm.runStopButton.Enabled:=true;

end;
//------------------------------------------------------------------------------
procedure TMainForm.dataFileSpecifyButtonClick(Sender: TObject);
begin



end;
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
procedure dataSave(path:string);
var al,m,k: integer;
    dw:single;
    st:TStrings;
    j: Integer;
    s:string;

begin

//  if not ppg.compiled then exit;
//  if FID_2D.length_2D<1 then exit;

//  path2:='';
//  q:=1;
//  if MainForm.subDirectoryCheckBox.Checked then begin
//    while DirectoryExists(dataFilePath+'\'+IntToStr(q)) do inc(q);
//    forceDirectories(dataFilePath+'\'+IntToStr(q));
//    path2:='\'+IntToStr(q)+'\';
//  end else begin
//    path2:='\';
//  end;

  if not DirectoryExists(path) then ForceDirectories(path);


  m:=ppg.Variables.index('AL');
  al:=Trunc(ppg.Variables.Variable[m].Numeric);

  m:=ppg.Variables.index('DW');
  dw:=ppg.Variables.Variable[m].Numeric;

  st:=TStringList.Create;
  st.Add('point='+intToStr(al));
  st.Add('dw='+floatToStr(dw));
  st.Add('sf1='+MainForm.carrierFrequencyEdit.Text);
  st.Add('');
  st.Add('Variables:');
  for k:=0 to ppg.Variables.count-1 do begin
    if ppg.Variables.Variable[k].typeOfVar=TimeVariable then
      st.Add(ppg.Variables.variable[k].Name
             + ' (' + ppg.Variables.variable[k].Caption + ') = '
             + FloatToStr(ppg.Variables.variable[k].Numeric)
             + ppg.Variables.variable[k].unitOfTimeString)
    else
      st.Add(ppg.Variables.variable[k].Name
             + ' (' + ppg.Variables.variable[k].Caption + ') = '
             + FloatToStr(ppg.Variables.variable[k].value));
  end; // for

  st.Add('');
  st.Add('Array(s):');



  if ppg.Variables.NOfArray=0 then st.Add('no array');


  for k:=0 to ppg.Variables.NOfArray-1 do begin
    s:=' ';
    for j:=0 to ppg.Variables.arrayLength-1 do
      s := s + FloatToStr(
               ppg.Variables
                  .Variable[ppg.Variables.arrayedVariableIndex[k]]
                  .arrayedValues[j])+' ';

    st.Add(ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[k]].Name
       + ': '
       + IntToStr(ppg.Variables.arrayLength) + ' values '
       + '(' + s + ')');
  end;

  st.SaveToFile(path+dataFileName+'.sm2p');
  st.Free;


  if runQ then begin
    dataSaveBusy:=true;
    FID_2D.SaveToFile(path+dataFileName+'.sm2d');
    sleep(10);
    dataSaveBusy:=false;
  end else begin
    FID_2D.SaveToFile(path+dataFileName+'.sm2d');
  end;


  Present:= Now;
  DecodeDate(Present, Year, Month, Day);
  DecodeTime(Present, Hour, Min, Sec, MSec);

  MainForm.PageControl2.ActivePageIndex:=0;
  MainForm.infoMemo2.Lines.Add('"'
                      + dataFileName
                      + '" saved at '
                      + IntToStr(Year) + '/' + IntToStr(Month) + '/'
                      + IntToStr(Day) + ' '
                      + IntToStr(Hour) + ':' + IntToStr(Min) + ':'
                      + IntToStr(Sec) + '.'
                      );

end;
//------------------------------------------------------------------------------
procedure logSave(path:string);

begin

  if not DirectoryExists(path) then ForceDirectories(path);
  MainForm.infoMemo2.Lines.SaveToFile(path+dataFileName+'.log');

end;
//------------------------------------------------------------------------------

procedure upToDatePPGSave(path:string);
var source: TStrings;
    str,t: string;
    k: integer;
begin
  source:=TStringList.Create;
  source.LoadFromFile(ppg.ppgFileName);

  with ppg.Variables do begin
  for k := 0 to count - 1 do begin
    if Variable[k].Name<>'ACQTIME' then begin
    str:='';
    if (Variable[k].Caption='No caption') or (Variable[k].Caption='') then t:=';'
       else t:='('+Variable[k].Caption+');';
    case Variable[k].typeOfVar of
      timeVariable:

        if (Variable[k].Name='DW') or (Variable[k].Name='PD') then
          str:='aux '+Variable[k].Name
             +'='+FloatToStr(Variable[k].Numeric)
             +Variable[k].unitOfTimeString
             +t
        else
          str:='time '+Variable[k].Name
             +'='+FloatToStr(Variable[k].Numeric)
             +Variable[k].unitOfTimeString
             +t;


      intVariable:
        if Variable[k].Name='AL' then
          str:='aux '+Variable[k].Name
             +'='+IntToStr(Round(Variable[k].Numeric))
             +t
        else
          str:='int '+Variable[k].Name
             +'='+IntToStr(Round(Variable[k].Numeric))
             +t;

      loopVariable:
         str:='loop '+Variable[k].Name
             +'='+IntToStr(Round(Variable[k].Numeric))
             +t;

      NAVariable:
         str:='aux '+Variable[k].Name
             +'='+IntToStr(Round(Variable[k].Numeric))
             +t;

      ampVariable:
         str:='amp '+Variable[k].Name
             +'='+FloatToStr(Variable[k].Numeric)
             +t;

      phaseVariable:
         str:='phase '+Variable[k].Name
             +'='+FloatToStr(Variable[k].Numeric)
             +t;

      freqVariable:
         str:='freq '+Variable[k].Name
             +'='+FloatToStr(Variable[k].Numeric)
             +t;

    end;

 {(TimeVariable, LoopVariable, NAVariable,
              ampVariable, phaseVariable, intVariable,
              freqVariable);}
    source[Variable[k].DeclarationPosition]:=str;

    end;// <>'ACQTIME'
  end; // k

  end; // with

  if not DirectoryExists(path) then ForceDirectories(path);

  source.SaveToFile(path+ExtractFileName(ppg.ppgFileName));
  source.Free;
end;
//------------------------------------------------------------------------------
procedure allSave;
var path:string;
    k,q:integer;
    oWrite: boolean;
begin

  // showmessage('111');
  path:='';
  q:=1;
  if MainForm.subDirectoryCheckBox.Checked then begin
    while DirectoryExists(dataFilePath+'\'+IntToStr(q)) do inc(q);
    forceDirectories(dataFilePath+'\'+IntToStr(q));
    path:=dataFilePath+'\'+IntToStr(q)+'\';
  end else begin
    path:=dataFilePath+'\';
  end;

  oWrite := DirectoryExists(path);

  if FID_2D.length_2D>0 then begin
    dataSave(path);
    logsave(path); // TODO: log file save

  end;
  upToDatePPGSave(path);
  expConditionSave(path);


  //copy the gate definition file if the ppg and gate are in the same path
  if ppg.gateDefFileDir=ppg.ppgFilePath then begin
    CopyFile(PChar(ppg.gateDefFileDir+'\'+ppg.gateDefFileName), // from
             PChar(path+ppg.gateDefFileName),     // to
             False); // łɑ݂ꍇAFalseȂ炨
  end;

  if ppg.importFileNames.Count>0 then begin
    for k := 0 to ppg.importFileNames.Count - 1 do begin
      if ExtractFilePath(ppg.importFileNames[k])=ppg.ppgFilePath then

        CopyFile(PChar(ppg.importFileNames[k]), // from
             PChar(path+ExtractFileName(ppg.importFileNames[k])),     // to
             False); // łɑ݂ꍇAFalseȂ炨
    end;
  end;

  // VKۑ̏ꍇApulse programppgMemoɕ\
  //if not oWrite then begin
  ppgLoad(path+ExtractFilename(ppg.ppgFileName));

  //end;
  //   ̋@\Aƕۗ2012.01.21



end;
//------------------------------------------------------------------------------
procedure expConditionLoad(path:string; var err:string);
var ini:TIniFile;
    k,q,noa,varIndex:integer;
    st:string;
begin
  err:='';
  if not FileExists(path) then begin
    err:='File does not exist.';
    exit;
  end;

  ini:=TiniFile.Create(path);

  //[File]
  MainForm.autoSaveCheckBox.checked:=
    ini.ReadBool('File','automaticDataSave',false);
  MainForm.subDirectoryCheckBox.checked
     :=ini.ReadBool('File','createSubDirectory',False);
  MainForm.asciSaveCheckBox.checked
     :=ini.ReadBool('File','saveTextFile',False);

  MainForm.carrierFrequencyEdit.Text
    :=FloatToStr(ini.ReadFloat('File','carrierFrequency',100.0));

//  dataFilePath:=ini.ReadString('File','Path','c:');
//  MainForm.currentDirectoryEdit.Text:=dataFilePath;
  dataFilePath:=ExtractFileDir(path);
  MainForm.currentDirectoryEdit.Text:=ExtractFileDir(path);

  dataFileName:=ini.ReadString('File','Filename','Untitled');
  currentPPGFileName:=ini.ReadString('File','PPGFilename','Default');

  ppgLoad(extractFilePath(path)+currentPPGFileName);
  // ppgLoad(dataFilePath+'\'+currentPPGFileName);

  MainForm.compileAndTransferButton.Click;

  repeat sleep(1) until not usbTxBusy;

  //[Array]
  MainForm.enableArrayCheckBox.checked:=ini.ReadBool('Array','Enabled',false);
  if MainForm.enableArrayCheckBox.checked then begin
    noa:=ini.ReadInteger('Array','nOfArrayedVariables',1);
    ppg.Variables.NOfArray:=noa;
    ppg.Variables.arrayLength:=ini.ReadInteger('Array','arrayLength',1);
    setLength(ppg.Variables.arrayedVariableIndex, ppg.Variables.NOfArray);

    for k:=0 to noa-1 do begin
      st:=ini.ReadString('Array','Variable_'+intToStr(k),'');
      varIndex:=ppg.Variables.index(st);
      ppg.Variables.arrayedVariableIndex[k]:=varIndex;
           // register the array variable index to Variables
      ppg.Variables.Variable[varIndex].arrayLength:=ppg.Variables.arrayLength;
           // set length of the array
      st:=ini.ReadString(ppg.Variables.Variable[varIndex].Name,'kindOfArray','Linear');

      if st='Linear' then begin // Linear
        ppg.Variables.Variable[varIndex].initialValue
          :=ini.ReadFloat(ppg.Variables.Variable[varIndex].Name,'initialValue',0.0);
        ppg.Variables.Variable[varIndex].increment
          :=ini.ReadFloat(ppg.Variables.Variable[varIndex].Name,'increment',0.0);
        for q:=0 to ppg.Variables.arrayLength-1 do
          ppg.Variables.Variable[varIndex].ArrayedValues[q]:=
            ppg.Variables.Variable[varIndex].initialValue
            + q*ppg.Variables.Variable[varIndex].increment;

        MainForm.ArrayVariableListBox.Items.Add(
          ppg.Variables.Variable[varIndex].Name
          + ': ' + FloatToStr(ppg.Variables.Variable[varIndex].initialValue)
          + '+(n-1)*'+FloatToStr(ppg.Variables.Variable[varIndex].increment)
          + ' (n=1..'+ IntToStr(ppg.Variables.Variable[varIndex].arrayLength) + ')'
        );


      end else begin   // Random
        st:='';
        for q:=0 to ppg.Variables.arrayLength-1 do begin
          ppg.Variables.Variable[varIndex].ArrayedValues[q]
            :=ini.ReadFloat(ppg.Variables.Variable[varIndex].Name,
                            'value_'+IntToStr(q),0.0);
          st:=st+FloatToStr(ppg.Variables.Variable[varIndex].ArrayedValues[q]);
          if q<ppg.Variables.arrayLength-1 then st:=st+',';

        end; // q

        MainForm.ArrayVariableListBox.Items.Add(
          ppg.Variables.Variable[varIndex].Name
          + ': '
          + ' ('+ IntToStr(ppg.Variables.Variable[varIndex].arrayLength) + ' items; '
          + st + ')'
         );

      end; // random



      MainForm.variableComboBox.Items.Delete(
          MainForm.variableComboBox.Items.IndexOf(ppg.Variables.Variable[varIndex].Name)
          );

      with ppg.Variables do updateVariable(
                  varIndex,
                  ppg.Variables.Variable[varIndex].ArrayedValues[0], microSeconds);

      sleep(200);


    end; //  k 0 to noa


  end; // if checked




  //[Digital filter]
  MainForm.dfOnRadioButton.Checked:=ini.ReadBool('digitalFilter','Enabled',true);
  MainForm.dfOffRadioButton.Checked:=not MainForm.dfOnRadioButton.Checked;
  if MainForm.dfOnRadioButton.Checked then begin
    MainForm.dFilterRadioButton1.Checked:=ini.ReadBool('digitalFilter','Automatic',true);
    MainForm.dFilterRadioButton2.Checked:=not MainForm.dFilterRadioButton1.Checked;
    if MainForm.dFilterRadioButton1.Checked then begin
      autosetDigitalFilter;
    end else begin
      dFilter.CutOff:=ini.ReadFloat('digitalFilter','normalizedCutoffFrequency',0.5);
      displayCutoffFreq;
    end;
  end;

  //[Transfer]
  MainForm.stepRadioButton1.Checked
              :=ini.ReadBool('Transfer','transferEveryScan',true);
  MainForm.stepRadioButton2.Checked:=not MainForm.stepRadioButton1.Checked;
  if MainForm.stepRadioButton1.Checked then begin
    step:=1;
  end else begin
    step:=ini.ReadInteger('Transfer','scansPerTransfer',1);
  end;
  MainForm.stepComboBox.Enabled:=not MainForm.stepRadioButton1.Checked;
  MainForm.stepComboBox.Text:=IntToStr(step);


  //[Acquisition]
  MainForm.AcqPhaseEdit.Text:=
     FloatToStr(ini.ReadFloat('Acquisition','acquisitionPhase',0));

  nst:=ini.ReadInteger('Acquisition','2DAcquisition',1);
  MainForm.NSTComboBox.ItemIndex:=nst-1;

  //if st='Normal' then Mainform.NSTComboBox.ItemIndex:=0  // normal
  //else if st='Hypercomplex' then MainForm.NSTComboBox.ItemIndex:=1 // Hypercomplex
  //else MainForm.NSTComboBox.ItemIndex:=StrToInt(st);

  setHyperComplex;


  MainForm.nacqRadioButton2.Checked
     :=ini.ReadBool('Acquisition','moreThanOneScansPerSequence',false);
  MainForm.nacqRadioButton1.Checked:=not MainForm.nacqRadioButton2.Checked;

  MainForm.nacqComboBox.Enabled:=MainForm.nacqRadioButton2.Checked;

  if not MainForm.nacqRadioButton2.Checked then begin
    nacq:=1;
  end else begin
    nacq:=ini.ReadInteger('Acquisition','scansPerSequence',1);
  end;
  MainForm.nacqComboBox.Text:=IntToStr(nacq);

  MainForm.spinNoiseCheckBox.Checked:=
     ini.ReadBool('Acquisition','spinNoise',false);
  if MainForm.spinNoiseCheckBox.Checked then begin
    MainForm.asciSaveCheckBox.Checked:=true;
    MainForm.stepRadioButton1.Checked:=true;
  end;

  ini.Free;

end;
//------------------------------------------------------------------------------
procedure expConditionSave(path:string);
var //s:string;
    //sl:TStrings;
    ini:TIniFile;
    k,q:integer;
begin
  {ini file }
  //try
  if FileExists(path+ChangeFileExt(extractFileName(currentPPGFilename),
                            '.exp')) then
     deleteFile(path+ChangeFileExt(extractFileName(currentPPGFilename),
                           '.exp'));

  if not DirectoryExists(path) then ForceDirectories(path);


  ini:=TIniFile.Create(path+ChangeFileExt(
      ExtractFileName(currentPPGFilename),'.exp'));

  ini.WriteFloat('General','Version',version);

  //[File]

  ini.WriteBool('File','automaticDataSave',MainForm.autoSaveCheckBox.checked);
  ini.WriteBool('File','createSubDirectory',
                    MainForm.subDirectoryCheckBox.checked);
  ini.WriteBool('File','saveTextFile',
                    MainForm.asciSaveCheckBox.checked);
  ini.WriteFloat('File','carrierFrequency',
                    StrToFloat(MainForm.carrierFrequencyEdit.Text));

//  ini.WriteString('File','Path',dataFilePath);
  ini.WriteString('File','Filename',dataFileName);
  ini.WriteString('File','PPGFilename',ExtractFilename(currentPPGFilename));

  //[Array]
  with ppg.Variables do begin
  ini.WriteBool('Array','Enabled',
                   MainForm.enableArrayCheckBox.checked);
  if MainForm.enableArrayCheckBox.checked then begin
    ini.WriteInteger('Array','nOfArrayedVariables', NOfArray);
    ini.WriteInteger('Array','arrayLength', arrayLength);
    for k:=0 to NOfArray-1 do begin
      ini.WriteInteger('Array','arrayedVariableIndex',arrayedVariableIndex[k]);
      ini.WriteString('Array', 'Variable_'+IntToStr(k),
                         Variable[arrayedVariableIndex[k]].Name);
    end; // k

    for k:=0 to NOfArray-1 do begin
      if Variable[arrayedVariableIndex[k]].kindOfArray=Linear then begin
        // Linear array
        ini.WriteString(Variable[arrayedVariableIndex[k]].Name,'kindOfArray','Linear');
        ini.WriteFloat(Variable[arrayedVariableIndex[k]].Name,'initialValue',
                   Variable[arrayedVariableIndex[k]].initialValue);
        ini.WriteFloat(Variable[arrayedVariableIndex[k]].Name,'increment',
                   Variable[arrayedVariableIndex[k]].increment);

      end else begin
        // Romdom array
        ini.WriteString(Variable[arrayedVariableIndex[k]].Name,'kindOfArray','Random');
        for q := 0 to arrayLength - 1 do
          ini.WriteFloat(Variable[arrayedVariableIndex[k]].Name,
             'value_'+IntToStr(q),
             Variable[arrayedVariableIndex[k]].ArrayedValues[q]);

      end;
    end; //k

  end; // if enabled
  end; // with


  ini.WriteFloat('Acquisition','acquisitionPhase',
                       StrToFloat(MainForm.AcqPhaseEdit.Text));

//  if MainForm.NSTCombobox.ItemIndex=0 then
//       ini.WriteString('Acquisition','2DAcquisition','Normal')
//  else ini.WriteString('Acquisition','2DAcquisition','HyperComplex');

  ini.WriteInteger('Acquisition','2DAcquisition',
                   MainForm.NSTComboBox.ItemIndex+1);


  ini.WriteBool('Acquisition','moreThanOneScansPerSequence'
                       ,MainForm.nacqRadioButton2.Checked);
  if MainForm.nacqRadioButton2.Checked then
     ini.WriteInteger('Acquisition','scansPerSequence',
                         StrToInt(MainForm.nacqComboBox.Text));
  ini.WriteBool('Acquisition','spinNoise',
               MainForm.spinNoiseCheckBox.Checked);


  ini.WriteBool('Transfer','transferEveryScan',
                  MainForm.stepRadioButton1.Checked);
  if not MainForm.stepRadioButton1.Checked then
    ini.WriteInteger('Transfer', 'scansPerTransfer',
                StrToInt(MainForm.stepComboBox.Text));



  ini.WriteBool('digitalFilter','Enabled',MainForm.dfOnRadioButton.checked);

  if MainForm.dfOnRadioButton.checked then begin // digital filter

    ini.WriteBool('digitalFilter','Automatic',MainForm.dFilterRadioButton1.Checked);

    if not MainForm.dFilterRadioButton1.Checked then begin // manual digital fiter
      ini.WriteFloat('digitalFilter','cutoffFreuency',dFilter.CutOff*4.0);
      ini.WriteFloat('digitalFilter','normalizedCutoffFrequency',dFilter.CutOff);

    end; // manual digital filter
  end;// digital filter
  //finally
  ini.Free;
  //end;


end;
//------------------------------------------------------------------------------
procedure TMainForm.dataSaveButtonClick(Sender: TObject);
begin

  if not ppg.compiled then exit;

  if (not subDirectoryCheckBox.Checked) then begin
    if (DirectoryExists(dataFilePath)) and (not runQ) then begin
      if MessageDlg(dataFilePath
                       + ' already exists. Overwrite?', mtConfirmation,
                   [mbYes, mbNo], 0) = mrNo then exit;
    end
    else forceDirectories(dataFIlePath);

  end;

  allsave;

end;
//
//------------------------------------------------------------------------------
//
procedure TMainForm.DCOffsetApplyButtonClick(Sender: TObject);
var
   p:cardinal;
   newProc:TFIDDCOffsetCut;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if ZeroFillEdit.Text='' then exit;  // ȂI

  p:=StrToInt(dcOffsetCutEdit.Text);
  if p=0 then exit; //

  newProc:=TFIDdcOffsetCut.create;
  newProc.points:=p;


  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(DCOffsetcut);
  TFIDdcOffsetCut(FIDProcess.Items[FIDProcess.Count-1]).points:=p;
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);

  newProc.Free;
end;

procedure TMainForm.DCOffsetCutEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

procedure TMainForm.Delete1Click(Sender: TObject);
var k:integer;
begin
  if jobListBox.ItemIndex=-1 then exit;

  with jobListBox do begin
    k:=ItemIndex;
    Items.Delete(ItemIndex);
    if Items.Count=0 then ItemIndex:=-1
    else if k=0 then ItemIndex:=0
    else ItemIndex:=k-1;
  end;

end;

//------------------------------------------------------------------------------
procedure TMainForm.importAvanceButtonClick(Sender: TObject);
var path:string;
    recentPlotScale:single;
begin
  if not importAvanceOpenDialog.Execute then exit;

  if FID_Proc.length_2D>0 then
    recentPlotScale:=FID_Proc.plotScale // ÕXP[L
  else recentPlotScale:=1;

  path:=extractFilePath(importAvanceOpenDialog.FileName);
  ProcFIDFileNameLabel.Caption:=path;

  FID_Proc.ReadAvanceParFile(path+'acqus');


  if FID_Proc.xfin>FID_Proc.al-1 then FID_Proc.xfin:=FID_Proc.al-1;
  if FID_Proc.xini>FID_Proc.al-2 then FID_Proc.xini:=FID_Proc.al-2;

  if FID_Proc.xfin=0 then FID_Proc.xfin:=FID_Proc.al-1;

  ProcIniTrackBar.Max:=FID_Proc.al-2;
  ProcFinTrackBar.Max:=FID_Proc.al-1;
  ProcIniTrackBar.Position:=FID_Proc.xini;
  ProcFinTrackBar.Position:=FID_Proc.xfin;

  FID_Proc.plotScale:=recentPlotScale;
  FID_Proc.autoscale:=ProcAutoScaleCheckBox.Checked;



  while FID_Proc.length_2D>0 do begin
    FID_Proc.delete(FID_Proc.length_2D-1);
  end;



  dataReadProgressBar.Left:=FidProcPaintBox.Width div 2
                      -dataReadProgressBar.Width div 2;
  dataReadProgressBar.Top:=FIDProcPaintBox.Height div 2
                      -dataReadProgressBar.Height div 2;

  FID_Proc.ReadAvanceDataFile(path+'ser',dataReadProgressBar);

  FIDProcInit;


end;

procedure TMainForm.infoMemo2Change(Sender: TObject);
begin
  if infoMemo2.Lines.Count=200 then infoMemo2.Lines.Delete(0);
  infoMemo2.Perform(EM_LINESCROLL, 0, 200);
end;
//------------------------------------------------------------------------------
procedure TMainForm.compileAndTransferButtonClick(Sender: TObject);
begin
  if (ppgFileNameDefined=false) or (ppgSaveBtn.Enabled) then begin
    ShowMessage('Please save the pulse program before compiling');
    exit;
  end;
  compileButton.Click;
  if compiledQ then begin
 //   sleep(400);
    transferButton.Click;
  end;

end;
//------------------------------------------------------------------------------
procedure TMainForm.scaleUpButtonClick(Sender: TObject);
begin
  FID_2D.plotScale:=FID_2D.plotScale*2;
  FID_2D.draw(FIDPaintBox,currentArray-1);
end;

//------------------------------------------------------------------------------
procedure TMainForm.scaleDownButtonClick(Sender: TObject);
begin
  FID_2D.plotScale:=FID_2D.plotScale/2;
  FID_2D.draw(FIDPaintBox,currentArray-1);
end;
//------------------------------------------------------------------------------

procedure TMainForm.setPathButtonClick(Sender: TObject);
// uses߂ FileCtrl ǉ
var
  strDir: string;
  //k:integer;
begin

//if selectDirectory('Set Directory', '', strDir,
//                  [sdNewFolder,sdNewUI], self) then begin
//    dataFilePath:=strDir;
//    currentDirectoryEdit.Text:=dataFilePath;

//    strDir:=Trim(strDir);

//    s:='';k:=length(strDir);
//    while strDir[k]<>'\' do begin
//      s:=strDir[k]+s;
//      Dec(k);
//    end;

//    dataFilename:=s;

//end;

if FIDSaveDialog.Execute then begin

  dataFileName:=ExtractFileName(FIDSaveDialog.FileName);
  dataFileName:=ChangeFileExt(dataFileName,'');
  strDir:=ChangeFileExt(dataFileName,'');
  dataFilePath:=ExtractFilePath(FIDSaveDialog.Filename)+strDir;

  currentDirectoryEdit.Text:=dataFilePath;

end;

end;
//------------------------------------------------------------------------------

//------------------------------------------------------------------------------

//------------------------------------------------------------------------------
procedure TMainForm.stepRadioButton2Click(Sender: TObject);
begin
  if stepRadioButton2.Checked then begin
    stepComboBox.Enabled:=true;
    step:=StrToInt(stepComboBox.Text);
  end;
end;
//------------------------------------------------------------------------------
procedure TMainForm.stepComboBoxKeyPress(Sender: TObject; var Key: Char);
var c:cardinal;
begin
  if not charInSet(Key, ['0'..'9',#08,#13]) then Key:=#0;
  if Key=#13 then begin
    Key:=#0;   // Erase beep sound!

    c:=StrToInt(stepComboBox.Text);
  //  if c>512 then c:=512;
    if c<1 then c:=1;

    stepCombobox.text:=IntToStr(c);

  end;

end;

procedure TMainForm.stepRadioButton1Click(Sender: TObject);
begin
  if stepRadioButton1.Checked then begin
    stepComboBox.Enabled:=false;
    step:=1;
  end;
end;
//------------------------------------------------------------------------------
procedure autosetDigitalFilter;
var r:single;
  //  hsw:single;
begin

  if not compiledQ then exit; //RpCς݂łȂƑʖځI
  if not (digitalFilterOption=dfAuto) then exit;

  r:=1.1*0.5/ppg.Variables.variable[ppg.Variables.index('DW')].value;

  dFilter.Cutoff:=r/4;
  if dFilter.CutOff>0.5 then dFilter.CutOff:=0.5;

  displayCutOffFreq;

end;

//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
//------------------------------------------------------------------------------

procedure TMainForm.dFilterRadioButton1Click(Sender: TObject);
begin
  if dFilterRadioButton1.Checked then begin
    digitalFilterOption:=dfAuto;
    dfTrackBar1.Enabled:=false;
    autosetDigitalFilter;
  end;
end;

procedure TMainForm.dFilterRadioButton2Click(Sender: TObject);
begin
  if dFilterRadioButton2.Checked then begin
    digitalFilterOption:=dfManual;
    dfTrackBar1.Enabled:=true;
  end;
end;

procedure TMainForm.dfOffRadioButtonClick(Sender: TObject);
begin
  digitalFilterGroupBox.Visible:=not dfOffRadioButton.Checked;
  dfResponsePageControl.Visible:=not dfOffRadioButton.checked;
  dFilter.Taps:=0; // off!
end;

procedure TMainForm.dfOnRadioButtonClick(Sender: TObject);
begin
  digitalFilterGroupBox.Visible:=dfOnRadioButton.Checked;
  dfResponsePageControl.Visible:=dfOnRadioButton.checked;
  dFilter.Taps:=135; // on!
  if digitalFilterOption=dfAuto then autosetDigitalFilter;

end;

procedure TMainForm.dfTrackBar1Change(Sender: TObject);
begin

  dFilter.Cutoff:=dfTrackBar1.Position*0.5/500;
  displayCutoffFreq;
end;

procedure displayCutoffFreq;
var //a:integer;
    //coarse,fine,cutOff: single;
    s:string;
begin

//a:=0;
with MainForm do begin
  dfTrackBar1.Position:=Trunc(1000*dFilter.Cutoff);

//  case dfTrackBar1.Position of
//    1: begin a:=135;  end;
//    0: begin a:=0;  end;
//  end; // case

//  dFilter.Taps:=a;

//  coarse:=dfCoarseTrackBar.Position/20;

//  fine:=DFFineTrackBar.Position/200;
//  cutOff:=coarse+fine;

//  if cutOff=0 then cutOff:=0.05/20;

//  if a=0 then s:='' else s:=FloatToStrF(1000*cutOff,ffFixed,5,3) + ' kHz';
  s:=FloatToStrF(4000*dFilter.CutOff,ffFixed,5,1) + ' kHz';
  cutOffFreqLabel.Caption:= s;

//  dFilter.Cutoff:=cutOff;
//  dFilter.BitLength:=10;

  Memo1.Clear;
  Memo1.Lines.Add(dFilter.HexCoeffArray);

  dFilter.plotCoeff(FIRPaintBox);
  dFilter.plotResponse(responsePaintBox);

end; // with MainForm
end;


procedure TMainForm.FIDPaintBoxPaint(Sender: TObject);
begin
  if FID_2D.length_2D>0 then begin
       FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
       // drawCursorLqƃJ[\`悪ςɂȂIH
       //  2009.8.25
  end;
end;



procedure TMainForm.RealCheckBoxClick(Sender: TObject);
var opt:TPlotFIDOption;
begin
  opt:=[];
    if RealCheckBox.Checked then opt:=opt+[FIDReal];
    if ImagCheckBox.Checked then opt:=opt+[FIDImag];
    if AbsCheckBox.Checked then opt:=opt+[FIDAbs];
    FID_2D.plotOption:=opt;

    if FID_2D.length_2D=0 then exit;

    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
end;


procedure TMainForm.RepeatScanCheckBoxClick(Sender: TObject);
begin
  if not ppg.compiled then begin
    repeatScanCheckBox.Checked:=false;
    exit;
  end;

  fft_repeatScanCheckBox.Visible:=repeatScanCheckBox.Checked;

  if repeatScanCheckBox.Checked then begin
    NAbuffer:=Round(ppg.Variables.Variable[ppg.Variables.index('NA')].Value);
    updateVariable(ppg.Variables.index('NA'),9999999,microseconds);
  end else begin
    fft_repeatScanCheckBox.Checked:=false;
    updateVariable(ppg.Variables.index('NA'),NABuffer,microseconds);

  end;

end;

procedure TMainForm.ImagCheckBoxClick(Sender: TObject);
var opt:TPlotFIDOption;
begin
  opt:=[];
    if RealCheckBox.Checked then opt:=opt+[FIDReal];
    if ImagCheckBox.Checked then opt:=opt+[FIDImag];
    if AbsCheckBox.Checked then opt:=opt+[FIDAbs];
    FID_2D.plotOption:=opt;

    if FID_2D.length_2D=0 then exit;

    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
end;

procedure TMainForm.AbsCheckBoxClick(Sender: TObject);
var opt:TPlotFIDOption;
begin
  opt:=[];
    if RealCheckBox.Checked then opt:=opt+[FIDReal];
    if ImagCheckBox.Checked then opt:=opt+[FIDImag];
    if AbsCheckBox.Checked then opt:=opt+[FIDAbs];
    FID_2D.plotOption:=opt;

    if FID_2D.length_2D=0 then exit;

    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
end;




procedure TMainForm.PolarPlotCheckBoxClick(Sender: TObject);
begin
  if PolarPlotCheckBox.checked then FID_2D.plotMode:=pmPolar else FID_2D.plotMode:=pmNormal;
  if FID_2D.length_2D>0 then FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);

end;

procedure TMainForm.FIDDataScaleRadioButtonClick(Sender: TObject);
begin
  FIDScaleUpButton.Enabled:=FIDManualScaleRadioButton.Checked;
  FIDScaleDownButton.Enabled:=FIDManualScaleRadioButton.Checked;

  FID_2D.receiverScale:=FIDReceiverScaleRadioButton.Checked;
  FID_2D.autoscale:=FIDDataScaleRadioButton.Checked;

  if FID_2D.length_2D>0 then begin
    FID_2D.draw(FIDPaintBox,currentArray-1);
  //  FID_2D.drawCursor(FIDPaintBox);
  end;

end;

procedure TMainForm.FIDManualScaleRadioButtonClick(Sender: TObject);
begin
  FIDScaleUpButton.Enabled:=FIDManualScaleRadioButton.Checked;
  FIDScaleDownButton.Enabled:=FIDManualScaleRadioButton.Checked;

  FID_2D.receiverScale:=FIDReceiverScaleRadioButton.Checked;
  FID_2D.autoscale:=FIDDataScaleRadioButton.Checked;

  if FID_2D.length_2D>0 then begin
    FID_2D.draw(FIDPaintBox,currentArray-1);
  //  FID_2D.drawCursor(FIDPaintBox);
  end;

  end;

procedure TMainForm.FIDPaintBoxMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
  if not FID_2D_Created then exit;
  if FID_2D.plotMode=pmPolar then exit;
  if Button=mbLeft then begin
    with FID_2D do begin
      if x<lMargin then begin
        xPointLeft:=xini;
        FID_2D.cursorX:=lMargin;
      end
      else if x>FIDPaintBox.Width-rMargin then begin
        xPointLeft:=xfin;
        FID_2D.cursorX:=FIDPaintBox.Width-rMargin;
      end else begin
        xPointLeft:=xini
             + Round((Cardinal(x)-lMargin)*(xfin-xini)/(Cardinal(FIDPaintBox.Width)-lMargin-rMargin));
        FID_2D.cursorX:=x;
      end;
    //  latestXPosition:=xPointLeft;


      if not FID_2D.cursorOn then begin
        FID_2D.cursorOn:=true;
        FID_2D.cursorWasOff:=true;
      end;

      overWriteCursor(FIDPaintBox);
      latestClickedXPosition:=xPointLeft;

    end; // with
  end; // button
end;


procedure TMainForm.FIDPaintBoxMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
{  if FID_2D.length_2D<1 then exit;
    with FID_2D do begin
      if x<lMargin then begin
        xPointLeft:=xini;
        cursorX:=lMargin;
      end
      else if x>FIDPaintBox.Width-rMargin then begin
        xPointLeft:=xfin;
        cursorX:=FIDPaintBox.Width-rMargin;
      end else begin
        xPointLeft:=xini
             + Round((Cardinal(x)-lMargin)*(xfin-xini)/(Cardinal(FIDPaintBox.Width)-lMargin-rMargin));
        cursorX:=x;
      end;
//      latestXPosition:=xPointLeft;
      drawCursor(FIDPaintBox);
  end; //with
}
end;

procedure TMainForm.NSTComboBoxChange(Sender: TObject);

begin
  if not ppg.compiled then begin
    NSTCombobox.ItemIndex:=0;
    exit;
  end;

  nst:=NSTCombobox.ItemIndex+1;
  if nst>1 then begin
    stepRadioButton1.Checked:=true;
    // iȂĂȂ΁jf[^gXt@[𖈉sݒɁB
    //  ܂eof`ł̐MώZsȂ悤ɂB
  end;

  setHyperComplex;

end;

procedure TMainForm.openModParamsButtonClick(Sender: TObject);
begin
  if ModParamsOpenDialog.Execute then
    { first check if file exists }
    if FileExists(ModParamsOpenDialog.FileName) then
      { if it exists, load the data into the memo box }
      modParamsMemo.Lines.LoadFromFile(ModParamsOpenDialog.FileName)
    else
      { otherwise raise an exception }
      raise Exception.Create('File does not exist.');

end;


procedure TMainForm.Panel6Click(Sender: TObject);
begin

end;

//------------------------------------------------------------------------------

procedure setHyperComplex;
var ad,k,m,q:integer;
    n:double;
    s,s1,s2,s3:string;
    sList:TStrings;
begin
  q:=ppg.Variables.index('NA');
  n:=ppg.Variables.Variable[q].Value;

    MainForm.applyButton.Enabled:=false;

    sList:=TStringList.Create;

    for k:=0 to nch-1 do begin   // nch: number of channels (3)
      sList.Add('CH'+IntToStr(k+1));

      for m:=0 to ppg.Variables.Variable[q].Count(k)-1 do begin
        ad:=ppg.Variables.Variable[q].whereIs(k,m);
        s:=ppg.compiledPPG[k][ad];
        s1:=Copy(s,1,9);
        s2:=Copy(s,20,18);
        sList.Add(s1+ Hex(Round(n*nst),10) + s2);
      end; // m
    end; // k
    sList.Add('CH1');
    sList.Add('');


    usbTransfer(pulserHandle,0,sList);

//    USBTx := TUSBTxThread.Create(pulserHandle,1,sList);
//    repeat until USBTxBusy=false;


    sList.Free;


 //   if nst=2 then s3:= 'Setting up hypercomplex acquisition.... Done.'
 //             else s3:= 'Getting back from hypercomplex acquisition.... Done.';
 //
 //   MainForm.VariableInfoMemo.Lines.Add('');
 //   MainForm.VariableInfoMemo.Lines.Add(s3);
 //   MainForm.VariableInfoMemo.Lines.Add('');

end;

procedure TMainForm.TabSheet6Exit(Sender: TObject);
begin
  if (arrayQ) and (not (array_OK)) then begin
    enableArrayCheckBox.Checked:=false;
    ShowMessage('Array setting has not been finished, and has been disabled '
                +'automatically.');
  end;
end;

procedure TMainForm.RCVRTerminalMemoChange(Sender: TObject);
begin
  if RCVRTerminalMemo.Lines.Count=200 then RCVRTerminalMemo.Lines.Delete(0);
  RCVRTerminalMemo.Perform(EM_LINESCROLL, 0, 200)
end;

procedure TMainForm.RCVRTerminalMemoKeyPress(Sender: TObject;
  var Key: Char);
var t: string;
    n: integer;
begin

  if runQ then exit;

  with RCVRTerminalMemo do begin
    t:=Lines[Lines.Count-1];
    n:=Length(t);
    if key=#13 then begin

      if Trim(Copy(Uppercase(t),8,Length(t)))='G' then begin
        Lines[Lines.Count-1]:='[RCVR]>';
        ShowMessage('Please click the RUN button to start acquisition.');
        exit;
      end;

//      if rsOpenQ then begin

      sendRCVRCommand(Trim(Copy(Uppercase(t),8,Length(t))) );

    end
    else if key=#08 then begin
      if n>7 then Lines[Lines.Count-1]:=Copy(t,1,n-1);
    end
    else Lines[Lines.Count-1]:=Lines[Lines.Count-1]+key;
  end;
end;

procedure TMainForm.ResponsePaintBoxPaint(Sender: TObject);
begin
  DFilter.plotResponse(responsePaintBox);
end;

procedure TMainForm.FIRPaintBoxPaint(Sender: TObject);
begin
  DFilter.plotCoeff(FIRPaintBox);
end;

procedure TMainForm.FlattenApplyButtonClick(Sender: TObject);
var newProc:TFlatten;
begin
  if FID_Proc.length_2D<1 then exit;
  newProc:=TFlatten.create;
  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.add(Flatten);
  ProcessListBox.Items.Add(newProc.caption);
  FID_Proc.draw(FIDProcPaintBox,0);

  newProc.Free;

end;

procedure TMainForm.iniTrackBarChange(Sender: TObject);
var range:integer;
begin

//  if (FID_2D_Created) or (FID_2D.length_2D<1) then exit;
  if FID_2D.length_2D<1 then exit;

  range:=FID_2D.xrange;

  if iniTrackBar.position >= finTrackBar.Position then
       iniTrackBar.position:=finTrackBar.Position-1;

  if fixPlotRangeCheckBox.Checked then begin
    if IniTrackBar.position + range > integer(FID_2D.al)-1 then begin
      IniTrackBar.position := -range + integer(FID_2D.al)-1;
    end;
  end;

  FID_2D.xini:=iniTrackBar.Position;

  if fixPlotRangeCheckBox.Checked then begin
    FID_2D.xfin:=FID_2D.xini + cardinal(range);
    finTrackBar.Position:=FID_2D.xfin
  end else begin
    FID_2D.xfin:=finTrackBar.Position;

  end;

  FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
  FID_2D.drawCursor(FIDPaintBox);

end;

procedure TMainForm.jobImplementButtonClick(Sender: TObject);
begin
  if jobListBox.Items.Count>0 then begin
    jobCreated:=true;
    jobImplementButton.Enabled:=false;
    expJob:=expJobThread.Create(jobListBox.Items,
                             StrToInt(jobIntervalEdit.Text)*1000);

  end;
end;

procedure TMainForm.addJobButtonClick(Sender: TObject);
//var err_str:string;
begin
  if LoadExpOpenDialog.Execute then begin

//     expConditionLoad(LoadExpOpenDialog.FileName, err_str);
//     if err_str<>'' then begin
//       ShowMessage('Error: '+err_str);
//       exit;
//     end;

     jobListBox.Items.Add(LoadExpOpenDialog.FileName);
     runStopButton.Enabled:=false;

  end;

end;

procedure TMainForm.clearJobButtonClick(Sender: TObject);
begin
  if jobCreated then exit;
  jobListBox.Items.Clear;
  runStopButton.Enabled:=true;
end;

procedure TMainForm.JoinFIDButtonClick(Sender: TObject);
var newProc:TFIDJoinFID;
    weight:single;
    errorPos:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //

  Val(weightingFactorEdit.Text,weight,errorPos);
  if errorPos<>0 then begin
    ShowMessage('Invalid expression for the weighting factor');
    exit;
  end;


  if ReadFIDOpenDialog.Execute then begin

    newProc:=TFIDJoinFID.create(weight);
    newProc.parFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2p');
    newProc.datFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2d');

    if newProc.Process(FID_Proc)<>0 then begin // error
      ShowMessage(newProc.errorMessage);
      newProc.Free;
      exit;
    end;

    FIDProcess.Add(JoinFID);
    TFIDJoinFID(FIDProcess.Items[FIDProcess.Count-1]).parFilename:=newProc.parFilename;
    TFIDJoinFID(FIDProcess.Items[FIDProcess.Count-1]).datFilename:=newProc.datFilename;
    TFIDJoinFID(FIDProcess.Items[FIDProcess.Count-1]).weight:=newProc.weight;
    ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

    ProcIniTrackBar.Max:=FID_Proc.al-1;
    ProcFinTrackBar.Max:=FID_Proc.al-1;
    ProcFinTrackBar.Position:=ProcFinTrackBar.Max;

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  //  FID_Proc.drawCursor(FIDProcPaintBox);

    newProc.Free;

  end;
end;

procedure TMainForm.linearArrayRadioButtonClick(Sender: TObject);
begin
  randomArrayPanel.Visible:=not linearArrayRadioButton.Checked;
  randomArrayManualMemo.Visible:=not linearArrayRadioButton.Checked;
end;

procedure TMainForm.linearBaselineCorrectionApplyButtonClick(Sender: TObject);
var p:integer;
    x1,x2: integer;
    y1re,y1im,y2re,y2im:single;
    newProc:TFIDlinearBaselineCorrection;
begin
  if FID_Proc.length_2D<1 then exit;
//  lbcX1Edit, lbcY1ReEdit, lbcY1ImEdit
//  lbcX2Edit, lbcY2ReEdit, lbcY2ReEdit

  x1:=StrToInt(lbcX1Edit.Text);
  if x1<0 then begin
    ShowMessage('Invalid X1.');
    exit;
  end;

  x2:=StrToInt(lbcX2Edit.Text);
  if x2>integer(FID_Proc.al)-1 then begin
    ShowMessage('Invalid X2.');
    exit;
  end;

  Val(lbcY1ReEdit.Text,y1re,p);
  if p<>0 then begin
    ShowMessage(lbcY1ReEdit.Text + ': Invalid expression.');
    exit;
  end;
  Val(lbcY1ImEdit.Text,y1im,p);
  if p<>0 then begin
    ShowMessage(lbcY1ImEdit.Text + ': Invalid expression.');
    exit;
  end;
  Val(lbcY2ReEdit.Text,y2re,p);
  if p<>0 then begin
    ShowMessage(lbcY2ReEdit.Text + ': Invalid expression.');
    exit;
  end;
  Val(lbcY2ImEdit.Text,y2im,p);
  if p<>0 then begin
    ShowMessage(lbcY1ReEdit.Text + ': Invalid expression.');
    exit;
  end;

  newProc:=TFIDlinearBaselineCorrection.create;
  newProc.setInitialPoint(x1,y1Re,y1Im);
  newProc.setFinalPoint(x2,y2Re,y2Im);

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(linearBaselineCorrection);
  TFIDlinearBaselineCorrection(FIDProcess.Items[FIDProcess.Count-1])
                                       .setInitialPoint(x1,y1Re,y1Im);
  TFIDlinearBaselineCorrection(FIDProcess.Items[FIDProcess.Count-1])
                                       .setFinalPoint(x2,y2Re,y2Im);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);

  newProc.Free;


end;

procedure TMainForm.loadExpButtonClick(Sender: TObject);
var err_str:string;
begin
  if LoadExpOpenDialog.Execute then begin

     expConditionLoad(LoadExpOpenDialog.FileName, err_str);
     if err_str<>'' then ShowMessage(err_str);

  end;
end;

procedure TMainForm.fieldSaveButtonClick(Sender: TObject);
begin
  if fieldSaveDialog.Execute then begin
    fmMemo.Lines.SaveToFile(fieldSaveDialog.FileName);
  end;
end;

procedure TMainForm.finTrackBarChange(Sender: TObject);
var range:integer;
begin

//  if (FID_2D_Created) or (FID_2D.length_2D<1) then exit;
  if FID_2D.length_2D<1 then exit;

  range:=FID_2D.xrange;

  if finTrackBar.position <= iniTrackBar.Position then
        finTrackbar.position:=iniTrackBar.Position+1;

  if fixPlotRangeCheckBox.Checked then begin
    if finTrackBar.position - range < 0 then begin
      finTrackBar.position := range;
    end;
  end;

  FID_2D.xfin:=finTrackBar.Position;

  if fixPlotRangeCheckBox.Checked then begin
    FID_2D.xini:=FID_2D.xfin - cardinal(range);
    iniTrackBar.Position:=FID_2D.xini
  end else begin
    FID_2D.xini:=iniTrackBar.Position;

  end;

  FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
  FID_2D.drawCursor(FIDPaintBox);

end;

procedure TMainForm.averageApplyButtonClick(Sender: TObject);
var newProc:TaverageOverT1;
begin
  if FID_Proc.length_2D<2 then exit;

  newProc:=TaverageOverT1.create;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FID_Proc.currentFID:=0;

  FIDProcess.Add(averageOverT1);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  //ProcFinTrackBar.Max:=FID_Proc.al-1;
  //ProcFinTrackBar.Position:=ProcFinTrackBar.Max;
  //ProcIniTrackBar.Max:=FID_Proc.al-1;
  //ProcIniTrackBar.Position:=0;

  currentFIDEdit.Text:='1';
  currentFIDLabel.Caption:='/'+IntToStr(FID_Proc.length_2D);

  newProc.Free;

end;


procedure TMainForm.readFIDButtonClick(Sender: TObject);
var k:integer;
    recentPlotScale: single;
begin
  if ReadFIDOpenDialog.Execute then begin

    FID_Proc.busy:=true;

    if FID_Proc.length_2D>0 then
     recentPlotScale:=FID_Proc.plotScale // ÕXP[L
    else recentPlotScale:=1;

    FID_Proc.Readsm2pFile(ReadFIDOpenDialog.FileName);

    ProcFIDFileNameLabel.Caption:=ReadFIDOpenDialog.FileName;

    if FID_Proc.xfin>FID_Proc.al-1 then FID_Proc.xfin:=FID_Proc.al-1;
    if FID_Proc.xini>FID_Proc.al-2 then FID_Proc.xini:=FID_Proc.al-2;

    if FID_Proc.xfin=0 then FID_Proc.xfin:=FID_Proc.al-1;

    ProcIniTrackBar.Max:=FID_Proc.al-2;
    ProcFinTrackBar.Max:=FID_Proc.al-1;
    ProcIniTrackBar.Position:=FID_Proc.xini;
    ProcFinTrackBar.Position:=FID_Proc.xfin;

    FID_Proc.plotScale:=recentPlotScale;
    FID_Proc.autoscale:=ProcAutoScaleCheckBox.Checked;

    while FID_Proc.length_2D>0 do begin
      FID_Proc.delete(FID_Proc.length_2D-1);
    end;


    dataReadProgressBar.Left:=FidProcPaintBox.Width div 2
                      -dataReadProgressBar.Width div 2;
    dataReadProgressBar.Top:=FIDProcPaintBox.Height div 2
                      -dataReadProgressBar.Height div 2;
    FID_Proc.Readsm2dFile(ReadFIDOpenDialog.FileName,
                          dataReadProgressBar);

    FIDProcInit;

    setProcFIDStyle;

    if AutoProcessCheckBox.Checked then begin
      for k:=0 to FIDProcess.Count-1 do begin
        if FIDProcess.Items[k].Process(FID_Proc)<>0 then begin
          PageControl2.ActivePageIndex:=0;
           {G[bZ[W^uO}
          errorMessageMemo.Font.Color:=clRed;
          errorMessageMemo.Clear;
          errorMessageMemo.Lines.Add('Data-process error:');
          errorMessagememo.Lines.Add(FIDProcess.Items[k].errorMessage);
          exit;
        end; // if
      end; // for

      FIDProcPaintBox.Invalidate;
      ProcIniTrackbar.Max:=FID_Proc.al-1;
      ProcFinTrackbar.Max:=FID_Proc.al-1;

    end else begin
      FIDProcess.free;
      FIDProcess:=TProcessOperations.create;
      ProcessListBox.Clear;
    end;

    FID_Proc.busy:=false;

  end; // ReadFIDOpenDialog.Execute
end;



//
//******************************************************************************
//
procedure TMainForm.FIDProcPaintBoxPaint(Sender: TObject);
begin
  if FID_Proc.length_2D>0 then
       FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
       FID_Proc.drawcursor(FIDProcPaintBox);
end;

procedure TMainForm.FIDReceiverScaleRadioButtonClick(Sender: TObject);
begin
  FIDScaleUpButton.Enabled:=FIDManualScaleRadioButton.Checked;
  FIDScaleDownButton.Enabled:=FIDManualScaleRadioButton.Checked;

  FID_2D.receiverScale:=FIDReceiverScaleRadioButton.Checked;
  FID_2D.autoscale:=FIDDataScaleRadioButton.Checked;

  if FID_2D.length_2D>0 then begin
    FID_2D.draw(FIDPaintBox,currentArray-1);
    FID_2D.drawCursor(FIDPaintBox);
  end;

end;

procedure TMainForm.FIDScaleDownButtonClick(Sender: TObject);
begin

  if FID_2D.length_2D>0 then begin
 //   AutoScaleCheckbox.SetFocus;
    FID_2D.plotScale:=FID_2D.plotScale/1.2;
    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
    FID_2D.drawCursor(FIDPaintBox);
  end;


end;

procedure TMainForm.FIDScaleUpButtonClick(Sender: TObject);
begin
  if FID_2D.length_2D>0 then begin
   // AutoScaleCheckbox.SetFocus;
    FID_2D.plotScale:=FID_2D.plotScale*1.2;
    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
    FID_2D.drawCursor(FIDPaintBox);
  end;

end;

procedure TMainForm.FIDProcPaintBoxMouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
var
  re,im:single;
  st,sre,sim,sab,sph,unitString,valueString:string;
  deltaValueString:string;
  kini,kfin:integer;
begin
  if FID_Proc.length_2D<1 then exit;
  if FID_Proc.plotMode=pmPolar then exit;

  if Button=mbLeft then begin
    with FID_Proc do begin
      if x<lMargin then begin
        xPointLeft:=xini;
        cursorX:=lMargin;
      end
      else if x>FIDProcPaintBox.Width-rMargin then begin
        xPointLeft:=xfin;
        cursorX:=FIDProcPaintBox.Width-rMargin;
      end else begin
        xPointLeft:=xini
             + Round((Cardinal(x)-lMargin)*(xfin-xini)/(Cardinal(FIDProcPaintBox.Width)-lMargin-rMargin));
        cursorX:=x;
      end;

      if not FID_Proc.cursorOn then begin
        FID_Proc.cursorOn:=true;
        FID_Proc.cursorWasOff:=true;
      end;
      overWriteCursor(FIDProcPaintBox);

      st:=IntToStr(xPointLeft);
      re:= FID[currentFID].real.sig[xPointLeft];
      im:= FID[currentFID].imag.sig[xPointLeft];
      sre:= FloatToStrF(re,ffGeneral,5,5);
      sim:= FloatToStrF(im,ffGeneral,5,5);
      sab:= FloatToStrF(FID[currentFID].abs.sig[xPointLeft],ffGeneral,5,5);
      sph:= FloatToStrF(ArcTan2(im,re)*180.0/3.1415926535,ffGeneral,5,5);

      if FID[currentFID].domain=dmTime then begin
        unitString:=' ms';
        valueString:=FloatToStrF(0.001*dw*xPointLeft,ffGeneral,5,5);
        deltaValueString:=
            FloatToStrF(0.001*dw*integer(xPointLeft-latestClickedXPosition),
                        ffGeneral,5,5);
      end else begin

        unitstring:=' kHz';
        valueString:=FloatToStrF(500.0/dw-xPointLeft*1000.0/(dw*al),
                            ffGeneral,5,5);
        deltaValueString:=
            FloatToStrF(-1*integer(xPointLeft-latestClickedXPosition)*1000/(dw*al),
                        ffGeneral,5,5);
      end;

      returnValueMemo.Lines.Clear;
      st:=st+' (' + valueString + unitString +')';
      returnValueMemo.Lines.Add('Clicked point: ' + st);
      returnValueMemo.Lines.Add('Real: '+sre);
      returnValueMemo.Lines.Add('Imag: '+sim);
      returnValueMemo.Lines.Add('Abs: '+sab);
      returnValueMemo.Lines.Add('Phase: '+sph);
      st:=IntToStr(latestClickedXPosition);
      st:=st+' (Delta = ' + deltaValueString + unitString +')';
      returnValueMemo.Lines.Add('Previous point:' + st);
      if xPointLeft>latestClickedXPosition then begin
        kini:=latestClickedXPosition;
        kfin:=xPointLeft;
      end else begin
        kini:=xPointLeft;
        kfin:=latestClickedXPosition;
      end;

      if kini<>kfin then begin // skip if Delta=0
        returnValueMemo.Lines.Add('[Real]');
        returnValueMemo.Lines.Add('    Sum: '
            +FloatToStrF(FID[currentFID].real.Sum(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('    Average: '
            +FloatToStrF(FID[currentFID].real.Average(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('    Standard Deviation: '
            +FloatToStrF(FID[currentFID].real.standardDeviation(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('[Imag]');
        returnValueMemo.Lines.Add('    Sum: '
            +FloatToStrF(FID[currentFID].imag.Sum(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('    Average: '
            +FloatToStrF(FID[currentFID].imag.Average(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('    Standard Deviation: '
            +FloatToStrF(FID[currentFID].imag.standardDeviation(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('[Abs]');
        returnValueMemo.Lines.Add('    Sum: '
            +FloatToStrF(FID[currentFID].abs.Sum(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('    Average: '
            +FloatToStrF(FID[currentFID].abs.Average(kini,kfin),ffGeneral,5,5));
        returnValueMemo.Lines.Add('    Standard Deviation: '
            +FloatToStrF(FID[currentFID].abs.standardDeviation(kini,kfin),ffGeneral,5,5));
      end;


      //
      if SetPivotCheckBox.Checked then begin
        SetPivotEdit.Text:=IntToStr(xPointLeft);
        pivotApplyButton.Click;
      end else begin
        ProcessPageControl.ActivePage:=returnValueTabSheet;
      end;

      latestClickedXPosition:=xPointLeft;


    end; // with

  end; // button


end;

procedure TMainForm.FIDProcPaintBoxMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
{
  if FID_Proc.length_2D<1 then exit;
  if FID_Proc.busy then exit;

    with FID_Proc do begin
      if x<lMargin then begin
        xPointLeft:=xini;
        cursorX:=lMargin;
      end
      else if x>FIDProcPaintBox.Width-rMargin then begin
        xPointLeft:=xfin;
        cursorX:=FIDProcPaintBox.Width-rMargin;
      end else begin
        xPointLeft:=xini
             + Round((Cardinal(x)-lMargin)*(xfin-xini)/(Cardinal(FIDProcPaintBox.Width)-lMargin-rMargin));
        cursorX:=x;
      end;
      drawCursor(FIDProcPaintBox);
  end; //with
}
end;

procedure TMainForm.asciSaveCheckBoxClick(Sender: TObject);
begin
  if asciSaveCheckBox.Checked then FID_2D.saveMode:=smBoth else FID_2D.saveMode:=smBinary;
end;

procedure TMainForm.ProcIniTrackBarChange(Sender: TObject);
var range:integer;
    noNeedToDraw:boolean;
begin
  if FID_proc.length_2D<1 then exit;

  noNeedToDraw:=false;
  range:=FID_Proc.xrange;

  if ProcIniTrackBar.position >= ProcFinTrackBar.Position then
       ProcIniTrackBar.position:=ProcFinTrackBar.Position-1;

  if proc_FixPlotRangeCheckBox.Checked then begin
    if cardinal(ProcIniTrackBar.position + range) > FID_Proc.al-1 then begin
      ProcIniTrackBar.position := -cardinal(range) + FID_Proc.al-1;
      noNeedToDraw:=true;
    end;
  end;


  FID_Proc.xini:=ProciniTrackBar.Position;

  if proc_FixPlotRangeCheckBox.Checked then begin
    FID_Proc.xfin:=FID_Proc.xini + cardinal(range);
    ProcfinTrackBar.Position:=FID_Proc.xfin
  end else begin
    FID_Proc.xfin:=ProcfinTrackBar.Position;

  end;

  if not NoNeedToDraw then begin
    FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);
  end;
end;


procedure TMainForm.ProcPolarPlotCheckBoxClick(Sender: TObject);
begin
  if ProcPolarPlotCheckBox.checked then begin
    FID_Proc.plotMode:=pmPolar;
//    FID_Proc.penStyle:=circle;
  end else
    FID_Proc.plotMode:=pmNormal;
  if FID_Proc.length_2D>0 then begin
    FID_Proc.draw(FIDProcPaintBox,FID_Proc.length_2D-1);
    FID_Proc.drawCursor(FIDProcPaintBox);
  end;

end;


procedure TMainForm.ProcFIDScaleDownButtonClick(Sender: TObject);
begin
  if (not ProcAutoScaleCheckbox.Checked)
         and (FID_Proc.length_2D>0) then begin
    ProcAutoScaleCheckbox.SetFocus;
    FID_Proc.plotScale:=FID_Proc.plotScale/1.2;
    FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);
  end;
end;

procedure TMainForm.ProcFIDScaleUpButtonClick(Sender: TObject);
begin
  if (not ProcAutoScaleCheckbox.Checked)
         and (FID_Proc.length_2D>0) then begin
    ProcAutoScaleCheckbox.SetFocus;
    FID_Proc.plotScale:=FID_Proc.plotScale*1.2;
    FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
    FID_Proc.drawcursor(FIDProcPaintBox);
  end;

end;

procedure TMainForm.procFIDStyleSetButtonClick(Sender: TObject);
begin
  StyleSettingForm.procRadioButton.checked:=true;
  StyleSettingForm.ShowModal;
end;

procedure TMainForm.ProcFinTrackBarChange(Sender: TObject);
var range:integer;
    noNeedToDraw:boolean;
begin
  if FID_proc.length_2D<1 then exit;

  range:=FID_Proc.xrange;
  noNeedToDraw:=false;


  if ProcfinTrackBar.position <= ProciniTrackBar.Position then
        ProcfinTrackbar.position:=ProciniTrackBar.Position+1;

  if proc_FixPlotRangeCheckBox.Checked then begin
    if ProcFinTrackBar.position - range < 0 then begin
      ProcFinTrackBar.position := range;
      noNeedToDraw:=true;
    end;
  end;

  FID_Proc.xfin:=ProcfinTrackBar.Position;

  if proc_FixPlotRangeCheckBox.Checked then begin
    FID_Proc.xini:=FID_Proc.xfin - cardinal(range);
    ProciniTrackBar.Position:=FID_Proc.xini
  end else begin
    FID_Proc.xini:=ProciniTrackBar.Position;
  end;

  if not noNeedToDraw then begin
    FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);
  end;

end;

procedure TMainForm.FFTButtonClick(Sender: TObject);
var newProc:TFIDFFT;
begin
  if FID_Proc.length_2D<1 then exit;  //

  newProc:=TFIDFFT.Create;
  newProc.Process(FID_Proc);

  FIDProcess.Add(FFT);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  newProc.Free;

end;

procedure TMainForm.fft_RepeatScanCheckBoxClick(Sender: TObject);
begin
 if runQ then begin
   FIDTransfer.fft_repeatScan:=fft_repeatScanCheckBox.Checked;
 end;
end;

procedure TMainForm.spinNoiseCheckBoxClick(Sender: TObject);
begin
  if spinNoiseCheckBox.Checked then begin
    asciSaveCheckBox.Checked:=true;
    stepRadioButton1.Checked:=true;
  end;
end;

procedure TMainForm.sqrtButtonClick(Sender: TObject);
var
  m:integer;
begin
  if FID_Proc.length_2D<1 then exit;

  for m:=0 to FID_Proc.length_2D-1 do begin
    FID_Proc.FID[m].real.squareRoot;
    FID_Proc.FID[m].imag.squareRoot;
    FID_Proc.FID[m].updateAbs;
  end;  // m;


end;

procedure phase1(ph_deg:double);
var newProc:TFIDPhase1;
begin
  if FID_Proc.length_2D<1 then exit;  //

  newProc:=TFIDPhase1.Create;
  newProc.angle:=ph_deg;

  newProc.Process(FID_Proc);

  if (FIDProcess.Count>0) and
     (FIDProcess.Items[FIDProcess.Count-1].mode=phaseFirst)
      then begin
     with TFIDPhase1(FIDProcess.Items[FIDProcess.Count-1]) do begin
       angle:=angle+ph_deg;
       MainForm.ProcessListBox.Items[MainForm.ProcessListBox.Count-1]:=
         IntToStr(FIDProcess.Count)+': '+caption;
     end; // with
   end else begin
     FIDProcess.Add(phaseFirst);
     TFIDPhase1(FIDProcess.Items[FIDProcess.Count-1]).angle:=ph_deg;
     MainForm.ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);
  end;

  FID_Proc.draw(Mainform.FIDProcPaintBox, FID_Proc.currentFID);
  FID_Proc.drawCursor(Mainform.FIDProcPaintBox);
  newProc.Free;

end;

procedure phase0(ph_deg:double);
var newProc:TFIDPhase0;
begin
  if FID_Proc.length_2D<1 then exit;  //

  newProc:=TFIDPhase0.Create;
  newProc.angle:=ph_deg;

  newProc.Process(FID_Proc);



  if (FIDProcess.Count>0) and
     (FIDProcess.Items[FIDProcess.Count-1].mode=phaseZero)
      then begin
     with TFIDPhase0(FIDProcess.Items[FIDProcess.Count-1]) do begin
       angle:=angle+ph_deg;
       MainForm.ProcessListBox.Items[MainForm.ProcessListBox.Count-1]:=
         IntToStr(FIDProcess.Count)+': '+caption;
     end; // with
   end else begin
     FIDProcess.Add(phaseZero);
     TFIDPhase0(FIDProcess.Items[FIDProcess.Count-1]).angle:=ph_deg;
     MainForm.ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);
  end;

  FID_Proc.draw(Mainform.FIDProcPaintBox, FID_Proc.currentFID);
  FID_Proc.drawCursor(Mainform.FIDProcPaintBox);
  newProc.Free;

end;


procedure TMainForm.phase_p10Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase0(10.0);
end;

procedure TMainForm.phase_m10Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase0(-10.0);
end;

procedure TMainForm.mapModParamsButtonClick(Sender: TObject);
var
  k,c,m,p:integer;
  s,t:string;
  sl: TStrings;
  ars: array of string;
begin
  sl:=TStringList.Create;

  s:=seqEdit.Text;
  k:=1; t:=''; m:=0;
  while k<=length(s) do begin
    if s[k]<>'%' then t:=t+s[k] else begin
      inc(m);
      if k=length(s) then begin showMessage('"%" must be followed by "'+IntToStr(m)+'".'); sl.Free; exit; end;
      inc(k);
      if not charInSet(s[k], ['0'..'9']) then begin showMessage('"%" must be followed by "'+IntToStr(m)+'".'); sl.Free; exit; end;
      if StrToInt(s[k])<>m  then begin showMessage('"%" must be followed by "'+IntToStr(m)+'".'); sl.Free; exit; end;

      sl.Add(t);
      t:='';

    end;

    if (k=length(s)) and (t<>'') then sl.Add(t);

    inc(k);
  end;

  if m=0 then begin showMessage('%1,%2,... not found.'); sl.Free; exit; end;
  setLength(ars,m);

  modSeqMemo.clear;
  k:=0;
  while k<modParamsMemo.Lines.Count do begin
    c:=0;
    p:=0;
    s:=Trim(modParamsMemo.Lines.Strings[k]);
    t:='';
    while (c<=length(s)) and (p<m) do begin
      inc(c);
      if (s[c]<>' ') and (s[c]<>#8) and (s[c]<>'@') then t:=t+s[c];
      if (s[c]=' ') or (s[c]=#8) or (s[c]='@') or (c=length(s)) then begin
        if t<>'' then begin
          ars[p]:=t;
          t:='';
          inc(p);
        end;
      end;
    end; // while

    if p<m then begin ShowMessage('Invalid expression.'); sl.Free; exit; end;

    t:='';
    for p:=0 to m-1 do begin
      t:=t+sl.Strings[p];
      t:=t+ars[p];
    end;
    if sl.Count>m then t:=t+sl.Strings[m];

    modSeqMemo.Lines.Add(t);

    inc(k);
  end;
  sl.Free;
end;

procedure TMainForm.modSeqSaveButtonClick(Sender: TObject);
begin
  if modSeqMemo.Lines.Count=0 then begin
    ShowMessage('Empty!');
    exit;
  end;

  if modSeqSaveDialog.Execute then
    modSeqMemo.Lines.SaveToFile(modSeqSaveDialog.FileName);

end;

procedure TMainForm.mriProcessButtonClick(Sender: TObject);
begin
//  FID_Proc.saveMode:=smAbs;
  FID_Proc.horizontalFFT;
  FID_Proc.longitudinalFFT;
//  FID_Proc.SaveToFile(FID_Proc.fileName); //ƌf[^ႤII20120329 Takeda
end;

procedure TMainForm.MultiplyFIDButtonClick(Sender: TObject);
var newProc:TFIDMultiplyFID;
begin
  if FID_Proc.length_2D<1 then exit;  //

  if ReadFIDOpenDialog.Execute then begin

    newProc:=TFIDMultiplyFID.create;
    newProc.parFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2p');
    newProc.datFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2d');

    if newProc.Process(FID_Proc)<>0 then begin // error
      ShowMessage(newProc.errorMessage);
      newProc.Free;
      exit;
    end;

    FIDProcess.Add(MultiplyFID);
    TFIDMultiplyFID(FIDProcess.Items[FIDProcess.Count-1]).parFilename:=newProc.parFilename;
    TFIDMultiplyFID(FIDProcess.Items[FIDProcess.Count-1]).datFilename:=newProc.datFilename;
    ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  //  FID_Proc.drawCursor(FIDProcPaintBox);

    newProc.Free;

  end;
end;

procedure TMainForm.multiplyScalarButtonClick(Sender: TObject);
var
   a:single;
   newProc:TFIDMultiplyScalar;
   code:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if multiplyScalarEdit.Text='' then exit;  // ȂI

  Val(multiplyScalarEdit.Text, a, Code);
  { Error during conversion to integer? }
  if Code <> 0 then begin
    ShowMessage('Multiply scalar: Invalid expression.');
    exit;
  end;

  if a=1.0 then exit; //

  newProc:=TFIDMultiplyScalar.create;
  newProc.scalar:=a;


  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(multiplyScalar);
  TFIDMultiplyScalar(FIDProcess.Items[FIDProcess.Count-1]).scalar:=a;
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);


  newProc.free;

end;

procedure TMainForm.Proc_RealCheckBoxClick(Sender: TObject);
begin
  setPlotProcFIDOption;
end;

procedure TMainForm.randomArrayApplyButtonClick(Sender: TObject);
var s:string;
    d:double;
    lineCounter:integer;
    p:integer;
  //  arrayIniNumeric, arrayIncNumeric: double; // PʂȂl
  //  arrayIniValue, arrayIncValue: double;   // in microseconds
  //  arrayIniUt, arrayIncUt: TUnitOfTime;
    varIndex:integer;
    sList:TStrings;
begin
  if variableComboBox.itemIndex=-1 then exit;

  PageControl2.ActivePageIndex:=1;


  lineCounter:=0;
  sList:=TStringList.Create;
  while lineCounter<randomArrayMemo.Lines.Count do begin
    s:=randomArrayMemo.Lines[lineCounter];
    if s<>'' then  sList.Add(s);
    inc(lineCounter);
  end; // while

  if sList.Count<1 then begin
    sList.Free;
    exit;
  end;


  for lineCounter:=0 to sList.Count-1 do begin
    Val(sList[lineCounter],d,p);
    if p<>0 then begin
      ShowMessage('Invalid expression: ' + s +' (' + FloatToStr(d) + '?)');
      sList.Free;
      exit;
    end;
  end; // for


  if ppg.Variables.NOfArray>0 then begin
    if ppg.Variables.arrayLength<>sList.Count then begin
      ShowMessage('Array length is '+ IntToStr(sList.Count) +
                ', but should be ' + IntToStr(ppg.Variables.arrayLength) + '.');
      sList.Free;
      exit;
    end;
  end; // if


  //
  //  implementation!
  //
  varIndex:=ppg.Variables.index(variableComboBox.Items[variableComboBox.itemindex]);

  ppg.Variables.NOfArray:=ppg.Variables.NOfArray+1;

  ppg.Variables.arrayLength:=sList.count; // Variables array length
  ppg.Variables.Variable[varIndex].arrayLength:=sList.Count;
                                          // Variable array length
  ppg.Variables.Variable[varIndex].kindOfArray:=Random;

  setLength(ppg.Variables.arrayedVariableIndex, ppg.Variables.NOfArray);
  ppg.Variables.arrayedVariableIndex[ppg.Variables.NOfArray-1]:=varIndex;

  for lineCounter:=0 to sList.Count-1 do begin
    Val(sList[lineCounter],d,p);

    // ͈̓`FbN (phase, freq variable)
    if not ((ppg.Variables.Variable[varIndex].typeOfVar=phaseVariable) or
         (ppg.Variables.Variable[varIndex].typeOfVar=freqVariable)) then begin
      if (d>ppg.Variables.Variable[varIndex].Max)
          or (d<ppg.Variables.Variable[varIndex].Min) then begin
        ShowMessage('Out of range at ' + IntToStr(lineCounter+1) + 'th '
              + 'array: '
              //+
              + FloatToStr(d)
              + '.' );

        ppg.Variables.Variable[varIndex].kindOfArray:=Fixed;
        ppg.Variables.Variable[varIndex].arrayLength:=1;
        ppg.Variables.NOfArray:=ppg.Variables.NOfArray-1;  //ǉƂ肯II
        setLength(ppg.Variables.arrayedVariableIndex,ppg.Variables.NOfArray);

        exit;
      end;
    end;

    ppg.Variables.Variable[varIndex].ArrayedValues[lineCounter]:=d;

  end; // for

  with ppg.Variables do
    updateVariable(varIndex,
                  Variable[varIndex].ArrayedValues[0], microSeconds);
  sleep(200);

  s:='';
  for lineCounter:=0 to sList.Count-2 do begin
    s:=s+sList[lineCounter]+',';
  end;
  s:=s+sList[sList.Count-1];

  ArrayVariableListBox.Items.Add(
       ppg.Variables.Variable[ppg.Variables.arrayedVariableIndex[ppg.Variables.NOfArray-1]].Name
       + ': '

       + ' ('+ IntToStr(ppg.Variables.arrayLength) + ' items; '
       + s + ')'
       );

  with ppg.Variables do
    variableComboBox.Items.Delete(
      variableComboBox.Items.IndexOf(Variable[varIndex].Name)
      );


  randomArrayMemo.Clear;
  sList.Free;

  array_OK:=true;
  arrayVariableGroupBox.Visible:=false;

  linearArrayRadioButton.Visible:=false;
  randomArrayRadioButton.Visible:=false;

end;

procedure TMainForm.randomArrayRadioButtonClick(Sender: TObject);
begin
    randomArrayPanel.Visible:=randomArrayRadioButton.checked;
    randomArrayManualMemo.Visible:=randomArrayRadioButton.checked

end;

procedure TMainForm.Proc_ImagCheckBoxClick(Sender: TObject);
begin
  setPlotProcFIDOption;
end;

procedure TMainForm.Proc_AbsCheckBoxClick(Sender: TObject);
begin
  setPlotProcFIDOption;
end;

procedure setPlotProcFIDOption;
var opt:TPlotFIDOption;
begin
  opt:=[];
  with MainForm do begin
    if Proc_RealCheckBox.Checked then opt:=opt+[FIDReal];
    if Proc_ImagCheckBox.Checked then opt:=opt+[FIDImag];
    if Proc_AbsCheckBox.Checked then opt:=opt+[FIDAbs];
    FID_Proc.plotOption:=opt;
    if FID_Proc.length_2D>0 then begin
      FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
      FID_Proc.drawCursor(FIDProcPaintBox);
    end;
  end; // with MainForm
end;


procedure TMainForm.nacqRadioButton1Click(Sender: TObject);
begin
  if nacqRadioButton1.Checked then begin
    nacqComboBox.Enabled:=false;
    nacq:=1;
  end;
end;

procedure TMainForm.nacqRadioButton2Click(Sender: TObject);
begin
  if nacqRadioButton2.Checked then begin
    nacqComboBox.Enabled:=true;
    nacq:=StrToInt(nacqComboBox.Text);
  end;
end;

procedure TMainForm.nextFIDButtonClick(Sender: TObject);
begin

  if FID_Proc.length_2D<1 then exit;

  Inc(FID_Proc.currentFID);
  if FID_Proc.currentFID>FID_Proc.length_2D-1 then FID_Proc.currentFID:=0;
  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  FID_Proc.drawCursor(FIDProcPaintBox);

  currentFIDEdit.Text:=IntToStr(FID_Proc.currentFID +1);
  currentFIDLabel.Caption:=
                       '/' + IntToStr(FID_Proc.length_2D);
end;

procedure TMainForm.noiseGenerateButtonClick(Sender: TObject);
var
   nal,nal2:integer;
   nrange:single;
   errorPos:integer;
   c1,c2:integer;
   re,im:single;
begin

  Val(noiseAmplitudeEdit.Text,nRange,errorPos);
  if errorPos<>0 then begin
    ShowMessage('Invalid expression for the noise amplitude.');
    exit;
  end;

  nal:=StrToInt(noiseALEdit.Text);
  if (nal<1) or (nal>32768) then begin
    ShowMessage('out of range');
  end;
  nal2:=StrToInt(noiseAL2Edit.Text);
  if (nal2<1) or (nal2>8192) then begin
    ShowMessage('out of range');
  end;


  FIDProcess.free;
  FIDProcess:=TProcessOperations.create;
  ProcessListBox.Clear;

  FID_Proc.free;

  FID_Proc:=TFID_2D.create(1.0,nal);
  FID_Proc.sf1:=100.0;

  for c1:=0 to nal2 - 1 do begin
    FID_Proc.add;
    Randomize;
  for c2:=0 to nal-1 do begin
    noiseGen(re,im,nRange);
    FID_Proc.FID[c1].real.sig[c2]:=re;
    FID_Proc.FID[c1].imag.sig[c2]:=im;
    FID_Proc.FID[c1].abs.sig[c2]:=sqrt(re*re+im*im);
  end;
  end; // c1


   FID_Proc.xPointLeft:=0;
   FID_Proc.xini:=0;
   FID_Proc.xfin:=nal-1;

   FID_Proc.autoscale:=ProcAutoScaleCheckbox.Checked;

   setPlotProcFIDOption;

   setProcFIDStyle;

   // FIDProcPaintBox.Invalidate;

   //FID_Proc.penWidth:=StrToInt(procPenWidthEdit.text);
   FID_Proc.draw(FIDProcPaintBox,FID_Proc.length_2D-1);
   FID_Proc.drawCursor(FIDProcPaintBox);




end;

procedure TMainForm.prevFIDButtonClick(Sender: TObject);
begin
  if FID_Proc.length_2D<1 then exit;

  if FID_Proc.currentFID=0 then FID_Proc.currentFID:=FID_Proc.length_2D-1
                           else Dec(FID_Proc.currentFID);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  FID_Proc.drawCursor(FIDProcPaintBox);

  currentFIDEdit.Text:=IntToStr(FID_Proc.currentFID +1);
  currentFIDLabel.Caption:=
                       '/' + IntToStr(FID_Proc.length_2D);

end;

procedure TMainForm.aliasButtonClick(Sender: TObject);
var k,m,n:integer;
begin
  if FID_Proc.length_2D<>1 then exit;

  n:=StrToInt(aliasNumberEdit.Text);

  for k:=1 to n-1 do begin
    FID_Proc.add;
    for m := 0 to FID_Proc.al - 1 do begin
      FID_Proc.FID[FID_Proc.length_2D-1].real.sig[m]:=
                FID_Proc.FID[0].real.sig[m];
      FID_Proc.FID[FID_Proc.length_2D-1].imag.sig[m]:=
                FID_Proc.FID[0].imag.sig[m];
      FID_Proc.FID[FID_Proc.length_2D-1].abs.sig[m]:=
                FID_Proc.FID[0].abs.sig[m];
    end;
  end;

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);


end;

procedure TMainForm.apodizationApplyButtonClick(Sender: TObject);
var
   w:single;
   newProc:TFIDApodization;
   code:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if apodizationWidthEdit.Text='' then exit;  // ȂI

  Val(apodizationWidthEdit.Text, w, Code);
  { Error during conversion to integer? }
  if Code <> 0 then begin
    ShowMessage('Invalid expression at position: '+ IntToStr(Code));
    exit;
  end;

  if w=0 then exit; //

  newProc:=TFIDApodization.create;
  newProc.width:=w;

  if GaussianRadioButton.Checked then newProc.apType:=Gaussian
  else if LorenzianRadioButton.Checked then newProc.apType:=Lorenzian
  else if sincRadioButton.Checked then newProc.apType:=Sinc;


  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(Apodization);
  TFIDApodization(FIDProcess.Items[FIDProcess.Count-1]).width:=w;
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);

  newProc.Free;
end;

procedure TMainForm.apodizationWidthEditKeyPress(Sender: TObject;
  var Key: Char);
begin
  if not charInSet(Key, ['0'..'9','.',#08]) then Key:=#0;
end;




procedure TMainForm.appendApplyButtonClick(Sender: TObject);
var pr,pi: integer;
    dr,di: single;
    k: integer;
begin
  if FID_Proc.length_2D<1 then exit;
  if FID_Proc.length_2D>1 then begin
    ShowMessage('Sorry, this operation can be used only for non-arrayed data.');
    exit;
  end;

  Val(appendRealEdit.Text,dr,pr);
  Val(appendImagEdit.Text,di,pi);

  if (pr<>0) or (pi<>0) then begin
    ShowMessage('Invalid expression.');
    exit;
  end;

  FID_Proc.al:=FID_Proc.al+1;

  ProcIniTrackBar.Max:=FID_Proc.al-1;
  ProcFinTrackBar.Max:=FID_Proc.al-1;

  if appendRadioButton.Checked then begin
    FID_Proc.FID[0].real.sig[FID_Proc.al-1]:=dr;
    FID_Proc.FID[0].imag.sig[FID_Proc.al-1]:=di;
    FID_Proc.FID[0].abs.sig[FID_Proc.al-1]:=sqrt(dr*dr+di*di);

    ProcFinTrackBar.Position:=ProcFinTrackBar.Max;

  end else begin
    for k:=FID_Proc.al-1 downto 1 do begin //܂f[^߂ĂEEE
      FID_Proc.FID[0].real.sig[k]:=FID_Proc.FID[0].real.sig[k-1];
      FID_Proc.FID[0].imag.sig[k]:=FID_Proc.FID[0].imag.sig[k-1];
      FID_Proc.FID[0].abs.sig[k]:=FID_Proc.FID[0].abs.sig[k-1];
    end;  //for
    // ɍŏɃf[^
    FID_Proc.FID[0].real.sig[0]:=dr;
    FID_Proc.FID[0].imag.sig[0]:=di;
    FID_Proc.FID[0].abs.sig[0]:=sqrt(dr*dr+di*di);

    ProcIniTrackBar.Position:=ProcIniTrackBar.Min;
    if ProcFinTrackBar.Position=ProcFinTrackBar.Max-1 then
        ProcFinTrackBar.Position:=ProcFinTrackBar.Max;

  end; // if

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);


end;



procedure TMainForm.appendFIDButtonClick(Sender: TObject);
var
  s:string;
  a:cardinal;
begin
  if FID_Proc.length_2D<1 then exit;
  s:=FID_Proc.fileName;
  a:=FID_Proc.al;

  if ReadFIDOpenDialog.Execute then begin
    FID_Proc.Readsm2pFile(ReadFIDOpenDialog.FileName);
           // Ńt@C͍XVĂ͂B

    if FID_proc.al<>a then begin
      FID_Proc.Readsm2pFile(s);  // ƂɂǂB
      ShowMessage('Cannot append data with different AL.');
      exit;
    end;

    //

    FID_Proc.Readsm2dFile(FID_Proc.fileName);
          // t@C͍XVĂ͂B

    //parMemo.Lines.Add('length_2D='+IntToStr(FID_Proc.length_2D));

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
    currentFIDLabel.Caption:=IntToStr(FID_Proc.currentFID +1)
                + '/' + IntToStr(FID_Proc.length_2D);



  end; // if



end;

procedure TMainForm.returnValueArrayButtonClick(Sender: TObject);
var
   re,im: single;
   st,sre,sim,sab,sph:string;
   k:integer;
begin
  if FID_Proc.length_2D<1  then exit;

  returnValueArrayMemo.Clear;
  with FID_Proc do begin
    for k := 0 to length_2D - 1 do begin

      re:= FID[k].real.sig[latestClickedXPosition];
      im:= FID[k].imag.sig[latestClickedXPosition];
      sre:= FloatToStrF(re,ffGeneral,5,5);
      sim:= FloatToStrF(im,ffGeneral,5,5);
      sab:= FloatToStrF(FID[k].abs.sig[latestClickedXPosition],ffGeneral,5,5);
      sph:= FloatToStrF(ArcTan2(im,re)*180.0/3.1415926535,ffGeneral,5,5);
      st:= sre+' '+sim+' '+sab+ ' '+sph;

      returnValueArrayMemo.Lines.Add(st);

    end;
   end;
end;

procedure TMainForm.returnValueMemoChange(Sender: TObject);
begin
  if returnValueMemo.Lines.Count=200 then returnValueMemo.Lines.Delete(0);
  returnValueMemo.Perform(EM_LINESCROLL, 0, 200)

end;

procedure TMainForm.reverseFIDOrderButtonClick(Sender: TObject);
begin
  FID_Proc.reverse;
  FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
end;

procedure TMainForm.SpeedButton3Click(Sender: TObject);
begin
  if PPGMemo.Modified then begin
    if MessageDlg('Are you sure to discard the current texts without saving?',
         mtConfirmation, [mbYes, mbNo], 0) = mrNo then exit;
  end;

  PPGMemo.Clear;
  PPGMemo.Modified:=false;
  PPGFileNameDefined:=false;

  EditorHistoryListBox.ItemIndex:=-1;
  currentFileNameLabel.caption:='';
  currentPPGFileName:='';

end;

//------------------------------------------------------------------------------

procedure TMainForm.divideAndStackButtonClick(Sender: TObject);
var al2, c, k, i, n, nOfdiv: cardinal;
    newFID:TFID_2D;
    st:TStrings;
    sf1:single;
begin

  if FID_Proc.length_2D<1 then exit;

  nOfdiv:=StrToInt(divideAndStackEdit.Text);
  al2:=FID_Proc.al div nOfDiv;

  newFID:=TFID_2D.create(FID_Proc.dw, al2);
    // dw͂̂܂܁Aal -> al2ĂVFID_2D𐶐
  sf1:=FID_Proc.sf1;

  for k:=0 to FID_Proc.length_2D-1 do begin
    newFID.add;
    n:=0;

    for i:=0 to nOfDiv-1 do begin

      for c:=0 to al2-1 do begin
        newFID.FID[k].real.sig[c]:=
            newFID.FID[k].real.sig[c] + FID_Proc.FID[k].real.sig[n];
        newFID.FID[k].imag.sig[c]:=
            newFID.FID[k].imag.sig[c] + FID_Proc.FID[k].imag.sig[n];
        newFID.FID[k].abs.sig[c]:=
            sqrt(
            newFID.FID[k].real.sig[c]*newFID.FID[k].real.sig[c] +
            newFID.FID[k].imag.sig[c]*newFID.FID[k].imag.sig[c]
            );

        if n<FID_Proc.length_2D-2 then n:=n+1;
      end; // c

    end; // i

  end; // k



  st:=TStringList.Create;
  st.Add('point='+intToStr(al2));
  st.Add('dw='+floatToStr(newFID.dw));
  st.Add('sf1='+floatToStr(sf1));

  st.SaveToFile(ChangeFileExt(Fid_Proc.fileName,'')+'_'+IntToStr(nOfDiv)+'.sm2p');
  st.Free;

  newFID.saveMode:=smBinary;
  newFID.SaveToFile(ChangeFileExt(Fid_Proc.fileName,'')+'_'+IntToStr(nOfDiv)+'.sm2d');



end;

//------------------------------------------------------------------------------

procedure TMainForm.DivideFIDButtonClick(Sender: TObject);
var newProc:TFIDDivideFID;
begin
  if FID_Proc.length_2D<1 then exit;  //

  if ReadFIDOpenDialog.Execute then begin

    newProc:=TFIDDivideFID.create;
    newProc.parFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2p');
    newProc.datFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2d');

    if newProc.Process(FID_Proc)<>0 then begin // error
      ShowMessage(newProc.errorMessage);
      newProc.Free;
      exit;
    end;

    FIDProcess.Add(DivideFID);
    TFIDDivideFID(FIDProcess.Items[FIDProcess.Count-1]).parFilename:=newProc.parFilename;
    TFIDDivideFID(FIDProcess.Items[FIDProcess.Count-1]).datFilename:=newProc.datFilename;
    ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);

    newProc.Free;

  end;
end;

//------------------------------------------------------------------------------
procedure TMainForm.divideScalarButtonClick(Sender: TObject);
var
   a:single;
   newProc:TFIDDivideScalar;
   code:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if divideScalarEdit.Text='' then exit;  // ȂI

  Val(divideScalarEdit.Text, a, Code);
  { Error during conversion to integer? }
  if Code <> 0 then begin
    ShowMessage('Multiply scalar: Invalid expression.');
    exit;
  end;

  if a=1.0 then exit; //

  newProc:=TFIDDivideScalar.create;
  newProc.scalar:=a;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(divideScalar);
  TFIDDivideScalar(FIDProcess.Items[FIDProcess.Count-1]).scalar:=a;
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);

  newProc.free;

end;
//------------------------------------------------------------------------------
procedure TMainForm.EditorHistoryListBoxClick(Sender: TObject);
begin
  if EditorHistoryListBox.ItemIndex=-1 then exit;
  if FileHistory[EditorHistoryListBox.ItemIndex]=currentPPGfilename then exit;

  if not fileExists(FileHistory[EditorHistoryListBox.ItemIndex]) then begin
    ShowMessage('File '+ FileHistory[EditorHistoryListBox.ItemIndex]
       + ' does not exist.');

    FileHistory.Delete(EditorHistoryListBox.ItemIndex);
    EditorHistoryListBox.Items.Delete(EditorHistoryListBox.ItemIndex);
    exit;
  end;


  if PPGMemo.Modified then begin
    if MessageDlg(ExtractFileName(currentPPGfilename)+
     ' has been modified. Are you sure to discard it?'
                          ,
         mtConfirmation, [mbYes, mbNo], 0) = mrNo then begin
           EditorHistoryListBox.ItemIndex:=FileHistory.IndexOf(currentPPGFileName);
           exit;
         end;
  end;

  currentPPGFilename:=FileHistory[EditorHistoryListBox.ItemIndex]; // path included
  PPGMemo.lines.LoadFromFile(currentPPGFileName);
  compileButton.Enabled:=true;
  ppgFilePath:=ExtractFilePath(currentPPGFileName);
  ppgFileNameDefined:=true;
  ppgSaveBtn.Enabled:=false;

  currentFileNameLabel.Caption:=currentPPGFileName;

end;

procedure TMainForm.Button2Click(Sender: TObject);
var
  proc:TFIDLongitudinalZeroFill;
begin
  proc:=TFIDLongitudinalZeroFill.Create;
  proc.points:=1;
  proc.Process(FID_Proc);
  proc.Free;

  currentFIDLabel.Caption:=IntToStr(FID_Proc.currentFID +1)
                + '/' + IntToStr(FID_Proc.length_2D);
end;

procedure TMainForm.Button3Click(Sender: TObject);
begin
  if ReadFIDOpenDialog.Execute then begin

    FID_Proc.ReadVnmrFile(ReadFIDOpenDialog.FileName);

  end;

end;



procedure TMainForm.styleSetButtonClick(Sender: TObject);
begin
  StyleSettingForm.acqRadioButton.checked:=true;
  StyleSettingForm.ShowModal;
end;

procedure TMainForm.Button5Click(Sender: TObject);
begin
  if TextFIDDataOpenDialog.Execute then begin
    if FileExists(TextFIDDataOpenDialog.FileName) then
      { if it exists, load the data into the memo box }
      createFIDFromTextMemo.Lines.LoadFromFile(TextFIDDataOpenDialog.FileName)
    else
      { otherwise raise an exception }
      raise Exception.Create('File does not exist.');

  end;
end;

procedure TMainForm.createFIDFromTextButtonClick(Sender: TObject);
var
   dw,sf1,a:single;   s,t:string;
   code:integer;
   c, p, al: integer;
   re,im: array of single;
begin

  if createFIDFromTextsf1Edit.Text='' then begin
    ShowMessage('sf1 is Empty.');
    exit;  // ȂI
  end;

  if createFIDFromTextDwEdit.Text='' then begin
    ShowMessage('dw is empty.');
    exit;  // ȂI
  end;

  if createFIDFromTextMemo.Lines.Count=0 then begin
    ShowMessage('Text data is empty.');
    exit;  // ȂI
  end;

  Val(createFIDFromTextsf1Edit.Text, a, Code);
  { Error during conversion to integer? }
  if Code <> 0 then begin
    ShowMessage('sf1: Invalid expression.');
    exit;
  end;
  sf1:=a;

  Val(createFIDFromTextDwEdit.Text, a, Code);
  { Error during conversion to integer? }
  if Code <> 0 then begin
    ShowMessage('dw: Invalid expression.');
    exit;
  end;
  dw:=a;

  al:=0;
  while al<createFIDFromTextMemo.Lines.Count do begin
    setLength(re,al+1); setLength(im,al+1);
    c:=0;
    p:=0;
    s:=Trim(createFIDFromTextMemo.Lines.Strings[al]);
    t:='';
    while (c<=length(s)) and (s<>'') do begin
      inc(c);
      if (s[c]<>' ') and (s[c]<>#8) and (s[c]<>'@') then t:=t+s[c];
      if (s[c]=' ') or (s[c]=#8) or (s[c]='@') or (c=length(s)) then begin
        if t<>'' then begin
          Val(t,a,Code);
          if Code<>0 then begin ShowMessage('Invalid expression: ' + t); exit; end;
          if p=0 then re[al]:=a else if p=1 then im[al]:=a else begin
            ShowMessage('Too many columns?');
            exit;
          end;
          t:='';
          inc(p);
        end;
      end;
    end; // while

    if (p<2) and (s<>'') then begin ShowMessage('Data column missing?'); exit; end;

    inc(al);
  end; // while

  FIDProcess.free;
  FIDProcess:=TProcessOperations.create;
  ProcessListBox.Clear;

  FID_Proc.free;
  FID_Proc:=TFID_2D.create(dw,al);

  FID_Proc.add;
  FID_Proc.sf1:=sf1;
  FID_Proc.dw:=dw;

  for c:=0 to al-1 do begin
    FID_Proc.FID[0].real.sig[c]:=re[c];
    FID_Proc.FID[0].imag.sig[c]:=im[c];
    FID_Proc.FID[0].abs.sig[c]:=sqrt(re[c]*re[c]+im[c]*im[c]);
  end;


   FID_Proc.xPointLeft:=0;
   FID_Proc.xini:=0;
   FID_Proc.xfin:=al-1;

   FID_Proc.autoscale:=ProcAutoScaleCheckbox.Checked;

   setPlotProcFIDOption;

   setProcFIDStyle;

   // FIDProcPaintBox.Invalidate;

   //FID_Proc.penWidth:=StrToInt(procPenWidthEdit.text);
   FID_Proc.draw(FIDProcPaintBox,FID_Proc.length_2D-1);
   FID_Proc.drawCursor(FIDProcPaintBox);


end;

procedure TMainForm.createFIDFromTextMemoClearButtonClick(Sender: TObject);
begin
  createFIDFromTextMemo.Lines.Clear;
end;

procedure TMainForm.absMaxButtonClick(Sender: TObject);
var k,amx: integer;
    st:string;
    gamma:double;
    f:double;
begin
  if FID_Proc.length_2D<1  then exit;

  returnValueArrayMemo.Clear;
  st:='';

  gamma:=StrToFloat(fmGyromagneticRatioEdit.Text);
  f:=StrToFloat(fmCarrierFreqEdit.Text);

  fmMemo.Clear;

  with FID_Proc do begin
    for k := 0 to length_2D - 1 do begin
      amx:=FID[k].abs.AbsMaxPoint(0,al-1);

      st:=FloatToStr( (f + 0.5/dw-amx/(dw*al))/gamma);
      fmMemo.Lines.Add(st);

    //  st:=st+ FloatToStrF(0.5/dw-amx/(dw*al),
    //                        ffGeneral,5,5)+ ' ';

      //st:= IntToStr(k);

    end;
   end;

  
end;

procedure TMainForm.AcqPhaseEditKeyPress(Sender: TObject; var Key: Char);
var a,rot_angle: single;
    code:integer;
begin
  if FID_2D.length_2D<1 then begin AcqPhaseEdit.Text:='0'; exit; end;
  if not charInSet(Key, ['0'..'9','.',#08,#13]) then Key:=#0;
  if Key=#13 then begin
    Key:=#0;   // stop the beep sound!
    Val(AcqPhaseEdit.Text,a,code);
    if code<>0 then begin
      ShowMessage('Acq Phase: Invalid number.');
      exit;
    end;
    rot_angle:= a - FID_2D.acqPhase;
    FID_2D.acqPhase:=FID_2D.acqPhase+rot_angle;
    AcqPhaseProc.angle:=rot_angle;
    AcqPhaseProc.Process(FID_2D);
    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
    FID_2D.drawCursor(FIDPaintBox);
  end;
end;

procedure TMainForm.AcqPhaseUpDownClick(Sender: TObject; Button: TUDBtnType);
var rot_angle:single;
begin
    rot_angle:= StrToFloat(AcqPhaseEdit.Text) - FID_2D.acqPhase;
    FID_2D.acqPhase:=FID_2D.acqPhase+rot_angle;
    AcqPhaseProc.angle:=rot_angle;
    AcqPhaseProc.Process(FID_2D);
    FID_2D.draw(FIDPaintBox,FID_2D.length_2D-1);
    FID_2D.drawCursor(FIDPaintBox);
end;

procedure TMainForm.AddFIDButtonClick(Sender: TObject);
var newProc:TFIDAddFID;
    weight:single;
    errorPos:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //

  Val(weightingFactorEdit.Text,weight,errorPos);
  if errorPos<>0 then begin
    ShowMessage('Invalid expression for the weighting factor');
    exit;
  end;
  if weight=0 then exit;


  if ReadFIDOpenDialog.Execute then begin

    newProc:=TFIDAddFID.create(weight);
    newProc.parFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2p');
    newProc.datFilename:=ChangeFileExt(ReadFIDOpenDialog.FileName,'.sm2d');

    if newProc.Process(FID_Proc)<>0 then begin // error
      ShowMessage(newProc.errorMessage);
      newProc.Free;
      exit;
    end;

    FIDProcess.Add(AddFID);
    TFIDAddFID(FIDProcess.Items[FIDProcess.Count-1]).parFilename:=newProc.parFilename;
    TFIDAddFID(FIDProcess.Items[FIDProcess.Count-1]).datFilename:=newProc.datFilename;
    TFIDAddFID(FIDProcess.Items[FIDProcess.Count-1]).weight:=newProc.weight;
    ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);

    newProc.Free;

  end;
end;

procedure TMainForm.phase_p1Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase0(1.0);
end;

procedure TMainForm.phase_m1Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase0(-1.0);
end;

procedure TMainForm.phase_pz1Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase0(0.1);
end;

procedure TMainForm.phase_mz1Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase0(-0.1);
end;

procedure TMainForm.LTButtonClick(Sender: TObject);
var newProc:TFIDLT;
    s:string;
    a:single;
    p:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //

  s:=Trim(LaplaceAEdit.Text);

  Val(s,a,p);
  if p<>0 then begin
    ShowMessage('"a" must be a number.');
    exit;
  end;

  newProc:=TFIDLT.Create;
  newProc.a:=a;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(LT);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);

  newProc.Free;
end;

procedure TMainForm.ILTButtonClick(Sender: TObject);
var newProc:TFIDILT;
    s:string;
    a:single;
    p:integer;
begin
  if FID_Proc.length_2D<1 then exit;  //
  s:=Trim(LaplaceAEdit.Text);

  Val(s,a,p);
  if p<>0 then begin
    ShowMessage('"a" must be a number.');
    exit;
  end;

  newProc:=TFIDILT.Create;
  newProc.a:=a;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FIDProcess.Add(ILT);
  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
  newProc.Free;
end;

procedure TMainForm.getBuildNumberButtonClick(Sender: TObject);

begin

    if not rsOpenQ then exit;

    //buildNumberEdit.Text:='Inquiring...';
    interfacePageControl.ActivePageIndex:=0;

    outBuffer[0]:=Byte('V');
    outBuffer[1]:=Byte(#13);
    FT_Write(pulserHandle,@outBuffer,2,@WR);

   // sleep(500);

   // buildNumberEdit.Text:=USBRx.thirdlastSentense;

end;

procedure TMainForm.getCLKFreqButtonClick(Sender: TObject);

begin

    if not rsOpenQ then exit;

    //clkFreqEdit.Text:='Inquiring...';
    interfacePageControl.ActivePageIndex:=0;

    outBuffer[0]:=Byte('C');
    outBuffer[1]:=Byte(#13);
    FT_Write(pulserHandle,@outBuffer,2,@WR);

    //sleep(500);

    //clkFreqEdit.Text:=USBRx.secondlastSentense;

end;

procedure TMainForm.getCurrentFIDButtonClick(Sender: TObject);
var k:integer;
    wfn:string;
    xi,xf,xp:cardinal;
    recentPlotScale: single;
begin
   if FID_2D.length_2D<1 then exit;

   ProcFIDFileNameLabel.Caption:='This is the latest acquired data.';

   wfn:=ExtractFilePath(Application.ExeName)+'temporaryFID.sm2d';
   FID_2D.SaveToFile(wfn);

   xp:=FID_Proc.xPointLeft;
   xi:=FID_Proc.xini;
   xf:=FID_Proc.xfin;

   if FID_Proc.length_2D>0 then
     recentPlotScale:=FID_Proc.plotScale // ÕXP[L
   else recentPlotScale:=1;

   FID_Proc.free;
   FID_Proc:=TFID_2D.create(FID_2D.dw,FID_2D.AL);
   FID_Proc.sf1:=FID_2D.sf1;
   FID_Proc.Readsm2dFile(wfn);

   FID_Proc.xPointLeft:=xp;
   FID_Proc.xini:=xi;
   FID_Proc.xfin:=xf;

   FID_Proc.plotScale:=recentPlotScale;
   FID_Proc.autoscale:=ProcAutoScaleCheckbox.Checked;

   setPlotProcFIDOption;

   FIDProcInit;

   setProcFIDStyle;

   if AutoProcessCheckBox.Checked then begin
      for k:=0 to FIDProcess.Count-1 do begin
        if FIDProcess.Items[k].Process(FID_Proc)<>0 then begin
          PageControl2.ActivePageIndex:=0;
           {G[bZ[W^uO}
          errorMessageMemo.Font.Color:=clRed;
          errorMessageMemo.Clear;
          errorMessageMemo.Lines.Add('Data-process error:');
          errorMessagememo.Lines.Add(FIDProcess.Items[k].errorMessage);
          exit;
        end; // if
      end;

      FIDProcPaintBox.Invalidate;
      ProcIniTrackbar.Max:=FID_Proc.al-1;
      ProcFinTrackbar.Max:=FID_Proc.al-1;

    end else begin
      FIDProcess.free;
      FIDProcess:=TProcessOperations.create;
      ProcessListBox.Clear;
    end;
end;


procedure TMainForm.GPIBTerminalMemoChange(Sender: TObject);
begin
  if GPIBTerminalMemo.Lines.Count=200 then GPIBTerminalMemo.Lines.Delete(0);
  GPIBTerminalMemo.Perform(EM_LINESCROLL,0,200);
end;

procedure TMainForm.GPIBTerminalMemoKeyPress(Sender: TObject; var Key: Char);
var t:string;
    n: integer;
    com: string;
begin

    t:=GPIBTerminalMemo.Lines[GPIBTerminalMemo.Lines.Count-1];
    n:=Length(t);
    if key=#13 then begin

       if GPIBCallInProgress = FALSE then begin
           GPIBCallInProgress := TRUE;
           com:=Trim(Copy(Uppercase(t),2,Length(t)));
           GPIB_WriteCommand (com+#13+#10);
         //  sleep(1);
           GPIB_WriteCommand (#13);

        //   GPIB_ReadValue;
           GPIBTerminalMemo.Lines.Add('');
           GPIBTerminalMemo.Lines[GPIBTerminalMemo.Lines.Count-1]:='$';
           GPIBCallInProgress := FALSE;
       end;

    end else if key=#08 then begin
      if n>1 then GPIBTerminalMemo.Lines[GPIBTerminalMemo.Lines.Count-1]:=Copy(t,1,n-1);
    end else
      GPIBTerminalMemo.Lines[GPIBTerminalMemo.Lines.Count-1]
        :=GPIBTerminalMemo.Lines[GPIBTerminalMemo.Lines.Count-1]+key;
end;



procedure TMainForm.rootMatrixApplyButtonClick(Sender: TObject);
var newProc:THausholder;
begin
  if FID_Proc.length_2D<1 then exit;
  if FID_Proc.length_2D<>FID_Proc.al then begin
    showMessage('This operation is applicable to a square matrix');
  end;

  newProc:=THausholder.create;

  newProc.hausholder_2(FID_Proc,rootProgressBar);
//  if newProc.Process(FID_Proc)<>0 then begin
//    ShowMessage(newProc.errorMessage);
//    newProc.Free;
//    exit;
//  end;

//  FIDProcess.Add(Hausholder);

//  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  newProc.Free;

end;

procedure TMainForm.sqrTestButtonClick(Sender: TObject);
var newProc:THausholder;
begin
  if FID_Proc.length_2D<1 then exit;
  if FID_Proc.length_2D<>FID_Proc.al then begin
    ShowMessage('This operation is applicable to a square matrix');
    exit;
  end;

  newProc:=THausholder.create;

  newProc.sqr(FID_Proc);

//  if newProc.sqr(FID_Proc)<>0 then begin
//    ShowMessage(newProc.errorMessage);
//    newProc.Free;
//    exit;
//  end;

//  FIDProcess.Add(inverseHausholder);

 // ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  newProc.Free;

end;

procedure FIDProcInit;
begin
  with MainForm do begin
    {-- tentative code --}
//    parMemo.Clear;
//    parMemo.Lines.Add('sf1='+FloatToStrF(FID_Proc.sf1,ffGeneral,9,3));
//    parMemo.Lines.Add('dw='+FloatToStr(FID_Proc.dw));
//    parMemo.Lines.Add('al='+IntToStr(FID_Proc.al));
    {--------------------}

//    parMemo.Lines.Add('length_2D='+IntToStr(FID_Proc.length_2D));

    FID_Proc.currentFID:=0;


    currentFIDEdit.Text:=IntToStr(FID_Proc.currentFID +1);
    currentFIDLabel.Caption:=
                       '/' + IntToStr(FID_Proc.length_2D);


    ProcIniTrackBar.Max:=FID_Proc.al-1;
    ProcFinTrackBar.Max:=FID_Proc.al-1;
   // ProcFinTrackBar.Position:=FID_Proc.al-1;


    //FID_Proc.penWidth:=StrToInt(procPenWidthEdit.text);
    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);
  end; // with MainForm
end;


procedure TMainForm.currentFIDEditKeyPress(Sender: TObject; var Key: Char);
var c:cardinal;
begin
  if not charInSet(Key, ['0'..'9',#08,#13]) then Key:=#0;
  if Key=#13 then begin
    Key:=#0;   // Erase beep sound!

    if FID_Proc.length_2D<1 then begin currentFIDEdit.Text:=''; exit; end;
    c:=StrToInt(currentFIDEdit.Text);
    if c>FID_Proc.length_2D then c:=FID_Proc.length_2D;
    if c<1 then c:=1;

    currentFIDEdit.Text:=IntToStr(c);

    FID_Proc.currentFID:=c-1;

    FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);
    currentFIDLabel.Caption := // IntToStr(FID_Proc.currentFID +1) +
                               '/' + IntToStr(FID_Proc.length_2D);

  end;
end;


procedure TMainForm.cutHeadApplyButtonClick(Sender: TObject);
var newProc:TFIDCutHead;
    p:cardinal;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if cutHeadEdit.Text='' then exit;  // ȂI

  p:=StrToInt(cutHeadEdit.Text);
  if p=0 then exit; //

   newProc:=TFIDCutHead.Create;
   newProc.points:=p;

   if newProc.Process(FID_Proc)<>0 then begin
     ShowMessage('You are trying to cut more points than possible.');
     newProc.Free;
     exit;
   end;


   if (FIDProcess.Count>0) and
       (FIDProcess.Items[FIDProcess.Count-1].mode=CutHead) then begin

     with TFIDCutHead(FIDProcess.Items[FIDProcess.Count-1]) do begin
       points:=points+p;
       ProcessListBox.Items[ProcessListBox.Count-1]:=
         IntToStr(FIDProcess.Count)+': '+caption;
     end; // with
   end else begin
     FIDProcess.Add(cutHead);
     TFIDCutHead(FIDProcess.Items[FIDProcess.Count-1]).points:=p;
     ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);
   end;


   ProcIniTrackBar.Max:=FID_Proc.al-1;
   ProcFinTrackBar.Max:=FID_Proc.al-1;

   if FID_Proc.xfin>FID_Proc.al-1 then FID_Proc.xfin:= FID_Proc.al-1;

   FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);




   newProc.Free;
end;

procedure TMainForm.CutHeadEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

procedure TMainForm.CutTailEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

procedure TMainForm.CutTailApplyButtonClick(Sender: TObject);
var newProc:TFIDCutTail;
    p:cardinal;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if cutTailEdit.Text='' then exit;  // ȂI

  p:=StrToInt(cutTailEdit.Text);
  if p=0 then exit; //

   newProc:=TFIDCutTail.Create;
   newProc.points:=p;

   if newProc.Process(FID_Proc)<>0 then begin
     ShowMessage('You are trying to cut more points than possible.');
     newProc.Free;
     exit;
   end;

   if (FIDProcess.Count>0) and
      (FIDProcess.Items[FIDProcess.Count-1].mode=cutTail) then begin
     with TFIDCutTail(FIDProcess.Items[FIDProcess.Count-1]) do begin
       points:=points+p;
       ProcessListBox.Items[ProcessListBox.Count-1]:=
         IntToStr(FIDProcess.Count)+': '+caption;
     end; // with
   end else begin
     FIDProcess.Add(cutTail);
     TFIDCutTail(FIDProcess.Items[FIDProcess.Count-1]).points:=p;
     ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);
   end;


   ProcIniTrackBar.Max:=FID_Proc.al-1;
   ProcFinTrackBar.Max:=FID_Proc.al-1;

   if FID_Proc.xfin>FID_Proc.al-1 then FID_Proc.xfin:= FID_Proc.al-1;

   FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);




   newProc.Free;

end;

procedure TMainForm.ZeroFillEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

procedure TMainForm.ZeroFillComboBoxKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08]) then Key:=#0;
end;

procedure TMainForm.ZeroFillComboBoxDropDown(Sender: TObject);
var
  newProc: TProcessElement;
  p:cardinal;
begin
   ZeroFillComboBox.Items.Clear;
   If FID_Proc.length_2D<1 then exit;

   newProc:=TFIDZeroFill.Create;
   p:=next2pow(FID_Proc.FID[0]);

   while p<=32768 do begin
     ZeroFillComboBox.Items.Add(IntToStr(p));
     p:=p*2;
   end;



   newProc.Free;
end;

procedure TMainForm.ZeroFillApplyButtonClick(Sender: TObject);
var newProc:TFIDZeroFill;
    p:cardinal;
begin
  if FID_Proc.length_2D<1 then exit;  //
  if ZeroFillEdit.Text='' then exit;  // ȂI

  p:=StrToInt(ZeroFillEdit.Text);
  if p=0 then exit; //

  newProc:=TFIDZeroFill.Create;
  newProc.points:=p;

  if zerofillAppendRadioButton.Checked then newProc.zeroFillMode:=zfAppend
  else newProc.zeroFillMode:=zfPrepend;

  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;


  if (FIDProcess.Count>0) and
      (FIDProcess.Items[FIDProcess.Count-1].mode=ZeroFill) then begin

     with TFIDZeroFill(FIDProcess.Items[FIDProcess.Count-1]) do begin
       points:=points+p;
       ProcessListBox.Items[ProcessListBox.Count-1]:=
         IntToStr(FIDProcess.Count)+': '+caption;
     end; // with
   end else begin
     FIDProcess.Add(ZeroFill);
     TFIDZeroFill(FIDProcess.Items[FIDProcess.Count-1]).points:=p;
     ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);
   end;


   ProcIniTrackBar.Max:=FID_Proc.al-1;
   ProcFinTrackBar.Max:=FID_Proc.al-1;
   ProcFinTrackBar.Position:=ProcFinTrackBar.Max;

   ZeroFillEdit.Text:='0';

   if FID_Proc.xfin>FID_Proc.al-1 then FID_Proc.xfin:= FID_Proc.al-1;

   FID_Proc.draw(FIDProcPaintBox, FID_Proc.currentFID);




   newProc.Free;
end;

procedure TMainForm.ZeroFillEditChange(Sender: TObject);
begin
  ZeroFillComboBox.Text:='';
end;

procedure TMainForm.ZeroFillComboBoxChange(Sender: TObject);
begin
   If ZeroFillCombobox.ItemIndex>-1 then
     ZeroFillEdit.Text:=IntToStr(Cardinal(StrToInt(ZeroFillCombobox.Text))-FID_Proc.al);
end;

procedure TMainForm.ProcAutoScaleCheckBoxClick(Sender: TObject);
begin
  FID_Proc.autoscale:=ProcAutoScaleCheckBox.Checked;
  ProcFIDScaleUpButton.Enabled:= not ProcAutoScaleCheckBox.Checked;
  ProcFIDScaleDownButton.Enabled:= not ProcAutoScaleCheckBox.Checked;

  if FID_Proc.length_2D>0 then begin
    FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
    FID_Proc.drawCursor(FIDProcPaintBox);
  end;
end;

procedure TMainForm.ProcessListBoxClick(Sender: TObject);
begin
  with ProcessListBox do begin
    if ItemIndex>-1 then Hint:=Items[ItemIndex];
  end;
end;

procedure TMainForm.procVOffsetScrollBarChange(Sender: TObject);
begin

  if FID_Proc.Length_2D<1 then exit;

  FID_Proc.vOffset:=
    (procVOffsetScrollBar.Position-500.0)/1000.0;
  FID_Proc.draw(FIDProcPaintBox,FID_Proc.currentFID);
  FID_Proc.drawCursor(FIDProcPaintBox);

end;

procedure TMainForm.SetPivotCheckBoxClick(Sender: TObject);
begin
  if FID_Proc.length_2D<1 then begin
    SetPivotCheckBox.Checked:=false;
    SetPivotLabel.Visible:=false;
    exit;
  end;

//  if FID_Proc.FID[FID_Proc.currentFID].domain=dmTime then begin
//    SetPivotCheckBox.Checked:=false;
//    SetPivotLabel.Visible:=false;
//    exit;
//  end;

  if SetPivotCheckBox.checked then SetPivotLabel.Visible:=true;

end;

procedure TMainForm.SetPivotEditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9',#08,#13]) then Key:=#0;
  if key=#13 then begin
    Key:=#0;   // Erase beep sound!
    PivotApplyButton.Click;
  end;

end;

procedure TMainForm.ShowHideInterfaceButtonClick(Sender: TObject);
begin
  If InterfacePanel.Height>0 then begin
    InterfacePanel.Height:=0;
    ShowHideInterfaceButton.Caption:='Show interface';
  end else begin
    InterfacePanel.Height:=150;
    ShowHideInterfaceButton.Caption:='Hide interface';
  end;
end;

procedure TMainForm.sigmaNButtonClick(Sender: TObject);
var st:TStrings;
    sigmaPh:double;
    k:integer;
begin
  if FID_Proc.length_2D<1 then exit;

  if AmpPhaseExportSaveDialog.Execute then begin
    st:=TStringList.Create;
    for k := 1 to FID_Proc.al - 1 do begin

      sigmaPh:=FID_Proc.FID[FID_Proc.currentFID].phaseStandardDeviation(0,k);
      st.Add(IntToStr(k+1) + '   ' + FloatToStr(sigmaPh));

    end;
    st.SaveToFile(AmpPhaseExportSaveDialog.FileName);
    st.Free;
  end;
end;

procedure TMainForm.snrButtonClick(Sender: TObject);
var a,s,sn:double;
begin
  if FID_Proc.length_2D<>1 then exit;

  a:=FID_Proc.FID[0].real.average;
  s:=FID_Proc.FID[0].real.standardDeviation;
  sn:=a/s;

  SNRMemo.Lines.Add('average: ' + FloatToStr(a)
            + ' standard deviation: ' + FloatToStr(s)
            + ' SNR: ' + FloatToStr(sn));

end;

procedure TMainForm.PivotApplyButtonClick(Sender: TObject);
var newProc:TPivot;
    pp:cardinal;
begin
  if not setPivotCheckBox.Checked then exit;
  if setPivotEdit.Text='' then exit;
  if FID_Proc.length_2D<1 then exit;

  newProc:=TPivot.Create;
  pp:=StrToInt(setPivotEdit.Text);
  newProc.point:=pp;

  newProc.Process(FID_Proc);


   if (FIDProcess.Count>0) and
       (FIDProcess.Items[FIDProcess.Count-1].mode=Pivot) then begin

     with TPivot(FIDProcess.Items[FIDProcess.Count-1]) do begin
       point:=pp;
       ProcessListBox.Items[ProcessListBox.Count-1]:=
         IntToStr(FIDProcess.Count)+': '+caption;
     end; // with
   end else begin
     FIDProcess.Add(Pivot);
     TPivot(FIDProcess.Items[FIDProcess.Count-1]).point:=pp;
     ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);
   end;



  newProc.Free;

  setPivotLabel.Visible:=false;
  setPivotCheckBox.Checked:=false;
  
end;

procedure TMainForm.phase1_p10Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase1(10.0);
end;

procedure TMainForm.phase1_p1Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase1(1.0);
end;





procedure TMainForm.pcwApplyButtonClick(Sender: TObject);
var newProc:TPCW;
begin
  if FID_Proc.length_2D<2 then exit;

  newProc:=TPCW.create;

  if pcwManualRotationCheckbox.Checked then begin
    newProc.softwarePhaseIncrement:=true;
    newProc.phaseIncrementDeg:=0.0;
  end else begin
    newProc.softwarePhaseIncrement:=false;
    newProc.phaseIncrementDeg:=StrToFloat(pcwPhaseIncrementEdit.Text);
  end;


  if newProc.Process(FID_Proc)<>0 then begin
    ShowMessage(newProc.errorMessage);
    newProc.Free;
    exit;
  end;

  FID_Proc.currentFID:=0;

  FIDProcess.Add(phaseCovarianceWeighting);
  TPCW(FIDProcess.Items[FIDProcess.Count-1]).softwarePhaseIncrement
      :=newProc.softwarePhaseIncrement;
  TPCW(FIDProcess.Items[FIDProcess.Count-1]).phaseIncrementDeg
      :=newProc.phaseIncrementDeg;

  ProcessListBox.Items.Add(IntToStr(FIDProcess.Count)+': '+newProc.caption);

  FID_Proc.draw(FIDProcPaintBox, 0);

  currentFIDEdit.Text:='1';
  currentFIDLabel.Caption:='/'+IntToStr(FID_Proc.length_2D);

  newProc.Free;

end;

procedure TMainForm.pcwManualRotationCheckBoxClick(Sender: TObject);
begin
  if pcwManualRotationCheckBox.checked then begin
    phaseCovarianceLabel1.Enabled:=false;
    phaseCovarianceLabel2.Enabled:=false;
    pcwPhaseIncrementEdit.Enabled:=false;

  end else begin
    phaseCovarianceLabel1.Enabled:=true;
    phaseCovarianceLabel2.Enabled:=true;
    pcwPhaseIncrementEdit.Enabled:=true;

  end;
end;

procedure TMainForm.phase1EditKeyPress(Sender: TObject; var Key: Char);
begin
  if not charInSet(Key, ['0'..'9','.','-',#08,#13]) then Key:=#0;
  if Key=#13 then begin
    Key:=#0;   // Erase beep sound!
    if FID_Proc.length_2D<1 then exit;
    phase1(StrToFloat(phase1Edit.Text));
    phase1Edit.Text:='0';
  end;
end;

procedure TMainForm.phase1_m10Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase1(-10.0);
end;

procedure TMainForm.phase1_m1Click(Sender: TObject);
begin
  if FID_Proc.Length_2D>0 then phase1(-1.0);
end;

procedure TMainForm.Button1Click(Sender: TObject);
var
    st:TStrings;
    fname:string;
begin
  if FID_Proc.length_2D<1 then exit;


  if ProcFIDSaveDialog.Execute then begin
    if procAsciSaveCheckBox.Checked then
                    FID_Proc.saveMode:=smBoth
               else FID_Proc.saveMode:=smBinary;

    FID_Proc.saveReImSeparately := saveReImCheckBox.Checked;

    fname:=ProcFIDSaveDialog.FileName;
    FID_Proc.SaveToFile(ChangeFileExt(fname,'.sm2d'));

    st:=TStringList.Create;
    st.Add('point='+intToStr(FID_Proc.al));
    st.Add('dw='+floatToStr(FID_Proc.dw));
    st.Add('sf1='+FloatToStr(FID_Proc.sf1));

    st.SaveToFile(ChangeFileExt(fname,'.sm2p'));
    st.Free;

  end;
end;

end.

